XFree86 3.3.6 (8 January 2000)
1577. Allow I/O port access throughout I128 server generation (Robin Cutshaw).
1576. Fix I/O port access problem for Linux kbd rate code (#3555,
      Keith Packard).
1575. Add GLX for GeForce to NVIDIA driver (#3553, Jarno Paananen).
1574. Fix Trio3D to work at 15/16 bpp above 115 MHz (#3547, Harald Koenig).
1573. Fix for 2 Meg CL5480 cards (#3538, Mark Vojkovich).
1572. Fix S3 Trio3D problems caused by driving the PLL in the wrong
      frequency range (#3515, Harald Koenig).
1571. Add an option to set the pressure threshold to generate a button 1 
      on Wacom Graphire and Inutos model tablets (#3509, Frederic Lepied).
1570. Update Japanese docs (#3506, Fujiwara Teruyoshi).
1569. Fix S3 Savage loop/lockup when running "xlock bubble" at
      resolutions > 1152 (#3507, Tim Roberts).
1568. Re-enable the Linux kbd rate handling. Values below 10 for rate
      are ignored (to work around config files with the silly value 5 as a
      default) (#3504, Harald Koenig).
1567. Fix several serious bugs for sis630/540 A1. Add version number for
      sis driver. Fix SiS 630/540 threadhold issue. Support interlance
      mode. Using bandwidth to decide the supported modes (Can-Ru Yeou, SiS).

XFree86 3.3.5Za (20 December 1999)
1566. Stop S3 drivers to recognize SonicVibes cards as VGA cards (#3502,
      Takashi Manabe).
1565. Fix Wacom Graphire support and Wacom IV cursor problems
      (#3498,3500, Frederic Lepied).
1564. Fix type in S3 Trio3D/2X memory detection (#3494, Harald Koenig).
1563. Fix memleak util to work on Linux/glibc (#3492, Keith Packard).
1562. Updates to xf86Summa module. Remove artificial limitations, fix
      tablet mapping to correspond to screen aspect ratio, add
      resolution config option, add option to use Hitachi 1217D tablet
      in Summa mode (#3490, Huver Hu).
1561. Fix compile problem with libc5 (#3487, Thomas Dickey).
1560. Fix default keyboard repeat in xf86config (#3486, Harald Koenig).
1559. Fix problems with reading the BIOS on OS/2 (#3483, Holger Veit).
1558. Improved Danish keyboard layout (#3481, Keld Jorn Simonsen).
1557. Remove wrongly merged kbdrate patch (#3478, Harald Koenig).
1556. Update XF86Config manpage for wsmouse and Usb protocols (#3477,
      Matthieu Herrb).
1555. OS/2 documentation update (#3476, Holger Veit).
1554. Fix the problems with ViRGE/MX for Compaq Armada 7400/7800
      notebooks (#3475, Harald Koenig).
1553. Fix build problem on PANIX(SVR4.0) (#3474, Takaaki Nomura).
1552. Enable extended PS/2 mouse types on LynxOS x86 (#3408, Thomas Mueller).
1551. Fix pixel clock programming problem CT69000 (#3409, Thomas Mueller).

XFree86 3.3.5Z (10 December 1999)
1550. Disable setting the keyboard repeat rate on Linux for now.
1549. Update Documentation and Cards file (Dirk Hohndel).
1548. Fix S3 Aurora64V+ driver for some laptops (#3469, Harald Koenig).
1547. Optionally enable the use of crypt() for xdm on LynxOS (#3471,
      Thomas Mueller).
1546. Clearify documentation on USB mouse support in FreeBSD (#3468,
      Kazutaka Yokota).
1545. Get Permedia boards with disabled  PCI COMMAND IO bit recognized
      and fix a localbuffer problem (#3465, Stefan Dirsch).
1544. Work around Lynx not having mkstemp (#3461, Thomas Mueller).
1543. Add /usr/X11R6/bin to the PATH that xon is looking at (#3454,
      Harald Koenig).
1542. Add driver for Silicon Motion Lynx chipsets (Frido Garritsen,
      Tom Kao, Kevin Walsh, Silicom Motion).

XFree86 3.3.5c (3 December 1999)
1541. Fix font server to not crash on bogus requests (#3449, Keith Packard).
1540. Fix font library to pick bitmap fonts over scaled ones if average
      width field is wildcarded (#3448, Keith Packard).
1539. Fix core dump in lbxproxy (Thomas Mueller).
1538. Add SiS630/SiS540 acceleration, fix SiS300 threadhold problem
      (Can-Ru Yeou, SiS).
1537. Add thread support for FreeBSD 3.3 (#3398, Carlos A M dos Santos).
1536. Fix Savage driver (Tim Roberts, Harald Koenig).
1535. Add OpenBSD-2.6 USB support. This should work for NetBSD and FreeBSD
      as well, but has not been enabled (#3441,3442, Matthieu Herrb)
1534. Update s3_savage driver to support Savage3D, Savage4, and
      Savage2000 (#3444, Tim Roberts).
1533. Fix Linux keyboard rate setting code and remove floating point
      calculations (3440, Derek Fawcus).
1532. Port GeForce suport from 3.9 to 3.3 (#3438,3439, Jarno Paananen, 
      original code from Mark Vojkovich, Chas Inman).
1531. Resync PC98 Imakefile, fix trident driver (#3431, Takaaki Nomura,
      Satoshi Kimura).
1530. Update Japanese documentation (#3334, Fujiwara Teruyoshi).
1529. Fix some insecure uses of mktemp(3) in the imake program (#3428,
      Colin Phipps).
1528. Add support for register dump in log file and dumping core after
      crash (Linux i386 only) (#3412. Harald Koenig).
1527. Fix Savage driver (#3412, Tim Roberts).
1526. Actually add Linux keyboard rate code from change 1512 (#3412,
      Harald Koenig).
1526. Fix typo in scanpci (#3412, Harald Koenig).
1525. Xterm fix (ptyInitialErase) (#3376, Thomas Dickey).
1524. Make SuperProbe check primary cards, only (#3374, Harald Koenig).

XFree86 3.3.5b (18 November 1999)
1523. Fix macro expansion in s3_savage server (#3403, Harald Koenig).
1522. Fix some G200/G400 problems, add an option for 80Hz sample rates
      on PS/2 mice (#3401, Mark Vojkovich).
1521. Change the SwapAxes option elographics and microtouch drivers to
      SwapXY to match an already existing option in the Dynapro driver.
      Add a Focus class capability to the elographics driver (#3394,
      Patrick Lecoanet).
1520. Fix Xos_r.h compile problem (#3389, Kars de Jong).
1519. Update mouse rate handling (#3388, Harald Koenig).
1518. Fix Rage128 driver output if chip override is given (#3386, 
      Kevin Martin).
1517. Fix NULL pointer dereference in misprite.c (#3380 Edward Wang).
1516. Add detection for S3 Savage4, Savage2000 and clean up Trio3D/Savage3D
      detection in SuperProbe (#3381,3384 Harald Koenig, Tim Roberts).
1515. Display load in chooser menues for *BSD systems (#3375, 
      Christian Weisgerber).
1514. Update QNX/Neutrino support (#3359, Frank Guangxin Liu).
1513. Fix drawing transparent 8x8 stipples and a problem with 8 bpp
      rendering in r128 server (#3356, Rik Faith).
1512. Add kbd rate support for Linux (#3362, Harald Koenig).
1511. Update Portuguese XKB map (#3351, Joao Esteves, Francisco Colaco).
1510. Clean up Cards file (#3346, Harald Koenig).
1509. Trio3D/2X fix and cleanup (#3344, Harald Koenig).
1508. Fix ViRGE/MX and APM (#3345, Harald Koenig).
1507. Fix typo in Rage128 driver (#3350, Anthony Tong).
1506. Fix XAA loop (#3347, Harald Koenig).
1505. Add i810 driver (#3332, Keith Whitwell PI).
1504. Fix a lockup bug in 3dfx server and improve interaction with glide
      (#3330,3331 Daryll Strauss).
1503. Add support for Wacom Graphire and minimize timeouts (#3329,
      Frederic Lepied).
1502. Handle console switches for XInput devices (#3328, Frederic Lepied).
1501. Bring over some xterm changes from the 3.9 branch (#3327, Tom Dickey).
1500. Disable CPU to screen color expansion on Alliance chips (#3320,
      Loic Grenie).
1499. Rendition documentation updates (#3315, Dejan Ilic).
1498. Make ati driver ignore Rage128 cards (#3319, Marc LaFrance).
1497. Actually add the changes from item 1467 (#3115, Scott J. Bertin).

XFree86 3.3.5a (12 October 1999)
1496. Fix ViRGE driver when starting the server with Linux fbdev enabled
      (#3304, Harald Koenig).
1495. Added SwapAxes and PortraitMode options in Elographics and Microtouch
      drivers. Microtouch driver now supports ThruGlass touchscreens
      (contributed by Andreas Micklei). Updated XF86Conf.man to reflect the
      current state of the drivers. (#3268, Patrick Lecoanet).
1494. Fix pm2 acceleration build for PPC (#3266, Sven Luther).
1493. ATI driver: Rage XC & Rage XL fixes. Rage Mobility support.
      Disable TVOUT feature of 3D Rage (#3263,3312, Marc LaFrance, 
      Christian Lupien).
1492. Remove scanpci's redundant check for "root", have it check for
      euid, stop it from probing too manz devices per bus (#3263, 3312,
      Marc LaFrance).
1491. Fix some problems that prevented use of acceleration on some chipsets 
      with Trident driver (#3261, Harald Koenig)
1490. Add iso8859-1ified micro.bdf (#3246, Mark Montague).
1489. Resync SuperProbe and scanpci with 3.9.16a (#3225, Marc LaFrance).
1488. Rage LCD: Fix determination of panel dimensions with older BIOS's. 
      Fix panel display problems by ensuring 8-dot character clocks are always
      used (#3218, Marc LaFrance).
1487. NetBSD does not have mktemp (#3205, Matthias Scheler).
1486. Better default memory size for MGA G400 cards (#3201, Matthias Scheler).
1485. Update S3_Savage driver to fall back to traditional register setting
      when it encounters a mode not supported by the BIOS (#3198, Tim Roberts).
1484. Make MicrotTouch driver drop packages for unconfigured devices
      (#3177, David Woodhouse).
1483. More card entries (#3152, Takashi Manabe)
1482. Extend XF86Setup/xf86config to handle multiple Cards files 
      (Dirk Hohndel)
1481. More SiS fixes (provided by SiS).
1480. Add Rage128 server (Alan Hourihane, Dirk Hohndel). Add R128 driver
      that is partly based on that code (Rik Faith, Kevin Martin, PI).
1479. Fix a problem with xman that prevents it form recognising the
      XM_DELETE_WINDOW message when xman is run with the "topbox" disabled
      (#3207, Carlos A M dos Santos).
1478. Prevent xkbcomp from overwriting writing through symlinks (#3206,
      Branden Robinson).
1477. Use ncurses instead of termcap for Linux/libc6 (#3204, H.J. Lu).
1476. Fix a problem building xterm with gcc on Solaris 2.x.
1475. Update the default xdm config file to disable listening for XDMCP
      requests (#3183, Matthieu Herrb).
1474. Fix a typo in ObjectFromAsmSource() in xf86.rules (#3157,
      Matthieu Herrb).

XFree86 3.3.5 (23 August 1999)
1473. Update preinst.sh (#3140,3143, Joe Gibson).
1472. Update NetBSD and OpenBSD docs (#3136, Matthieu Herrb).
1471. Update Oak docs (Jorge Delgado).
1470. Updates to scanpci and vgaPCI.h (Dirk Hohndel).
1469. Add locale support to xconsole (Preston Brown).
1468. Fix for spurious underlines in NVIDIA driver (#3121, Jarno Paananen).
1467. Two small fixes to Banshee driver (#3115, Scott J. Bertin).
1466. Fix XF86FlushInput() in order to handle unwanted ACK bytes from the
      PS/2 mouse (#3114, Kazutaka YOKOTA).
1465. Fix rendition text mode restauration (#3108, Dejan Ilic).
1464. Update PC98 docs, Imakefiles and Cards98 database (#3107, Takaaki Nomura).
1463. Increase mouse event buffer size for NetBSD (#3106, Matthias Scheler).
1462. Compile fixes for QNX NTO (#3103,3104,3109, Frank Guangxin Liu).
1461. Update 3Dlabs driver docs (#3102, Stefan Dirsch).
1460. Fix DGux mktemp configuration.

XFree86 3.3.4Z (3 August 1999)
1459. Update XFree86Version to 335.
1458. Add mktemp for DGux (#3098,3099, Takis Psarogiannakopoulos).
1457. Update S3V docs to reflect the Savage driver (Dirk Hohndel).
1456. Fix 15bpp for Rendtition driver and update docs, add bandwidth limits
      for RAMDAC (#3096,3097, Dejan Ilic).
1455. Update docs and manpages for 3.3.5. Resync PC98 Imakefiles (#3095,
      Takaaki Nomura).
1454. Small updates and changes needed for OS/2, documentation updates,
      fix typos in hw/xfree86/vga256/drivers/Imakefile (#3094, Holger Veit).
1453. Add missing hunk from change 1435 (#3091, Frank Guangxin Liu).
1452. Use mktemp only on systems that support it (Dirk Hohndel).

XFree86 3.3.4d (30 July 1999)
1451. Enable hw cursor for Rendition V2x00 (Dejan Ilic).
1450. Add Linux specific S3 Savage4 driver (S3).
1449. Update Polish xkb layout (Marek Michalkiewicz).
1448. Fix MGA driver for 32MB boards (#3085, Mark Vojkovich).
1447. Add support for the wscons console driver in NetBSD 1.4 and 
      later (#3083, Matthias Drochner).
1446. Add Trio3D/2X support to SVGA server (#3086, Harald Koenig).
1445. Fix a SEGV in xsm (#3073, Matthias Scheler).
1444. Fix a SEGV in xinit on QNX amd the QNX NEED_UTSNAME bug (#3072, 
      Frank Guangxin Liu).
1443. Add support for QNX/Neutrino (#3071, Sebastien Marineau).
1442. Initialises the incoming packet state machine for the Dynapro 
      driver and add a 'SwapXY' option (#3067,3068, David Woodhouse).
1441. xterm update (#3066, Thomas Dickey).
1440. Add two SiS chipsets to scanpci (#3065, Matthieu Herrb).
1439. Remove XExtensionVersion from XPrint headers (Dirk Hohndel).
1438. Fix bug in Xlib regarding handling GLGR charset (Chia-liang Kao).
1437. DG/ux updates (#3063, Takis Psarogiannakopoulos).
1436. Fix compile problem with gcc specific __attribute__.
1435. QNX updates (#3061,3070,3084, Jean-Claude Michot, Frank Guangxin Liu).
1434. Fix use of DLLIBRARIY in xdm/Imakefile (#3062, Takaaki Nomura).

XFree86 3.3.4c (23 July 1999)
1433. Add QNX support (and lots of Watcom compiler fixes) (#3054, 
      Jean-Claude Michot, Frank Liu and Sebastien Marineau).
1432. Fix SiS530/620 support (Can-Ru Yeou, SiS).
1431. Update xf86config to offer a more capable monitor choice.
1430. Update Xos_r.h to comply with latest POSIX.1b (HJ Lu).
1429. Remove duplicated entries in the Cards file (#3058,
      Wanderlei Antonio Cavassin).
1428. Change DynamicModuleTarget to use $(CC) instead of $(LD) on ELF
      platforms (#3057, Matthieu Herrb).
1427. Fix typo in Xserver/os/Imakefile (#3056, 3059, Matthieu Herrb,
      Takaaki Nomura).
1426. Correct the "r" constraint in PPC assembler code (#3055, Franz Sirl).
1425. Fix xf86config to use PROJECTROOT and USRLIBDIR instead of hardcoded
      /usr/X11R6 based paths (Okada Kenji, Dirk Hohndel).

XFree86 3.3.4b (22 July 1999)
1424. Some updates and fixes for Cards file (Dirk Hohndel).
1423. Update Xos_r.h so that XFree86 can be built with glibc-2.1.2
      (HJ Lu, Dirk Hohndel).
1422. More DGux fixes (Takis Psarogiannakopoulos).
1421. Add Linux PAM support to xdm (from Red Hat and SuSE patches).
1420. Fix building docs on non-Linux OSes when BuildAllDocs is NO (#3053,
      Matthieu Herrb).
1419. Fix a bug in the InstallGenManPageLong() rule in lynx.cf (#3052,
      Thomas Mueller).
1418. Enable FBDev server by default on Linux. Fix DGA for AXP (Georg Acher).
      Icelandic, Czech and Slovak keyboard (Hrafnkell Eiriksson, 
      Stanislav Meduna). Updates for ARM architecture. Fix MGA XAA problem
      with unaligned 32bit accesses. Allow those using an iso8859-2 locale
      to type characters in the iso8859-1 character set when needed. Fix DGA
      on non-WRAM MGA boards. (from the Red Hat patches).
1417. AXP fixes (Jay Estabrook).
1416. Security fixes to config utils and x11pcomp. Fix potential SEGV in xauth.
      Give load indication in xdm chooser (from the SuSE patches).
1415. Fix typo in xf86Version.h (#3050, Takaaki Nomura).

XFree86 3.3.4a (20 July 1999)
1414. Further DG/ux fixes (Takis Psarogiannakopoulos).
1413. Fix problems with wheels on some mice, refine Logitech MouseMan+
      protocol support (#3020, Kazutaka Yokota).
1412. Update Cards98 and VideoBoards98 (#3023, Isao Ohishi).
1411. Fix problems with some Rage LT Laptops and Mach64 server (#3026,
      Marc LaFrance).
1410. Fix XIM segv error (#3033, Manabe Takashi).

XFree86 3.3.4 (13 July 1999)
1409. DG/ux support updates (Takis Psarogiannakopoulos).
1408. Attempt at making the a.out libraries built on FreeBSD/ELF suitable for
      2.2.x compatibility.
1407. Fix a bug occuring when multiple wacom devices don't report the 
      same valuators (#3009, Frederic Lepied).
1406. Fix printout label for probed PLL reference frequency in MGA driver
      (#2980, Harald Koenig).
1405. Fix a few slight glitches for OS/2 and update the docs (#2975,
      Holger Veit).
1404. Fix the acute and apostrophe mixup in the German xkb layout with the
      nodeadkey option, and add the EuroSign to AltGr+e (#3006, Markus Kuhn).
1403. Fix Cyber9525 support (Dirk Hohndel).
1402. Modify XF86_Mono, XF86_VGA16, XF86_SVGA and XF86_Mach64 servers to
      provide panel support on ATI LT, LT Pro, XL and XC chipsets. Update
      docs accordingly (#2961, Marc La France).
1401. Add Ultra Vanta PCI ID and update chip names in the NVIDIA
      driver. Fix a text ROP related bug. Remove accleration for 
      broken functionality in RGB 565 (#2956, David Schmenk).
1400. Add sync on green for Permedia 2 (Stefan Dirsch).
1399. Update manpages for 3.3.4 (#2941,2942 Takaaki Nomura,
      Matthieu Herrb).
1398. Fix the security fix for mkdir/chmod issue, fix a problem
      where umask isn't cleaned up (#2936, Bill Nottingham).
1397. Add support for two variants of the CyberBlade to trident
      driver (#2935, Alan Hourihane).
1396. Fix error in ati PCI detection introduced in change 1376
      (#2934, Matthieu Herrb).
1395. Fix Wacom PenPartner driver (Frederic Lepied).
1394. Update Banshee driver to version 1.02. Clean up debugging code,
      get it to work on Alpha and remove drawing errors; fix support
      for SDRAM boards (#2930,3000 Daryll Strauss).
1393. Update NetBSD, OpenBSD and mouse docs (#2925, Matthieu Herrb).
1392. Fix S3 server to support Aurora64 cards on CRT as well (#2923,
      Harald Koenig).

XFree86 3.3.3.1Z (25 June 1999)
1391. Fix a lockup when the BitBlt engine times out on a HiQV chip
      (#2919, Thomas Mueller).
1390. Documentation updates.
1389. Integrate AceCad mouse protocol into the xf86misc extension
      (#2831, Jeff Anton).
1388. Add quite a few new cards to the Cards file (Dirk Hohndel).
1387. New Cyrix MediaGX code (#2916,2921 Richard Hecker, Brian Falardeau).
1386. Set the Rendition clock limit back to 170MHz as some boards can't
      do 203MHz (#2914, Dejan Ilic).
1385. Fix race condition in xinit (Nate Eldredge, Mark Montague).
1384. Integration of the mouse acceleration patch from
      Kevin Brown <kevin@sysexperts.com> into XInput, wacom update to 
      alpha 5 public release: wheel support and baud rate change 
      capability (#2910. Frederic Lepied).
1383. Fix install rule for LinkKit (#2908, Thomas Mueller).
1382. Workaround for PC98 with multi PCI cards, resync PC98 Imakefiles
      (#2900, Takaaki Nomura).
1381. Fix for Rendition driver. Activate hw-cursor for V1k, increase max
      clock for V2K to 203MHz, update docs (#2897, Dejan Ilic).
1380. Add Cyber9525 and CyberBlade support to the trident driver
      (#2892, Alan Hourihane).
1379. Add Brasilian XKB keymaps (#2880, Wanderlei Antonio Cavassin,
      Arnaldo Carvalho de Melo).


XFree86 3.3.3.1f (17 June 1999)
1378. Fix red/blue problem in 3Dlabs server at 32bpp/no_accel
      (#2882, Stefan Drisch).
1377. Save and restore CR55 in the ViRGE driver (#2864, Harald Koenig).
1376. Fix the servers to only use the active card in a multi card machine 
      (#2885, Dejan Ilic, Dirk Hohndel).
1375. Don't use the G400 bios (we don't understand the format)
      (#2881, Mark Vojkovich).
1374. Add Dynapro touch screen support (#2868, David Woodhouse).
1373. Bump MAXSOCKS to 128 for NetBSD and OpenBSD (#2858, Matthieu Herrb
1372. Add Blade3D acceleration (#2855,2856, Alan Hourihane).
1371. Resyinc SuperProbe with the 3.9 branch, add detection of 
      ATI Rage XL & XC chips, minor xdm warning fix (#2848, Marc La France).
1370. Fix some problems in modes using more than 4 Meg and fix a desktop
      panning problem in 24bpp for G400 (#2845, Mark Vojkovich).
1369. Reinstate the check for the socket directory not being a symlink.
1368. Fix a problem with the Cyrillic `m' in some of the helvetica fonts
      (#2876, Pavel Roskin).

XFree86 3.3.3.1e (2 June 1999)
1367. Add ISO 8859-15 locale information (Dirk Hohndel).
1366. Add Permedia2 acceleration to the frame buffer server on PPC, fix
      some imstt accel problem (#2826, Sven Luther).
1365. Fixes for ROPs on SiS and some more code for 8MB cards (Bart Oldeman).
1364. Add Matrox G400 support (#2839, Mark Vojkovich).
1363. Update LynxOS docs (#2837, Thomas Mueller).
1362. Update Japanese Documentation and man pages (#2828, Taketoshi Sano,
      xjman project).
1361. Make button mapping work for AlwaysCore devices (#2822, 
      Frederic Lepied).
1360. Updates for AceCad Flair support, add to man page and sample config
      file (#2816, Fredrik Chabot).
1359. Back out change 1353 (#2825, Edward Wang).
1358. Possible support for the different PLL reference clock used for HP's
      on-board G200s.
1357. Fix a build problem with the Mach64 server (#2826 Sven Luther).

XFree86 3.3.3.1d (25 May 1999)
1356. Update docs and xfree86.cf to reflect the planned 3.3.4 version number.
1355. Fix resize for OpenBSD (#2814, Matthieu Herrb).
1354. Fix typo in lynx.cf and add spc8110 to SVGA driver list in xf86site.def
      (#2806, Thomas Mueller).
1353. Add a new DGA-1.1 acceleration function: XF86DGAFillPolygon (#2804,
      Edward Wang).
1352. Update Elographics and MicroTouch drivers, add Calcomp DrawingBoard
      tablet driver, add a new comptaible keyword to the SummaSketch driver
      to enable compatible tablets to work, update wacom driver (#2801,
      Frederic Lepied, Patrick Lecoanet, Martin Kroeker).
1351. Add Trident Blade3D support (#2799, Alan Hourihane).
1350. Add Acecad flair support (#2790, Fredrik Chabot).
1349. Update Japanese Documentation and man pages (#2789, Taketoshi Sano,
      xjman project).
1348. Fix XF98_S3 server for S3 Vision864 (#2783, Isao Ohishi).
1347. Add acceleration to the XF68_FBDev server (#2776, Sven Luther).
1346. Fix asm codes so that the latest egcs builds the code again (#2773,
      Marc Espie).
1345. ANSI fix for RIVA driver (#2787, David Schmenk).
1344. Xkb data files for a Macintosh keyboard (#2798, Sven LUTHER).
1343. SiS driver updates (Alan Hourihane).
1342. Fix handling of xkbcomp's -I flag (Stanislav Meduna).
1341. Fix a server loop that can happen when VT switching while a grab is
      in progress (#2782, Edward Wang).
1340. Fix some spelling errors in Xlib.h (#2775, Itai Nahshon).
1339. Add missing '#include "compiler.h"' to some files in the i740 driver
      (David Dawes).
1338. Update Cards file (H.J. Lu, Dirk Hohndel).
1337. Restrict SiS driver to 4MB (Dirk Hohndel).

XFree86 3.3.3.1c (10 May 1999)
1336. Add support for the 3dfx Banshee and Voodoo3 (#2742, Daryll Strauss,
      Scott Bertin).
1335. Fix for screen corruption when using DGA acceleration and software 
      cursor, fix for bad frame-buffer bank size reported by DGA for
      glint server (#2739, Edward Wang).
1334. Fix the initial-erase feature for xterm (#2749,2761, Tom Dickey).
1333. Fix XF98_SVGA for DSTN-LCD using Cirrus chipset (#2741, Isao Ohishi).
1332. Trio3D support (#2762, Alok Ladsariya, Sebastian Kloska).
1331. Disable MIT-SHM in Xnest since it doesn't work (#2763, Wolfram Gloger).
1330. Add Elsa GLoria XXL to 3Dlabs driver (#2718, Alan Hourihane).
1329. Fix XF98_EGC server, fix XF98Setup with -egc option, update PC98 docs
      (#2723, Takaaki Nomura).
1328. Work around a bash bug in LynxOS 3.0.1 (#2714, Thomas Mueller).

XFree86 3.3.3.1b (24 April 1999)
1327. Fix typo in Russian keymap (#2703, Peter Novodvorsky).
1326. Add support for Trident 9397DVD (#2705, Bill Mair).
1325. Add SiS530/620 support to the server and SiS6326/530/620 support
      to SuperProbe (Xavier Ducoin, Dirk Hohndel).
1324. Fix a problem in X11.rules and fix an uninitialized structure in 
      XF86_Mouse.c (#2698, Matthieu Herrb).
1323. Add wsmouse protocol support for NetBSD 1.4 and update host.def
      in etc/bindist/NetBSD-x86 to use the Tcl/Tk package from /usr/pkg 
      (#2698, Matthieu Herrb).
1322. Add TNT2 support and add more acceleration for NVIDIA chipsets
      (#2697, David Schmenk, NVIDIA).
1321. Change xterm to use the tty default value for the backspace key
      (#2692, Tom Dickey).
1320. Fix typo in XF86Conf manpage (#2691, Itai Noahshon).
1319. Import a fix for destroying an Xt action hook procedure from within an
      invocation of the hook procedure from R6.4.

XFree86 3.3.3.1a (17 April 1999)
1318. Change the argv[0] setting that Xwrapper uses when execing the X server.
1317. Remove references to ru_SU in locale.alias (#2669, Aleksey Nowodworsky).
1316. Fix misuse of depth/bpp in glint driver (#2680, Huver Hu).
1315. Add VMWare patches for DGA 1.1 (#2684, VMWare).
1314. Add i740 driver (#2683, Kevin Martin, Precision Insight).
1313. Update 'ru' xkb symbols file (#2656, Aleksey Nowodworsky).
1312. Fix a problem with the ThinkingMousePS/2 protocol handling of left
      movement (#2392, Ian Remmler).
1311. Fix an ISO8859-5 support bug in Xlib (Nikolai Saoukh).
1310. Fix security problem with the creation of the /tmp/.X11-unix directory
      (#2607, Matthieu Herrb).
1309. Fix for linear addressing mode for the Cirrus 7543 (#2597,
      Samuel Guyer).
1308. Fix some build problems on Solaris 7/x86 (David Holland,
      Nicholas Brealey).
1307. Add Cards entry for Number Nine FX Reality 772 (#2556, Harald Koenig).
1306. Fix DoubleScan modes for the Permedia 2 (#2488, Michael Schimek).
1305. Fix for Millennium II hardware cursor-related loss of sync problem
      that shows up with some revs of the 3026 ramdac (Trey Boudreau).
1304. Fix a problem with xsm not acknowledging the SaveYourself message it
      sends clients with a SaveComplete message (#2425, Robert Bihlmeyer).
1303. Fix a namespace problem in the nv driver that shows up on LynxOS
      (#2368, Thomas Mueller).
1302. Fix a problem with the xkb dvorak layout (#2362, Tabman).
1301. Fix an xsm crash (NULL dereference) when a client sets an SM property
      list to a length of zero (#2361, Robert Bihlmeyer).
1300. Initial support for building the Japanese versions of XF86Setup as part
      of a normal build.

XFree86 3.3.3.1 (4 January 1999)
1299. Put a copy of <linux/fb.h> in hw/xfree86/etc for reference.
1298. Document the MGA hw cursor problem with virtual screens >= 8MB.
1297. Update PC98 documentation (#2350. Takaaki Nomura).

XFree86 3.3.3Z (29 December 1998)
1296. Add a "cursor_bug" option to enable an experimental workaround for
      the hw cursor problem that shows up with some Millennium II cards.
1295. Fix startx incorrectly handling client/server arguments that start with
      '.' or '/'.
1294. Fix a tgui problem introduced with item 1276.
1293. Some minor DG/ux and scanpci updates (Takis Psarogiannakopoulos).
1292. Fix problem with SVGA s3v driver not turning off the HW cursor when
      entering DGA mode.
1291. Fix problem with mouse movement causing viewport changes while in
      DGA mode.
1290. Fix some build problems on SVR4.0.
1289. Documentation updates.
1288. Fix DGA with NVIDIA driver (#2339, Itai Nahshon).
1287. Fix XF86Setup, resync PC98 Imakefiles, update Cards98 and XF98Conf.cpp
      (#2341, Takaaki Nomura).

XFree86 3.3.3b (22 December 1998)
1286. Fix bug with AceCAD and SummaGraphics XINPUT drivers (#2334, 
      Frederic Lepied).
1285. Add support for GNU/Hurd(gnu-0.2) and also glibc-pre2.1 based Hurd
      (#2329, Uchiyama Yasushi).
1284. Remove -fno-strength-reduce on NetBSD and OpenBSD (#2328,
      Matthieu Herrb).
1283. Update XF86Setup to show correct chipsets for Trident and Matrox driver
      (Dirk Hohndel).
1282. Add later Matrox chipsets to SuperProbe (Dirk Hohndel).
1281. Documentation update for xterm (#2333, Tom Dickey).
1280. Add Gamma correction to Mach64 server (#2324, Kevin Martin).
1279. Documentation update and PC98 resync (#2330, Takaaki Nomura).
1278. Add the newly rewritten Riva code from NVIDIA. Fixes some bugs with 
      multiple server instances running and other problems with the previous
      code. The NV1 code is unchanged. The code looks to be Open Source.
      (#2336, David Schmenk, NVIDIA).
1277. Fix some drawing errors in the cyrix driver (#2335, Annius Groenink).
1276. Trident fix to only disable PCI bursting on the 9440 (#2338, 
      Alan Hourihane).

XFree86 3.3.3a (20 December 1998)
1275. Disable hardware cursor for MGA if there is not enough memory.
1274. Documentation updates.
1273. Add support for the Number Nine I128 Rev IV (Galen Brooks).
1272. Fix Wacom driver to not send two release events (#2323, Frederic Lepied).
1271. Change the default name of the SGI dial box to conform to the GLUT
      default (#2323, Frederic Lepied).
1270. Fix multi-mouse XInput support (#2323, Frederic Lepied).
1269. Fix DGA relative mouse movement events when XINPUT is defined.
1268. DG/ux i386 support (Takis Psarogiannakopoulos).
1267. Some enhanced XKB files for French-Canadian keyboards (#2204,
      Eric Moreau).
1266. Make the X server read an Xauthority file using the real user id
      to avoid problems when it is located on an NFS-mounted filesystem.
      (as suggested by #2276, MIHIRA Sanpei Yoshiro).
1265. Fix an xset segfault (#2320, Itai Nahshon).
1264. Fix the incorrect mga memory message for Millennium II and G100 cards.
1263. Only show the mga driver "Read OPTION" message once.
1262. Avoid an S3V server lockup (#2222, Harald Koenig).
1261. Set BaseShLibReqs to "-lc" for Linux + glibc2, which avoids problems
      on systems with both libc5 and glibc2-based X libraries.
1261. Fix cfb24 bitblt for non-trivial planemasks (Peter Wainwright).
1260. Fix a typo in FreeBSD.cf that affects adding the runtime library
      search patch for 2.2.x (#2305, Keisuke Inoue).
1259. Fix an incorrect realloc in xmodmap (#2303, Alexander V. Lukyanov).
1258. Some SCO updates (#2302, J. Kean Johnston).
1257. Fix PC98 XKB (#2292, Hirofumi Nishizuka and #2300, Tetsuo Tsukamoto).
1256. Update PC98 docs and sample config file (#2292, 2300, Takaaki Nomura).
1255. Fix MGAG200RamdacInit() not being called for PCI versions of G100/G200
      cards (Mark Vojkovich).
1254. Fix Cyrix problem with non-trivial rops (Dave Gotwisner).
1253. Fix an Xlib  problem with _XimLookupMBText() when using KOI8-R
      (#2282, Alexander Kabaev).
1252. Fix the pattern source address mask for the C&T HiQV chips, which
      was causing 8x8 pattern problems when using more than 2MB of video
      memory (#2281, Peter Wainwright).
1251. Fix a mode name typo in xf86config (#2280, Darrin B. Jewell).
1250. Update PC98 Card database (#2279, 2292, Takaaki Nomura).
1249. Update sco_mouse.c for XInput changes in 3.3.3 (#2278, Dan Rosenblatt).
1248. Fix a core dump problem in xauth when interrupted while attempting
      to lock the auth file.  Also fix a potential problem with calling
      printf() from within a signal handler (#2274, BSDI/Jeff Polk).
1247. Fix a problem that shows up occasionally with the X server's PCI probe
      code detecting phantom entries.
1246. Fix typo in the 3Dlabs driver that causes serious problems for most OSs.
1245. Fix some relatively minor install problems (#2238, Geert Uytterhoeven
      and #2268, Matthieu Herrb).

XFree86 3.3.3 (18 November 1998)
1244. Obfuscate the NVIDIA sources by NVIDIA's request.

XFree86 3.3.2Zc (15 November 1998)
1243. Update the MGA docs to mention a HW cursor problem (#2226, Koen Gadeyne).

XFree86 3.3.2Zb (13 November 1998)
1242. Fix XAA NonTE ImageText backing rect problem (#2223, Mark Vojkovich).
1241. Update Mach64-related docs (#2219, Kevin E. Martin).
1240. Use a smaller display FIFO depth on Rage IIC cards (#2219, 
      Geert Uytterhoeven and Kevin E. Martin).
1239. Add support for the Wacom V protocol (Raph Levien).
1238. Real fix for the XWarpCursor problem (Frederic Lepied).
1237. Update mkfontdir to create an appropriate fonts.dir file when no
      fonts are found rather than doing nothing.
1236. A quick attempt at neutralising a stack-buffer overflow problem in
      the Xprt server.
1235. Update XF86Setup to add 12MB and 16MB to the videoram choices available
      (#2217, Joe Moss).
1234. Recognise __alpha__ for Linux in Imake.cf (#2214, Matti Aarnio).
1233. Add a missing part of item 1087 (#2213, David Wragg).
1232. Fix a problem compiling libXaw on Solaris 2.6 x86 with gcc 2.8.1
      (James Hawtin).
1231. Replace __syscall() with syscall() in Linux/Alpha PCI code (#2211,
      Matti Aarnio).
1231. Fix a 64-bit pointer masking problem in mga_xaarepl.c (#2210,
      Matti Aarnio).
1230. Fix some int vs long problems in s3im.c (#2209, Matti Aarnio).
1229. Fix a 64-bit alignment problem in cfb8line.c (#2208, Matti Aarnio).
1228. Fix a missing return statement in cfbInitVisuals() (#2207, Matti Aarnio).
1227. Some PC98 updates (#2201, 2204, Takaaki Nomura).
1226. Cards file updates (#2199, Harald Koenig).
1225. Fix a problem with with xf86config creating files in /tmp that opens
      up a symlink/race exploit.

XFree86 3.3.2Za (8 November 1998)
1224. Disable acceleration for Trident Cyber9397 and Cyber9388.
1223. Try to avoid most of the ViRGE/GX2 lockups and add diagnostic messages
      for this case (#2192, Harald Koenig).
1222. Update XF86Setup for the new SiS chipsets (#2191, Juanjo Santamarta).
1221. Fix XF98_EGC server on Linux/98 (#2190, Ryota Ii).
1220. Fix ConnectionFlags and HasStickDirBit settings (#2189, Holger Veit,
      #2193, Thomas Mueller, #2195, Geert Uytterhoeven).
1219. Documentation udpates (including #2186,2190, Takaaki Nomura, #2187,
      Thomas Mueller, #2188, Douglas Ridgway, #2191, Juanjo Santamarta).
1218. Various bindist updates, and some documentation building updates
      (including #2194, Thomas Mueller).
1217. Fix problem introduced by item 1214.

XFree86 3.3.2Z (6 November 1998)
1216. Update XFree86 version in man pages (#2184, Takaaki Nomura).
1215. Enable building of XIE, PEX and GLX extensions (as modules) when using
      the fbdev servers and fix slight logic error in xfree86.cf (#2185
      Kars de Jong).
1214. Add support for building a.out compatibility libraries on FreeBSD/ELF
      systems.
1213. Implement -Udefine for imake (#2180, Chris Demetriou).
1212. Teach imake how to automatically determine the NetBSD architecture
      (#2180, Jason Thorpe).
1211. Make sure that XMULIB in bsdLib.tmpl includes SM and ICE (#2180,
      Frank van der Linden).
1210. Only allow the X server -nolock option when the real uid is root.
1209. Add smooth mouse acceleration; only used when threshold is 0, old
      behaviour otherwise.  Note, this is only used when the server is
      built with XInput disabled (#2182, Kevin Brown).
1208. FBDev updates: remove duplicates from Imakefile, small cleanup in
      fbdev.c, sync XF86Conf.cpp (#2183, Geert Uytterhoeven).
1207. Change default in tseng driver to be linear mode in 8bpp. Add 
      Option "no_linear" to disable this (#2176, Koen Gadeyne).
1206. Make sw cursor the default for C&T chipsets, allow the hw cursor to be
      enabled with Option "hw_cursor". Update documentation and Cards file
      accordingly (#2179, David Bateman).
1205. Documentation updates and additions to the Cards data base 
      (Annius Groenink, Derek Fawcus, #2181, Corin Anderson, 
      #2178, Juanjo Santamarta).
1204. Fix problem with inverted text on Permedia 2 cards (Alan Hourihane).

XFree86 3.3.2j (4 November 1998)
1203. Cleanups to Cirrus driver: Make some accesses to mmio regs volatile.
      Remove function LgReady and enable macro LgREADY. Remove inclusion of
      cir_blitLG.h in cir_driver.c. Tag some code in laguna_acl.c as static
      (Itai Nahshon).
1202. Update XF86Setup to offer new READMEs (Dirk Hohndel).
1201. Documentation updates (#2172,2173, Koen Gadeyne, Takaaki Nomura).
1200. Change tguiMMIOBase to be volatile.
1199. XInput updates: documentation updates, corrected a bug for XInput
      devices in relative mode, touchscreen devices are made focusable
      (#2171, Frederic Lepied).
1198. Fix Xnext problem (Klaas de Waal).
1197. Resync for PC98 (#2170, Takaaki Nomura).
1196. Update README, Relnotes and others, add NeoMagic README, 3DLabs README
      and Cyrix README (Dirk Hohndel).
1195. Increase memclk on Rendition V2x00 cards (Tim Rowley).
1194. Fix XAA to correctly handle the boundary box of non TE fonts (#2167,
      David Bateman).
1193. Fix broken OSMOUSE support, add missing prototype in Xlib.h, update
      OS2.sgml and a few Imakefiles (#2166, Holger Veit).
1192. SiS updates: support for set_mclk and dac_speed options, better
      bandwidth estimate for max dot-clock, proper restoring of sis special
      registers for 5597/6326, better init sequence (avoids potential
      problems on server restarts), quick support for 86C215 and 225 (setting
      it as 205 equivalent) (#2165, Juanjo Santamarta).
1191. Mach64 updates: fix a font bug for non-terminal image text fonts, 
      update docs and Cards database (#2164, Kevin Martin).
1190. Replace the non-POSIX cfmakeraw() in dialbox support (Frederic Lepied).
1190. Fix security problem by creating /tmp/.X11-unix with sticky bit (#2168,
      Kevin Vajk, David Dawes, Dirk Hohndel).
1188. Some sanity checks on DISPLAY name (#2168, Kevin Vajk).
1187. Documentation updates (#2162, Taketoshi Sano).
1186. Fix drawing bug in cfb where inverted text in TrueColor visuals
      wouldn't be visible (missing GC validation) (#2160, Alan Hourihane).
1185. Add PC105 keyboard support to XKB (#2157, Matthieu Herrb).
1184. XF68_FBDev fixes: sync the various Imakefiles with the xfree86 master,
      fix DefaultColorDepth and Depth in the default XF86Config, since
      XF68_FBDev now extracts only ModeLine-alike information if you use
      `mode "default"', Depth and Virtual are taken from XF86Config, more
      protocode for acceleration support (#2158,2159,2163, Geert Uytterhoeven)
1183. Fix ScreenToScreenCopy with transparency_color != -1 on Laguna chips
      (#2155, Corin Anderson).

XFree86 3.3.2i (1 November 1998)
1182. Add local font directory and update postinst.sh, XF86Conf.cpp,
      xf86config and XF86Setup accordingly (Dirk Hohndel).
1181. Fix LCD timing and activate HW cursor for CLGD7541/CLGD7543, fix Cirrus
      blitter code and correct the clock programming (Tim Stadelmann,
      Corin Anderson).
1180. Actually apply patch #2090 already mentioned in the CHANGELOG below as
      change 1136 (#2149, Corin Anderson).
1179. Fix xterm to fall back to the old font behaviour when the font server
      offers a bold font which doesn't quite match the normal font (#2151,
      Thomas Dickey).
1178. Fix Xqueue/XInput problem.

XFree86 3.3.2h (31 October 1998)
1177. Fix Cyrix assembly instructions (Annius Groenink).
1176. Fix axis swaping for Elographics touchscreen (Patrick Lecoanet), 
      fix events sending for device with more than 6 valuators
      (Frederic Lepied), add SGI dial box support (Francois-Regis Colin and
      Frederic Lepied)(#2145).
1175. Remove intrusive P9000 probe from p9x00 server, add DPMS (Joerg Knura).
1174. Fix problem that p9x00 probe destroys the font memory on LynxOS (#2132,
      Thomas Mueller).
1173. Fix acceleration for G100 SGRAM (add missing initialization to
      planemask) (#2146, Xavier Ducoin).
1172. Fix system Lockup on LynxOS with CT69000 and add Option "fix_panel_size" 
      to the CT69000 (and other HiQV32) driver (#2147, Thomas Mueller).
1171. Fix LBX bug (#2143, Mark Vojkovich).
1170. SiS 6326 fixes (Juanjo Santamarta).
1169. Remove some redundant code from Trident server, fix a small bug in 3D
      card acceleration added in change 1165 and update the docs
      (#2135,2136,2137,2139 Alan Hourihane).
1168. Fix a problem with cursor storage on 1064/G100/G200 due to not taking 
      the modified ydstorg into account (#2134, Mark Vojkovich).
1167. Minor update to spc8110 driver (#2133, Thomas Mueller).
1166. Fix DPMS for 3DLabs server (#2130, Alan Hourihane).
1165. Add acceleration for the Triden 3D chipset family (9397, 9388, 9520,
      Image975, Image985) (#2129, Alan Hourihane).
1164. Add some more chipsets to SuperProbe and scanpci, add generic PCI
      bridge handling to SuperProbe. Update xf86site.def to reflect new
      servers. Add more cards (#2128, Itai Nahshon).
1163. MGA documentation update (#2127, Mark Vojkovich).
1162. Fix build problems on SVR4 where inb is executed in the arguments of an
      outb (#2122, Takaaki Nomura).
1161. Fix pci_retry on 1064 and G100/G200.  Fix sync-on-green on Mystique. 
      Disable probing of memory on 2164 and G100/G200 (#2123, Mark Vojkovich).
1160. Remove vaxp.[ch] from Rendition LinkKit rules (#2117,2131, 
      Thomas Mueller).
1159. More fixes to Trident code in Probe_Trident() and SuperProbe (#2112,2116,
      Taketoshi Sano).
1158. Updates to Cards file (#2113-2115,2118-2121,2138, Petter Reinholdtsen, 
      Jorge Delgado Mendoza, Christopher Bowman, David John Thomas, 
      Corin Anderson, Thomas Mueller, Matthieu Herrb, Steve Lumos, 
      Tim Rowley, Jens Owen, Andrew Aitchison, Juanjo Santamarta).
1157. Fix wrong cursor position when changing modes in svga/s3 driver
      (#2111, Harald Koenig).
1156. Fix duplicate lines in xterm (#2110 Thomas Dickey).
1155. Fix problem with xdm trying to print sigset_t on some OSs.

XFree86 3.3.2g (24 October 1998)
1154. Prevent lockups on the 5465 AGP when blitting lots of text, doc updates
      (#2108,2109, Conrin Anderson).
1153. Add documentation for 24bpp TGA support (#2105, Tim Rowley).
1152. Further cleanup of rendition code plus hardware cursor for the v2x00
      (#2104,2107 Tim Rowley).
1151. Fix error specifying the chipset in P9x00 driver (#2100, Takaaki Nomura).
1150. Fix Trident probing in SuperProbe (#2101, Taketoshi Sano).
1149. Fix calculation of maximum blit size for MGA (Mark Vojkovich).
1148. Fixes for VNidia driver (palette reloading in 8bpp and bandwidth
      calculation) (#2102, David Schmenk, NVidia).
1147. Add timeout flag to xvidtune (based on #2099, Peter Brevik).
1146. Fix LinkKit and some documentation updates (#2098, Takaaki Nomura).
1145. Fix problem with table sizes in xterm (#2097, Thomas Dickey).
1144. Fix Trio64 cursor (#1964, Harald Koenig).
1143. Add 16bpp support for Cyber 9320 (Masahiko Kami).
1142. Update SuperProbe version (#2094, Koen Gadeyne).
1141. Improve cyber9382/cyber9385 handling in trident driver and SuperProbe
      (#2082, 2093, Taketoshi Sano).
1140. Fix calls to open to use O_* flags (#2087, Uchiyama Yasushi).
1139. Update spc8110 SuperProbe code (#2096, Thomas Mueller).
1138. Deal with pedantic legacy cc on old LynxOS versions in imakemdep.h,
      add spc8110 to Cards file (#2092, Thomas Mueller).
1137. Fix a crash due to NULL pointer dereferencing in the P9x00 svga driver 
      along with fixes to Map/UnMapVidMem use (#2091, Thomas Mueller).
1136. Fix some cirrus problems: the double mouse bug and the blanking bug
      (#2090, Corin Anderson).
1135. Fix some Xlib bugs that cause problems when using XKB in some
      locales (like latin2), add support for iso8859-15, and include
      a couple of basic fonts for iso8859-15 (Kaleb Keithley/TOG).
1134. Add missing references to xf86Switch for XF68_FBDev (#2089,
      Geert Uytterhoeven).
1133. More fixes to xf86config: handle more than 10 modes, don't ask
      RAMDAC on some servers, add 3DLabs server. Add 3DLabs server to
      XF86Setup. Add lots of entries to cards file (Dirk Hohndel).
1132. Adapt xf86config to handle XFCom and XBF servers (#2086, Kevin Martin,
      Precision Insight).
1131. Clean up rendition driver to make it somewhat more portable and adapt
      it more to XFree86 (Dirk Hohndel).
1130. Add sync on green for G100/G200 and 1064. Add hardware cursor support
      for the G100/G200. Fix incorrect setting of the transc bit during solid
      fills for the G100 (#2055, Mark Vojkovich).
1129. Resync xterm. For log see xterm.log.html (#2029,2044,2045,2056,
      Thomas Dickey).
1128. Add support for new ATI chips in the ATI driver, SuperProbe and
      scanpci, fix text restoration in Mach32 server (#2051, Marc La France).
1127. Fix 64bit problems with ffs (Linux/AXP) (#1876, Raphael Finkel).

XFree86 3.3.2f (19 October 1998)
1126. Add Riva TNT support and fix memory bandwidth problems with Riva 128
      at higher dot clocks (David Schmenk, NVidia).
1125. LynxOS updates: OS version detection for imake, top-level Makefile
      patch for host.def creation, documentation update (#2039, Thomas Mueller)
1124. Add 24-plane TGA support (#2035, Tim Rowley).
1123. Fix problem in the S3 drivers with disabled onboard S3 chips when
      using S3 cards (#2084, Harald Koenig).
1122. Fix problems with Cirrus 5480 at high resolutions and jitter that 
      appeared with the 546x's using the BitBLT engine (#2080, Corin Anderson).
1121. Fix clock limits for modes with PIXMUX enabled in tseng driver (#2079,
      Koen Gadeyne).
1120. Patch to NetBSD wscons support (#2077, Matthieu Herrb and ???).
1119. Updates to README.NetBSD, README.OpenBSD and README.mouse (#2076,
      Matthieu Herrb).
1118. Fix lockups with ViRGE chips (#2075, Harald Koenig).
1117. Add AceCad tablet as mouse protocol (#2074, Jeff Anton).
1116. Fixes for LinkKit and XF86Setup plus some Dokumentation updates (#2073,
      Takaaki Nomura).
1115. Force XAA to recache times and stipples when the GC changes (#2072,
      Mark Vojkovich).
1114. Fix handling of SIS5597/98 in SiSProbe and SiSIdent (#2071,
      Harald Koenig).
1113. Fixes for Mach64 server. Add probe code for VT4, Rage IIC (3 variations) 
      and Rage LT Pro (5 variations). Rework probe code so that future cards 
      are properly identified by default. Simplify code for supporting new 
      chips when they are introduced. Improve the verbose output to be more 
      informative. Add FIFO_CONSERVATIVE and FIFO_AGGRESSIVE options for DSP 
      FIFO programming. Correct DSP FIFO calculation code. Fix vga restoration 
      code. (#2070, Marc LaFrance, Kevin Martin). 
1112. Add support for the EPSON SPC8110 graphics chip for the SVGA server as
      well as SuperProbe (#2065, Thomas Mueller).
1111. Update SuperProbe for some Trident chips (#2061,2064,2068,2069,2081,
      Taketoshi Sano).
1110. Several FBDev server fixes: Add support for Linux/PPC, Build cfb16 and
      cfb32 support for XF{68,86}_FBDev on all architectures, build cfb24
      support on Intel only (cfb24 is little endian only at the moment), fix
      imake where it relies on the signedness of chars, add `bcast' flag to
      the XF86Config modeline format (needed for Amiga PAL and NTSC
      broadcast-compatible video modes), make cfbmskbits compile on big
      endian machines (NOTE: it does NOT work on big endian yet!),
      is_fb_server flag was tested before it was initialized, use fb_dev_name
      instead, and check for it at the right moment, Utmp fixes: currently
      Linux/PPC uses glibc-1.99, which announces itself with 
      __GLIBC__ == 2 and __GLIBC_MINOR__ == 0 (there will never be a public
      release of the real glibc-2.0 for Linux/PPC. The next release will be
      2.1. Fix 16 and 32bpp TrueColor, fix panning, remove hardcoded 256 as
      array size, first hooks for hardware acceleration, remove some
      duplicate code. Use _MEDIUMRAW_KBD on XF68_FBDev (#2059,2078,
      Geert Uytterhoeven).
1109. Fix Trident 3DImage cards and treat the Cyber9388 as a Cyber9397 (#2058,
      Alan Hourihane and #2062, Taketoshi Sano).
1108. Fix typo in Imake.cf (#2053,2054, Takaaki Nomura, Matthieu Herrb).
1107. Fix for the P9000 server, which crashed when you switched to a VT
      (#2049, Erik Nygren).
1106. NetBSD doesn't define 'unix' in the C preprocessor and emits a warning
      if that symbol is tested (#2046,2047 Matthieu Herrb).
1105. Fix the wrong (too low) clock limits for S3 Trio64V+ chips (#2042,
      Harald Koenig).
1104. 24bpp (high res display problems) and 32bpp (horizontal stripe) fixes
      for the mga driver (#1715, 1716, Doug Merritt). 
1103. Add NeoMagic 2200 support (#2031,2034, Jens Owen, Precision Insight).
1102. XInput patches, including driver for the AceCad ADVANCEDigitizer 
      (#716, Shane Watts) and driver for MicroTouch TouchPen touch screen 
      (#714, Patrick Lecoanet) (#2037, Frederic Lepied, Patrick Lecoanet).
1101. Update SuperProbe for C&T chips (#2027, Taketoshi Sano).
1100. OS/2 updates for 3.3.3: make rendition driver compile with EMX, adjust
      linker DEF files to 3.3.3 version, initialize a number of Xlib/Xt data
      structures, correct a minor linker bug in OS/2, SGML doc updates (#2026,
      Holger Veit).
1099. Fix rendering errors in vga code (#1746,2021, Jens Owen, 
      Precision Insight).
1098. Fix text restore problem and improve high res 32bpp modes in MGA
      server (Radek Kapitan).
1097. Fix small problems in Gx00 code in MGA server (Dirk Hohndel).

XFree86 3.3.2e (4 October 1998)
1096. VSTATUS support in xterm (#2019, Robert Earl).
1095. Support for arc4random() in xdm/genauth.c (#2019, Michael Shalayeff).
1094. German amiga XKB maps (#2019, Bernd Ernesti).
1093. Swedish sun keyboard support in Xsun and xkb (#2019, Magnus Holmberg).
1092. OpenBSD/amiga support in imake (#2019, Niklas Hallqvist).
1091. Make LinkVarDirectory handle DESTDIR, OpenBSD.cf synchronisation, fix
      TopXInclude definition in X11.rules (for building contrib against $TOP
      instead of using installed tree), fix CompressAllFonts usage in
      X11.tmpl, don't install lndir on OpenBSD, fix a missing parameter in
      makestrs.c, realloc() usage fixes, fix a Xnest crash with too many
      visuals, void main() -> int main() for ANSI conformance, close unused
      sockets after fork() in xdm, on OpenBSD, add a explicit VT specification
      in Xservers for xdm (#2019, Matthieu Herrb).
1090. Partial OpenBSD/powerpc support (#2019. Dale Rahn)
1089. LP64 compiler warning fixes from the NetBSD xsrc tree (#2019,
      Ross Harvey).
1088. Add sync on green support to MGA Gx00 (Dirk Hohndel).
1087. Make XFree86 work with egcs-1.1/gcc-2.8.1 (#2017, David Wragg).
1086. Fix for SiS6326 (Juanjo Santamarta).
1085. Fix G200/SDRAM and G100 support (Dirk Hohndel).
1084. Add support for NM2090 and partially implemented (but disabled) support
      for the NM2200 (#2010, Jens Owen, Precision Insight).
1083. MGA acceleration bug fixes (#2009, Mark Vojkovich).
1082. Fix cursor problem in S3V server (Harald Koenig).

XFree86 3.3.2d (27 September 1998)
1081. Add mga_sdram option that allows SDRAM versions of the G200 to work
      (Dirk Hohndel).
1080. Add NeoMagic driver (#1986, Kevin Martin, Jens Owen, Precision Insight).
1079. Fix lockups with S3 ViRGE/MX+ chips (#1998, Dirk Koopman).
1078. Add C&T 69000 support in driver and SuperProbe, add 64200 and 64300
      support in SuperProbe, fix memory probing error on 65554 and later
      chipsets in SuperProbe and C&T driver. Add 32bpp support with limited
      acceleration for 65550 or later. Fix for CRT interlaced modes on 65550
      or later. Fix maximum dotclock probing for the 65554 chipset. BIOS
      software flag for 1024x600 LCD (toshiba protege machines) is set
      correctly so that suspend/resume works correctly on these machines.
      Change the way DPMS switches off LCD panels to be more generic.
      Documentation updates and include discussion on clock limitations
      (#1996, David Bateman).
1077. Fix LCD detection for CLGD755x and add some CLGD755x support code
      (#1975, Isao Ohishi).
1076. Add LynxOS 3.0.0 support, keyboard LED support. Fix X server startup
      delay (on LynxOS) when using XKB. Increase number of shared memory
      segments for hardware access in X server (needed by certain drivers, eg
      RIVA128) (#1934, Thomas Mueller).
1075. Some updates to the FreeBSD/ELF support, including auto-detection
      of the binary format.
1074. xman improvements for NetBSD/OpenBSD (#1983, Matthieu Herrb,
      Ross Harvey).
1073. Resync the xfree98 tree (#1929, Takaaki Nomura).
1072. Avoid VT switch problem with MGA driver on Linux/98 (#1929,
      Hirofumi Nishizuka).
1071. Resync LinkKit (#1929, Takaaki Nomura).
1070. Avoid iopl problem in the rendition driver on non-Linux platforms
      (#1929, Takaaki Nomura).
1069. Add '\n' to some of the messages in PEXExtensionInit().

XFree86 3.3.2c (13 September 1998)
1068. Fix panning in 24bpp on Permedia family boards (Dirk Hohndel).
1067. Add acceleration to P9x00 driver (Joerg Knura).
1066. Fix 3DLabs AGP lockup problem (Dirk Hohndel).
1065. Initial support to build XF86_FBDev on Linux (Gerd Knorr, Dirk Hohndel).
1064. Acceleration, 16bpp, line and frame compression for Cyrix 
      (Annius Groenink).
1063. Build support for FreeBSD/ELF (#1946, Doug Rabson, Joachim Kuebart,
      Ollivier Robert).
1062. Add config support for building XFree86 on Linux with DECnet transport
      (#1939, Eduardo Serrat).
1061. Attempt to fix MGA G200 clock problem and to support G100
      as Mystique (Dirk Hohndel, Radek Kapitan).
1060. Add some acceleration to Cyrix server (Annius Groenink).
1059. Fix overlapping option numbers.
1058. Add Mystique hardware cursor.
1057. Add P9x00 driver (Joerg Knura).
1056. Add support for the IBM RGB640 RAMDAC to the 3DLabs server
      (Alan Hourihane).
1055. Small fix for SiS driver (Juanjo Santamarta).

XFree86 3.3.2b (25 August 1998)
1054. Fix build problem with Cyrix driver (Dirk Hohndel).
1053. Add Matrox G200 support (Radek Kapitan).
1052. Update SiS driver with better 6326 support and other fixes
      (Juanjo Santamarta, David Thomas).
1051. Update Cyrix driver (Annius Groenink, Dirk Hohndel).

XFree86 3.3.2a (7 August 1998)
1050. Add Cyrix MediaGX server (Annius Groenink).
1049. Add 3DLabs server (Alan Hourihane, Stefan Dirsch, Helmut Fahrion,
      Dirk Hohndel)
1048. Add Rendition server (Marc Langenbach).
1047. Fix some problems with -quiet flag (PCI addresses are nowbeing set)
      (Juanjo Santamarta).
1046. Add 5597/5598/6326 support to sis driver (Mike Chapman, Juanjo Santamarta,
      Mitani Hiroshi).

XFree86 3.3.2.3 (15 July 1998)
1045. Add detection of new ViRGE/MX+, fix 8/16bpp problem with ViRGE/GX2,
      fix SVGA/s3 driver not allowing "newmmio" for Trio64V2, fix S3V and 
      SVGA/s3_virge PCI PCI allocation check for 64M banks, fix S3V crash 
      due to too late `Reduce the videoRam value ...' for huge video memory 
      (or very small virtual X size)(Harald Koenig).
1044. Documentation updates.
1043. Fix Riva128 driver problem with shared IRQ (David McKay).

XFree86 3.3.2 (3 March 1998)
1042. Fix xterm problem with inverse video and mouse highlighting
      (#1571, Thomas Dickey).
1041. Japanese translation of README.NetBSD (#1567, Isao Ohishi).
1040. Fix PnP serial mouse support for OpenBSD and NetBSD (#1566,
      Matthieu Herrb).
1039. Fix a VGA16 core dump which can happen when no suitable modes are
      found (Thomas Mueller).
1038. Some bindist and doc updates (including #1565).
1038. Japanese translation of README.SVR4 (#1564, Takaaki Nomura).
1037. Fix a final imake libc problem (H.J. Lu).

XFree86 3.3.1z (28 February 1998)
1036. Don't report "ET6300" in the list of chips supported by the tseng
      driver.
1035. Update xdpyinfo to print the Buttons field from the XFree86-misc
      extension.
1034. Put Mono after VGA16 in the XF86Setup config file so that it will
      start up on the VGA screen when a Herc mono screen is also present
      (#1563, Kazutaka Yokata).
1033. Workaround for '#pragma weak' problem in imake with some Linux
      Alpha compilers (H.J. Lu).
1032. Fix for ET4000/W32 cards with the VGA16 server (#1561, Thomas Mueller).
1031. Documentation updates (#1559, 1560, 1562, Jorge Delgado, Takaaki Nomura,
      Kazutaka Yokota).
1030. Update scanpci (Robin Cutshaw).
1029. Make Xwrapper delete long env vars rather than exit.

XFree86 3.3.1g (26 February 1998)
1028. PC98 doc updates (#1555, Takaaki Nomura).
1027. S3V doc updates (#1554, Kevin Brosius).
1026. Possible fix for Mach32 problem with SVGA ati driver (Marc La France).
1025. SiS doc update (#1552, Mike Chapman).
1024. Add some documentation for the s3_svga driver (#1550, Mark Vojkovich).
1023. Update QuickStart doc (#1551, Joe Moss).
1022. Updates for glibc 2.1 (#1549, H.J. Lu).
1021. Updates to the docs on rebuilding XFree86/OS2 (#1548, Holger Veit).
1020. Several documentation updates.
1019. Get defaults for 24bpp fix on Millennium Millennium II right 
      (Mark Vojkovich, Dirk Hohndel).
1018. Update for Mach64 docs (#1547, Kevin Martin).
1017. Better solution to imake linux libc version detection (H.J. Lu).
1016. Resync the LinkKit site.def (Thomas Mueller).
1015. Fix some XF86Setup problems, including use of the "generic" chipset
      when starting the VGA16 server, resyncing the PC98 version
      (#1544, 1545 Takaaki Nomura, Kazunori Ueno, Kazutaka Yokota).
1014. Update docs for new buttons XF86Config parameter (#1543, 1553,
      Kazutaka Yokota).
1013. Fix Trident DPMS support (#1537, Alan Hourihane).
1012. Fix problem with DCConf code referencing freed memory (#1535,
      Kazutaka Yokota).
1011. General doc updates (#1533, Takaaki Nomura).
1010. Update version in install.sv3 (#1532, Michael Rohleder).
1009. Fix for Millennium I bitblt breakage (#1531, Mark Vojkovich).
1008. Fix some initialization problems in the xkb programs (#1233,
      Andreas Schwab).
1007. Allow number of mouse buttons to be set from XF86Setup (David Dawes).
1006. Update XF86Setup to recognise the buttons field in
      XF86MiscGet/SetMouseSetting() (#1530, Kazutaka Yokota).
1005. Fix bogus "Resolution 0" being included in config files generated
      by XF86Setup (#1534, Joe Moss).

XFree86 3.3.1f (24 February 1998)
1004. Add mga_24bpp_fix option to fix the problem with 24bpp on some MillII
      cards (Sebastien Marineau, Dirk Hohndel).
1003. Add Buttons statement to the Pointer section of XF86Config. Add buttons
      to the XF86Misc extension. Update mouse.sgml accordingly (#1529,
      Kazutaka Yokota).
1002. Update SuperProbe's version and release date (#1528, Koen Gadeyne).
1001. Change order of drivers in SVGA server so that chips driver comes after
      the s3_svga driver.
1000. Update mouse support information and documentation for LynxOS (#1527,
      Thomas Mueller).
 999. Update PC98 documents (#1526, Takaaki Nomura, Isao Ohishi).
 998. Update XF98Conf.cpp for Linux/98 (#1526, Takaaki Nomura).
 997. Fix PC98 cirrus driver (#1526, Isao Ohishi).
 996. Fix XF86Setup (#1526, Kazunori Ueno, Takaaki Nomura).
 995. xterm fixes. Improve test for highlightColor. Remove ich and ich1 from
      xterm and xterm-8bit terminfo descriptions. Restore 1-pixel overlap of
      scrollbar border with left edge of window. Add a configure option,
      --enable-logfile-exec. Makes the ALLOWLOGFILEEXEC code compile & run,
      if configured. Minor documentation updates (#1525, Thomas Dickey).
 994. Improve hardware cursor look in doublescan modes on mga (#1524, 
      Mark Vojkovich).
 993. Fix problems with S3 hardware cursor and problem with checking for
      fake S3 chips in non-PCI systems (#1523, Mark Vojkovich).
 992. Update trident, DECtga and general docs (#1520-1522, Alan Hourihane).
 991. Add the Option tgui_mclk_66 for the 9440 chips to the trident server 
      (#1519, Alan Hourihane).
 990. Fix MouseManPlusPS/2 problem on Linux (Kazutaka Yokota).
 989. Fix clock limits and pixmux problem in SVGA/S3 server (#1517, 
      Harald Koenig).
 988. Small imake fix for NetBSD-current (#1516, Matthieu Herrb).
 987. Doc updates for NetBSD and OpenBSD (#1515, Matthieu Herrb).
 986. Add a few more cards to the Cards file (#1514, Harald Koenig).
 985. Fix LinkKit to include compaq, s3 and s3v drivers (#1513, Thomas Mueller).
 984. Disable the -xkbdir Xserver option.
 983. Attempt at fixing imake's libc version detection
      (Carsten Paeth, H.J. Lu).
 982. Disable mouse protocols not supported by an OS in XF86Setup's
      mouse selection page (David Dawes).
 981. Fix clock limits for Trio64V2 in SVGA/S3 server and misleading message
      about LCD in SVGA/S3V server (#1512, Harald Koenig, Dirk Hohndel).
 980. Add english help text for modeselect in XF86Setup (Dirk Hohndel).
 979. Fix twm bug when using xsm (#1510, Matthieu Herrb).
 978. Update CHANGELOG item 971 (#1511, Takaaki Nomura).

XFree86 3.3.1e (21 February 1998)
 977. Various OS/2 build fixes and doc updates (#1508,1509, Holger Veit).
 976. Fix printing of XAA messages (Dirk Hohndel).
 975. Updates to the NV1 README, add link to README.Riva128 (Dirk Hohndel).
 974. Updates to Cards file to include the new cards (Dirk Hohndel).
 973. LynxOS compile fix (#1504, Thomas Mueller).
 972. XAA poly code fix (#1505, Mark Vojkovich).
 971. XF86Setup japanization, Doc updates, XF98_SVGA fix, PC98 setup updates
      (#1482,1506, Kazunori Ueno, Takaaki Nomura, Isao Ohishi, Kazuo Ito).
 970. Wrapper security updates (#1494,1495, Oyvind Aabling).
 969. New mouse code doc updates (#1499, Kazutaka YOKOTA).
 968. Disable color expansion for W32p, cleanup error message
      (#1500,1501, Krajcsovits Gyorgy).
 967. Xdpyinfo updates for mouse/extension changes (#1498, Kazutaka YOKOTA).
 966. Contrib xload updates for NetBSD/OpenBSD (#1497, Matthieu Herrb).
 965. Fix SERVER_LOCK compile problem (#1496, Matthieu Herrb).
 964. Doc updates (#1489, Harald Koenig).
 963. Xterm fixes for platforms without termcap.h (#1490, Thomas Dickey).
 962. Fake S3 chip detection and warning (#1487, Harald Koenig).
 961. XFree98 doc and SuperProbe updates, s3_svga Imakefile updates
      (#1485,1488, Takaaki Nomura).

XFree86 3.3.1d (15 February 1998)
 960. SuperProbe additions of Intergraphics IGA-1680/1682, S3 Aurora64V+,
      and Sigma Design REALmagic (#1484, Harald Koenig).
 959. Cirrus 7548 linear framebuffer fix (#1483, Achim Oppelt).
 958. xterm fix for 8-bit terminal description (#1481, Thomas Dickey).
 957. ViRGE 32bpp mode line fix (#1480, Kevin Brosius).
 956. AT24/AP6422 acceleration, DPMS, and clock updates (#1478, Henrik Harmsen).
 955. Doc updates, LynxOS xman and PnPMouse updates (#1477, Thomas Mueller).
 954. Fix namespace problem on OpenBSD (#1473, Matthieu Herrb).
 953. Fix hiding of the hardware cursor during DGA for svga/s3 server (#1472,
      Mark Vojkovich).
 952. Small fix to Trident driver for Cyber 3985 detection and handling of
      acceleration for older cards (#1471, Alan Hourihane).
 951. Add new mouse protocols to XF86Setup and XF86 Misc extention. Add new
      field, `resolution', to relevant structures for Get/SetMouseSettings.
      Check the current and new mouse type (MTYPE_XXX) and act appropriately
      when applying new mouse settings. Minor update and bug fix for the
      mouse driver code (#1470, Kazutaka Yokota).
 950. Add bindist files for PC98 and fix LinkKit (#1469, Takaaki Nomura).
 949. Support XF86Setup for PC98, Update VideoBoard98 file, Remove obsolete
      XFree86(98) messages (#1469, Takaaki Nomura, Kazunori Ueno).
 948. Significant updates to xterm and its docs. A separate log file was
      added in xc/programs/xterm/xterm.log.html (#1466, Thomas Dickey).
 947. Improve compatibility with Interactive Versions 4.1 and 4.0. Add
      support to use Linux inline-math package (Version: 2.6) on ISC.
      Add support for liboptm.a (optimized math lib) where available. Change
      ECHECK() to ever include ETEST() on Interactive. Add support to
      recognize "local transport" if LOCALCONN is, and UNIXCONN isn't
      defined. Updates to bindist files. Add support for scanpci on
      Interactive Unix. Dokumentation Updates for isc.sgml. Update for the
      new Mousesupport which needs some defines which aren't available in the 
      header files on ISC. Update to XF86Setup to compile with Tcl/Tk 8.0.
      (#1464, Michael Rohleder).
 946. Fix OpenBSD config on different platforms. Update OpenBSD
      documentation. Fix a small typo in Xnest. Use mkstemp in xrdb (from
      NetBSD). Fix XF86Setup when the X link doesn't exist. Update xload's
      Imakefile for NetBSD and OpenBSD (#1460,1462, Matthieu Herrb).
 945. Add option to turn on/off the shadow registers for Cyber chipsets in 
      the trident driver (#1461, Alan Hourihane).
 944. Fix 32bpp on Elsa Winner2000Pro (#1457,1458, Rainer Canavan, 
      Marc LaFrance).
 943. Use the MAP_SHARED option to mmap on NetBSD (required by the new uvm
      virtual memory system) and suppress 386_BSD_MMAP code (1456,
      Matthieu Herrb).
 942. Use new PCI routines to get the base address in the TGA server (#1455,
      1459, Alan Hourihane).
 941. Improve messages when XAA acceleration is disabled 
      (#1454, Alan Hourihane).
 940. Several Cirrus Laguna driver fixes. Add support for sw cursor. Add code 
      to scan all PCI devices when looking for Cirrus chips. Add "pci_retry".
      Add no_accel support. Enable 24bpp HW cursor. Improve FIFO threshold 
      calculation. Fix bug with 24,32bpp on 5465. Update docs 
      (#1450, Corin Anderson).
 939. Add xterm log file (#1448, Thomas Dickey).
 938. Add zoom initialization and fix blits on T2R (Robin Cutshaw).

XFree86 3.3.1c (9 February 1998)
 937. Add DGA and remove accel for AT24 in apm driver (#1453, Henrik Harmsen).
 936. Clean up PCI probing and fix 8x8 pattern bug for ViRGE
      (#1452, Sebastien Marineau).
 935. Fix snowy and corrupted display for 24bpp modes and implement TVP3026
      rev B support for 24bpp on Mil II (#1446,1449 Sebastien Marineau).
 934. Fix Xqueue/OSMouse in XF86Setup.
 933. Fix DGA SetViewPort (#1439, Harald Koenig).
 932. Initialize VGAbase properly (and thereby fix ET6k memory probe)
      (1438,1440,1441, Koen Gadeyne, Marc La France).
 931. Fix 24/32bpp on some Trident chips, clear up a few bugs for 9397 and
      3Dimage cards (#1435,1427 Alan Hourihane).
 930. Make the buttons map works when a device is in the AlwaysCore mode
      (#1434, Frederic Lepied).
 929. Fix the macro buttons behavior of the wacom driver (#1433, 
      Frederic Lepied).
 928. Fix Matrox driver root weave problem (#1432, Sebastien Marineau).
 927. Fix S3 Aurora64V+ and ViRGE/MX support, make hw_cursor the default for
      SVGA/s3v driver (#1426, Harald Koenig).
 926. Update Tseng documentation (#1425, Koen Gadeyne).
 925. Disable pci_retry by default in Matrox driver (#1424, Mark Vojkovich).
 924. Stop SVGA/S3V server from cleaning pci info, fix XAA HW cursor restore 
      after a VT switch (#1423, Sebastien Marineau).
 923. Enable dashed line accelerateion for Matrox (#1422, Mark Vojkovich).
 922. Add SVGA/S3 server (#1420,1421, Mark Vojkovich).
 921. Fix a pattern fill hardware bug in some s3 chips (#1419, Mark Vojkovich).
 920. Fix nv driver to bail if another chipset is set and to use the already
      probed pci info (Dirk Hohndel).
 919. Add support for several new mice, including Kensington ThinkingMouse, 
      ALPS GlidePoint, Genius NetScroll, Genius NetMouse, Genius NetMouse,
      ASCII MieMouse, Logitech MouseMan+, Logitech FirstMouse+ (#1380,
      Kazutaka Yokota).
 918. Fix mga driver for PC98 (#1436, Takaaki Nomura).
 917. Fix PANIX98 support (#1436, Takaaki Nomura).
 916. Resync PC98 Imakefiles (#1436, Takaaki Nomura).
 915. Add wrapper for X server and disable setuid root installation of the
      servers. Make server error messages more verbose when root permissions
      are missing (David Dawes, Dirk Hohndel).
 914. Fix some problems with the /var/X11 config code, and disable it.

XFree86 3.3.1b (31 January 1998)
 913. Tseng superpatch including Chrontel 8391 support, ICD2061 fixes,
      DPMS updates, Bresenham line fixes, ET6000 probe crash fix,
      MUSIC 4910 ramdac support, and XAA updates (#1415, Koen Gadeyne).
 912. Add simple mode selection feature to XF86Setup and allow the user
      to pick the default color depth (#1414, Dirk Hohndel/S.u.S.E.)
 911. Fix uninitialized variable in scanpci, add BSD44 socket support for
      LynxOS (#1412, Thomas Mueller).
 910. ATI driver updates including 3D Rage Pro support (#1408 Marc Aurele
      La France).
 909. Cyrillic font updates (#1398 Andrey Chernov).
 908. MGA driver updates (#1395 Mark Vojkovich).
 907. XF98 updates including new MGA and SVGA server, TGUI updates,
      Linux98 support, and XKB and locale fixes (#1387 Takaaki Nomura).
 906. XAA superpatch including rolled/unrolled font handling, wide and
      dashed lines, trap fills, stipple/bitmap routines, cursor support,
      pattern fills and non-linear support (#1385,1386,1393,1394,1410
      Mark Vojkovich).
 905. Small fix for 9397 support in Trident driver (#1376, Alan Hourihane).
 904. Enable the new models of wacom tablets which don't follow  exactly the
      Wacom IV protocol  (PenPartner and PL300) (#1379, Frederic Lepied).
 903. Allow use of DacSpeed in Mach64 driver (#1375, Kevin Martin).
 902. Fix a bug in the TMED DSTN dithering scheme for the 65555 and 68554 chips
      and adhere much more strictly to the clock limits but allow these to be
      overriden with Set_MemClk and DacSpeed options (#1377, David Bateman).
 901. Add ViRGE/MX support (#1374, Harald Koenig).
 900. Add DEC alpha and preliminary Revolution support to the I128 server.
 899. Update Ti302X register definitions (#1383, Mark Vojkovich).

XFree86 3.3.1a (23 January 1998)
 898. Add accelerated drivers for Riva128 and NV1 from XSuSE baseline 
      (David McKay).
 897. Add At3D patches from XSuSE baseline (Henrik Harmsen).
 896. Add Mach64 patches from XSuSE baseline (Kevin Martin).
 895. Add Trident patches from XSuSE baseline (Alan Hourihane).
 894. Add Tseng patches from XSuSE baseline (Koen Gadeyne).
 893. Fix two buffer overflow problems in the X server.
 892. Install config/log files under /var/X11.
 891. Add login.conf/setusercontext support to xdm for FreeBDS.
 890. Fix BSDI support and add bindist directory for it (Robin Cutshaw).
 889. For setuid Xservers, drop privs when running xkbcomp.
 888. Disable the Xserver '-config' option, which is a security problem
      for setuid-root servers.
 887. Add DEC alpha and preliminary Revolution support to the I128 server
      (Robin Cutshaw).

XFree86 3.3.1 (4 August 1997)
 886. Fix a problem reading a config file generated by XF86Setup.
 885. Add Japanese translations of some man pages (#859, Kazuyuki Okamoto).
 884. Enable MIT-SHM for OS/2 and update OS/2 docs (#858, Holger Veit).

XFree86 3.3g (2 August 1997)
 883. Update Japanese translations of some documentation (#849,
      Kazuyuki Okamoto).
 882. Preliminary experimental support for the Millennium II (#852-857,
      Andrew Vanderstock).
 881. Ignore "noaccel" for the Cirrus 546x chips because it will cause
      a machine lockup (#851, Corin Anderson).
 880. Fix blitter timeout problem with Cirrus 7548 and 7555 (#850,
      Corin Anderson).

XFree86 3.3f (1 August 1997)
 879. Fix some problems XF86Setup has reading a config file it has
      generated (#846, Harald Koenig).
 878. Fix parsing of DPMS parameters in config file.
 877. Catch a NULL dereference in lib/X11/lcFile.c (#843, Dirk Hohndel).
 876. Update Japanese translations of some documentation (#837-840, 844-845,
      Kazuyuki Okamoto).
 875. Fix a problem in the Wacom driver with erase button events not
      being released (#835, Frederic Lepied).
 874. Fix some I128 problems reported with PPro CPUs (#834, Robin Cutshaw).
 873. Update VideoBoard98 file (#830, 842, Takaaki Nomura, Isao Ohishi).

XFree86 3.3e (28 July 1997)
 872. Fix for ramdac problem that shows up as bad colours on old ET4000
      cards (#828, Koen Gadeyne).
 871. Only change MMIO/fb mapping for Mystique rev >=3.
 870. Set fallback defaults for the Linux libc versions in linux.cf.
 869. Disable NonTE text acceleration in XAA for cases that are not supported
      (#826, David Bateman).
 868. Update C&T docs (#824, David Bateman).
 867. Updates to change 861 (#823, Matthieu Herrb).

XFree86 3.3d (27 July 1997)
 866. Add bindist files for OpenBSD (#822, Matthieu Herrb).
 865. Add missing install for sco5.cf, and fix typo in build-bindist
      (#822, Matthieu Herrb).
 864. Fix handling of PS/2 protocol mice with OpenBSD (it doesn't translate
      to BusMouse protocol like NetBSD does) (#820, Matthieu Herrb).
 863. Update and split the NetBSD and OpenBSD docs (#819, Matthieu Herrb).
 862. Allow the XsunMono server to be built on sun3 machines
      (#819, Kenneth Stailey).
 861. Add support to imake to distinguish between different machines
      using the same processor (#819, Matthieu Herrb).
 860. Change 855 was missing, it is included now.

XFree86 3.3c (26 July 1997)
 859. Allow ChipId and ChipRev overrides for the MGA driver.
 858. Recognise the rev 3 Mystique, and hopefully set everything up
      correctly for it.
 857. Support for I128 DRAM cards (#816, Robin Cutshaw).
 856. PCI updates required for the I128 server (#815, Robin Cutshaw).
 855. Fix some initialisation problems in the Mach64 server (#814,
      Marc Aurele La France).
 854. Fix for Xt/Error.c (#813, Kaleb Keithley).
 853. Fix XAA colour expanded stipple problems (#807, David Bateman).
 852. Fix an ET6000 black screen problem (#803, Koen Gadeyne).
 851. Make XF86Setup's keyword matching the same as the Xservers (ie,
      ignore '_', ' ', '\t' in keywords).
 850. Tseng documentation update (#800, 803, Koen Gadeyne).
 849. Fix determination of the MMIO address for the SiS driver
      (#798, Xavier Ducoin).
 848. Add missing <LSGT> definition to the xkbcomp symbols/no file
      (#797, Harald Nordgard Hansen).
 847. Trident driver updates, fixing memory detection for 9685, and
      possibly fixing some 9320 problems (#795, Alan Hourihane).
 846. Update to imake's auto GCC PostIncDir detection for OpenBSD
      (#794, Matthieu Herrb).
 845. Missing svga/s3v fix (#793, Harald Koenig).
 844. Fix I128 problems (#792, 809, Robin Cutshaw).
 843. Reorganise OpenBSD.cf to make it easier to use in a multi-architecture
      environment (#791, Thomas Graichen, Matthieu Herrb).

XFree86 3.3b (19 July 1997)
 842. Fix some errors in the symbols/th XKB file (Poonlap Veeratanabutr).
 841. Don't use EXTRA_DEFINES in Xserver/xkb/Imamkefile (#786, Kaleb Keithley).
 840. Alternate way of fixing the "./" problem in Imake.rules
      (#785, Kaleb Keithley).
 839. Install full path in dynamic libraries for SCO (#782, J. Kean Johnston).
 838. Fix for line drawing problem that shows up with Cirrus 542x chips
      (#777, Corin Anderson).
 837. Remove pthreads stuff for libc-6 on AXP which was added in 3.3a.
 836. Add a check for libc-6 to preinst.sh (#774, Harald Koenig).
 835. Updates to S3, S3V and svga/s3v drivers (#774, Harald Koenig).
 834. Fix remaining problems with SCO OpenServer 5 support (#772,
      J. Kean Johnston).
 833. Fix support for older I128 cards (#771, Robin Cutshaw).
 832. Add detection for C&T 68554, and fix detection of the 65550 revision
      numbers (#770, David Bateman).
 831. Add more resolutions to xf86config (#767, Holger Veit).
 830. Add OS/2 diagnostic on network config (#767, Holger Veit).
 829. Fix EditRes problems that show up on OS/2 (#767, Holger Veit).
 828. Fix a problem in OS/2's imakesvc.cmd (#767, Holger Veit).
 827. Fix lockup when the SVGA server dumps core with the MGA driver
      on some OSs.
 826. Change Tk version check in XF86Setup from >= 4.0 to >= 4.1
      (#764, Joe Moss).
 825. Fix sqrt problems in miarc (#765, Harald Koenig).
 824. Fix a bug in cfb24GetSpans which can cause a server crash
      (StarOffice will provoke this).
 823. Fix the use of a C++ reserved word in xf86vmode.h.
 822. Reset the DPMS state to ON when re-entering the server's VT.
 821. Process Xqueue events synchronously to avoid problems with
      accelerated servers.
 820. Fix STG170x support in tseng driver (#766, Koen Gadeyne).
 819. Add support for I128 Series II Rev 2 chips (#758, Robin Cutshaw).
 818. Add support for AST onboard Mach32 (#754, Bryan Feir).
 817. Fix a problem in Imake.rules that shows up when using Motif.rules.
 816. Fix MGA lockup on SVR4.0.

XFree86 3.3a (7 July 1997)
 815. Add missing for Japanese "small TSU" character to the XKB
      symbols/jp file (#751, Shigehiko Sasaki).
 814. Some PCI video cards don't have the expected "IBM" string in the
      BIOS, so look for the "PCI" string too.  Without this, scanning with
      -nopci fails for some cards (#741, Koen Gadeyne).
 813. Add port probing to SuperProbe for the Alliance 6410, 6422 and AT24
      (#743, Joe Moss).
 812. Fix SuperProbe's ET6000 memory probe (#742, Koen Gadeyne).
 811. Add detection for the ET6100 and ET6300 to SuperProbe (#742, 
      Koen Gadeyne).  
 810. Add detection of newer Mach64 chips (GU, GP, VU) to the Mach64 server
      and SuperProbe (#609, 659, Marc Aurele La France).
 809. Use SW cursor by default in the MGA driver.
 808. Fix display problems with wide characters in the cirrus driver
      (#750, Atsuo Ohki).
 807. Add detection for the C&T 65555 (#749, David Bateman).
 806. Call the ramdac probe function in the S3 server when the ramdac
      is specified in the XF86Config to ensure that the correct options
      get set (Mark Vojkovich).
 805. Fix a problem with xterm's cursor colour versus the background, and
      remove a duplicate initialisation of the cursor's GC (#734,
      Thomas E. Dickey).
 804. Some xterm fixes (selected parts of #700, Thomas E. Dickey).
 803. Fix xhost core dump that can happen if no hosts are authorised
      (#731, Kaleb Keithley).
 802. Fix Wacom bugs that prevented the eraser from working and prevented
      two relative devices from working (#728, Frederic Lepied).
 801. Update recent config and libX11 changes for OS/2 (#724, Holger Veit).
 800. Fix unmap bug in the ET6000 memory probe.
 799. SCO support updates (#720, J. Kean Johnston).
 798. Merge in TOG's X11R6.3 public patch 2.
 797. Don't call seteuid in the server when the real uid is root.  This
      fixes a problem of not getting a core file under some FreeBSD versions.
 796. 'xset dpms 600 0 0' complains about 600 being greater than 0.
 795. Fix ROP bugs in the svga/s3v driver (#713, Harald Koenig).
 794. Fix a malloc/free bug which can cause the Xserver to crash when
      an lbxproxy terminates.
 793. Change default compression level in lbxproxy (#710, Kaleb Keithley).
 792. Xt/Error.c update (#708, Kaleb Keithley).
 791. LibXext cleanups (#707, Kaleb Keithley).
 790. Config updates (#706, Kaleb Keithley).
 789. Add PreviousCandidate and MultipleCandidate keysyms (some new Japanese
      keyboards have these keys) (#705, Kaleb Keithley).
 788. Fix support for Trident 9680 and 9685 (#703, Alan Hourihane).
 787. Add support for I128 Series II Rev 2 chipset (#704, Robin Cutshaw).
 786. Some Xlib fixes (#687-690, 695-699, Kaleb Keithley).
 785. XKB updates (#674, 675, 709, Kaleb Keithley).
 784. Imake/config updates to automatically set LinuxCLib*Version,
      LinuxBinUtilsMajorVersion and PostIncDir (#673, Kaleb Keithley).
 783. Fix a typo in the XKB symbols/hu file and add an entry for it in
      the rules/xfree86.lst file (Peter Soos).
 782. Fix a bug in Xt/Error.c that can result in partially duplicated
      error/warning messages.
 781. Fix SEGV in solx86's xf86MapVidMem() when called without first
      calling xf86LinearVidMem() (David Thompson).
 780. Automagically select the correct protocol for PS/2 mice at startup
      with XF86Setup (#604, Dirk Hohndel).
 779. Fix XF86Setup to follow links that point to non-existing files (so that
      it creates /var/X11R6/bin/X if necessary) (#604, Dirk Hohndel).
 778. Fix XF86Setup to allow reading the right README files
      for cards using the SVGA server (#604, Dirk Hohndel).
 777. Fix for pci detection code in S3 server (#683, Harald Koenig).
 776. Fix problems with rop -1 in S3V server (#679,681,682, Huver Hu, Harald
      Koenig).
 775. Add "no_split_xfer" option to S3 server (#678, Harald Koenig).
 774. Fix bug in xterm. Logout records should contain '\0' as first char
      in user name (#676, Alex Belits).
 773. Fix xterm's op termcap entry, and shorten the entry so it fits within
      the 1024 character limit.
 772. Move HP's HPkeysym.h (#667, Kaleb Keithley).
 771. Fix a bad include in FS.h (#666, Arthur Barstow).
 770. Fix some Xprt problems (#655-657, Kevin Samborn).
 769. Fix depth-specific dacspeeds for the S3 server (#654, Harald Koenig).
 768. Turn Malloc0ReturnsNULL back on for FreeBSD.
 767. Fix various svga/s3v problems (#653, Harald Koenig and
      Sebastien Marineau).
 766. Fix an InfoRec initialisation problem in xfree68/fbdev (#652,
      Andreas Schwab).
 765. Fix incorrect links created from nls/XLC_LOCALE to xc/exports
      (#652, Andreas Schwab).
 764. Fix a flaw in a libX11 security fix (#652, Andreas Schwab).
 763. Add libc 6 config for Linux/m68k to Linux.cf (#652, Andreas Schwab).
 762. Allow depth-specific Dacspeeds to work for the tseng driver
      (#651, Koen Gadeyne).
 761. Allow xterm to start when /etc/termcap is missing, and fix some
      configure script nits (#649, Thomas E. Dickey).
 760. Fix twm crash if interrupted during startup (#644, Wolfram Gloger).
 759. Fix a #include location in Xserver/os/utils.c (#644, Wolfram Gloger).
 758. Fontlib fixes (#636-640, 642, 646, 648, Arthur Barstow).
 757. Fix I128 server (#635, Robin Cutshaw).
 756. Fixes for xterm (missing part of install-rule, incorrect assignment for
      --enable-color-mode option, unexpected cursor color change while
      scrolling) (#632,633, Thomas Dickey).
 755. Add audit logging to xfwp (#623, Kaleb Keithley).
 754. Sun/XKB keyboard fix (#621, Kaleb Keithley).
 753. Update xrx defaults (#620, Kaleb Keithley).
 752. Fix clock limit problem for some Cirrus 5434 revisions.
 751. Imake config updates (#610-612, 614-617, 619, 624, Kaleb Keithley).
 750. Fix xdm/Imakefile for OpenBSD (which doesn't have libcrypt)
      (#606, Matthieu Herrb).
 749. Fix small problem with installing the LinkKit (#603, Geert Uytterhoeven).
 748. Fix yet another fontserver problem (#597, 613, 643, Arthur Barstow).
 747. TOG's fix for lcFile Xlib buffer overflow (#596, Kaleb Keithley).
 746. Fix some typos in the Mach64 code which shows the ID of unknown
      PCI devices.

XFree86 3.3 (2 June 1997)
 745. Allow the ChipId and ChipRev values to be overriden from the XF86Config
      for the Mach64 server.
 744. Disable the I128 server for Alpha platforms because it isn't stable
      enough (Robin Cutshaw).
 743. S3V doc updates (#595, Kevin Brosius).

XFree86 3.2Zc (1 June 1997)
 742. Tseng doc updates (#594, Koen Gadeyne).
 741. Fix a problem in the tseng driver which was causing it to fail
      at > 8bpp with the STG1700 RAMDAC (#594, Koen Gadeyne).
 740. Add Alpha platform support for the svga/s3v driver (<= 16bpp only)
      and fix some problems where the driver was accessing MMIO registers
      when MMIO was disabled (#592, Harald Koenig).
 739. Fix a problem with the HW cursor being drawn in the overscan area
      with the svga/s3v driver and cleanup some of the register
      save/restore (#585, Harald Koenig).
 738. Fix some DPMS problems, including problems when the DPMS timeouts
      are smaller than the screensaver cycle time, and problems with the
      various DPMS setting not being re-initialised at server reset.
 737. Fix Xrm buffer overflow in Xprint ddx (#591, Kaleb Keithley).
 736. A better fix for change 727 (#590, Kaleb Keithley).
 735. MGA doc updates (#589, Radoslaw Kapitan).
 734. Fix the incorrect resetting of the HW cursor hotx/hoty values at
      VT switch in most servers/drivers that support HW cursor
      (based on #582, OEyvind Aabling, #588, Dejan Ilic).

XFree86 3.2Zb (30 May 1997)
 733. Fix for fontserver accessing NULL pointer (#587, Arthur Barstow).
 732. Fix for incorrect handling of negative values in cfb (#586, Harald
      Koenig).
 731. Fix for Xlib/Xt buffer overflows which can be triggered by long
      $LANG and related environment variables (#576, Alex Belits).
 730. Disable the banked-mode speedups for the Tseng driver when running
      in linear mode (#584, David Bateman).
 729. Cards db updates (#583, Dirk Hohndel, Harald Koenig).
 728. Fix for TsengCursorInit() zeroing some cursor variables when
      VT switching, which causes problewms with the HW cursor
      positioning (#582, OEyvind Aabling).
 727. Fix for NULL dereference in XtOpenApplication/XtAppInitialize.
      This also makes these functions behave as documented (ie, exit
      when the display open fails).
 726. Some man page updates.
 725. Refine change 715 to take into account that some forms of 8x8
      pattern fill only need one scanline in the XAA pixmap cache
      (#581, David Bateman).
 724. Remove some unneeded <locale.h> includes in libXp and XKB (libX11)
      (#579, 580, Kaleb Keithley).
 723. Fix a problem that can cause xfs to crash after running for a while
      (#578, Arthur Barstow).
 722. Fix a problem with xfs that meant it could be killed by interrupting
      one of its clients (#575, Arthur Barstow).
 721. Fix for CR53 not being restored unless xf86Verbose > 1 in the svga/s3v
      driver (#572, Sebastien Marineau).
 720. Fix problems restoring some non-standard text modes for the Millennium
      (#573, Radoslaw Kapitan, #574, Ansgar Hockmann).
 719. Fix svga/s3v panning at 24bpp (#570, Harald Koenig).

XFree86 3.2Za (28 May 1997)
 718. Fix S3V panning at 24bpp (#569, Harald Koenig).
 717. Fix misleading messages in the svga/s3v driver when the SVGA server
      is started with a non-ViRGE S3 card (#568, Sebastien Marineau).
 716. Alternate S3V 32<->24 bpp translation to avoid unaligned traps
      on Alpha platforms (#567, Harald Koenig).
 715. Disable 8x8 pattern fill when less than 8 scanlines are available
      in the XAA pixmap cache (#566, David Bateman).
 714. Fix some sgml problems in fbdev.sgml (#564, Matthieu Herrb).

XFree86 3.2Z (27 May 1997)
 713. Fix a screen restore problem for the Mystique when the server is
      started with '-probeonly' (#559, Radoslaw Kapitan).
 712. Mask out the low four bits in the PCI memory base address in the
      Mach64 server.
 711. Add the bindist script/files to the source.
 710. Turn the monitor back on after DPMS has done its thing for
      OSs where the input devices are not selectable (558, Jack Thomasson).
 709. Allow xdm to be built with the Linux shadow password suite
      (Leonard N. Zubkoff).
 708. Build just on xdm on Linux/ELF (including standard shadow support).
 707. Fix some incorrect ROP definitions in the C&T driver (#557,
      David Bateman).
 706. Fix a sun.cf problem that shows up when using gcc (#556, James Hawtin).
 705. Doc updates (#555, Harald Koenig).
 704. In the S3 server only reset the GE for real Trio64V+ chips
      (#554, Harald Koenig).
 703. Make the TGA server us the same black/white pixel defaults as the
      others, and make it honour the flippixels flag (#551, Alan Hourihane).
 702. S3V doc update (#550, Sebastien Marineau, #553, Kevin Brosius).
 701. Fix some text font corruption for the S3 Trio64 (#549, Harald Koenig).
 700. Use the S3 newmmio driver by default where possible on Alphas too
      (#549, Harald Koenig).
 699. Cards db updates (#548, Koen Gadeyne, #552, Matthieu Herrb,
      #555, Harald Koenig).
 698. XF86Setup carddata updates (#547, Koen Gadeyne, #552, Matthieu Herrb).
 697. Updates for the VGADriverDoc sample stub driver (#546, Harald Koenig).
 696. Fix a PCI alignment check in the S3 server (#546, Harald Koenig).
 695. Fix uninitialised variables in xeyes which can cause it to crash
      on Alpha platforms (#546, Harald Koenig).

XFree86 3.2Xn (26 May 1997)
 694. Allow xconsole to reopen the input file after EOF when it is not
      a regular file (eg, if it is a named pipe) (#526, Mark W. Eichin)..
 693. When using xconsole on a regular file, start from the end of the
      file.
 692. Modify xon to use the fully qualified hostname on Linux (#544,
      Burchard Steinbild, Dirk Hohndel).
 691. Fix a problem where XAA calls accel text functions with a ROP that
      has no source by rechecking the text function when the ROP is changed
      in the gc (#543, David Bateman).
 690. Fix an xterm autoconf problem (#541, Thomas E. Dickey).
 689. Fix XAA cap style problem with thin lines that shows up with the
      MGA driver (#540, Radoslaw Kapitan).
 688. Add support for ICD2061 programmable clock in the pvga1 driver,
      as used by Diamond Speedstar 24X cards (#539, Torsten Duwe).
 687. Exclude ROPs with no source from XAA CopyPlane functions (#538,
      David Bateman).
 686. LynxOS doc update (#537, Thomas Mueller).
 685. Mach32 updates, including accepting '-bpp 15' and increasing the
      16bpp clock limit for the 68875 ramdac to 80MHz (#536, Bryan Feir).
 684. PC98 doc updates (#535, Takaaki Nomura).
 683. Update SVGA chipset entries in carddata.tcl.
 682. Some updates to carddata.tcl for the ViRGE (#534, Sebastien Marineau).
 681. Update the Cards db for ViRGE cards (#534, Sebastien Marineau).
 680. Fix XAA pixmap cache problem for stipples with the svga/s3v driver
      (#533, Sebastien Marineau).
 679. Fix for an S3V server problem at 16bpp introduced in change 650
      (#532, Huver Hu).
 678. Further fix for Mystique problems when VT switching (#531,
      Radoslaw Kapitan).

XFree86 3.2Xm (25 May 1997)
 677. PC98 doc updates (#530, Michio "Karl" Jinbo).
 676. Implement the Get/SetViewPort() functions in the VidMode extension
      (these were already documented).
 675. Fix some client/server protocol mismatches in some newer VidMode
      extension functions, and allow new clients to not fail with
      servers that don't have these fixes.  The extension version has
      been bumped to 0.8.
 674. Allow xconsole to handle regular files (it could in our R5-based
      releases, but this was lost when we moved to R6).
 673. Map only the amount of video memory present in the MGA driver
      rather than always 8MB (#516, Radoslaw Kapitan).
 672. Fix usage of PixmapBytePad() in xaa/xf86pcache.c, which fixes a
      server crash that can happen at 32bpp.
 671. Fix BitsPerPixel() macro for cfb24.
 670. Fix a blit bug with the ViRGE chip in the svga/s3v driver which
      shows up with xv rubber-banding (#529, Sebastien Marineau).
 669. Updates of tgetent for terminfo vs termcap for resize (#527,
      Thomas E. Dickey).
 668. Add aixterm-style 16 colour support to xterm (#527, Thomas E. Dickey).
 667. Make sure the port number is printed in host byte order in Xserver
      AUTH warning messages (#525, Marc W. Eichin).
 666. Stop xterm from setting the TERMCAP environment variable when
      using terminfo (#523, Mark W. Eichin).
 665. Fix a mouse selection type bug in xf86config for OS/2 (#521,
      Holger Veit).
 664. Set the version number to 3.3 and increase the inital stack size in
      the OS/2 .def files (#521, Holger Veit).
 663. Fix a blank screen problem when switching back to the Xserver
      from a text VT with the Mystique (#520, Radoslaw Kapitan).
 662. Some minor Tseng code cleanups (#519, Koen Gadeyne).
 661. Fix a bug in the ET6000 memory probe (#519, Koen Gadeyne).
 660. Save/restore and initialise the Tseng Segment Select Register 2
      for ET4000W32 and up (#519, OEyvind Aabling).
 659. Add a timeout to the MGA Sync() funtion (#518, Radoslaw Kapitan).
 658. Remove '.' from DefaultUserPath (#517, Per Fogelstrom).
 657. Add more ET6000-based cards to the Cards db, and make ET6000 and
      ET4000w32i/p cards point to the SVGA server instead of the W32 server
      (#515, Koen Gadeyne).
 656. Disable the HW cursor in the tseng driver when entering DGA mode
      (#514, Koen Gadeyne).

XFree86 3.2Xl (24 May 1997)
 655. Fix a S3V server text console corruption problem when running at 24bpp
      (#513, Kevin Brosius).
 654. Remove '-m486' from the default gcc options.
 653. NetBSD/OpenBSD doc updates (#512, Matthieu Herrb).
 652. Change the SVGA server to tell DGA clients that the memory available
      is InfoRec.videoRam rather than ChipLinearSize (which is often
      too large).
 651. Add detection of other variants of the Cyber9385 to the trident
      driver and SuperProbe (Arthur Tateishi and Alan Hourihane).
 650. Merge in simple dashed horizontal and vertical line drawing in the
      S3V server into s3line.c, and use this for 24/32bpp (#474, Huver Hu).
 649. Modify the S3V server to advertise a 32 bits-per-pixel pixmap
      format to clients, and translate to/from packed 24bpp when accessing
      the framebuffer.  This allows a lot of clients which didn't know
      how to handle the 24 bits-per-pixel pixmap format to work
      (#474, Huver Hu).
 648. Cards db updates (#511, Harm Hanemaayer).
 647. Update Cirrus docs (#509, Harm Hanemaayer).
 646. Change Tseng memory mapped registers to volatile (#507, Koen Gadeyne).
 645. Disable Tseng 24bpp for CH8398 RAMDAC (#507, Koen Gadeyne).
 644. Update docs to reflect change 643 (#507, Koen Gadeyne).
 643. Re-enable Tseng 8bpp+linear+accel combination (#507, OEyvind Aabling).
 642. Fix LynxOS inconsistent TERMCAP use by xterm and resize (#504,
      Thomas Mueller).
 641. Fix a duplicate declaration in imConv.c that shows up when building
      without XKB support, and remove a "Const" from the declaration
      (#505, David A. Koontz).
 640. Remove all local symlinks for 'make clean' in lnxLib.rules.
 639. Remove the CirrusSync() lines again (#506, Corin Anderson).

XFree86 3.2Xk (23 May 1997)
 638. Put back the CirrusSync() lines commented out in change 533.
 637. Fix a problem where the Tseng memory mapped registers get cleared in
      vgaScreenInit() when it is clearing the screen as startup.  This only
      happened for 8bpp with linear mode enabled (OEyvind Aabling).
 636. Update mga docs (#502, #503, Radoslaw Kapitan).
 635. Doc updates (#501, Henry Worth).
 634. Add an autoconf configuration script for xterm.  This isn't used
      in the standard build process, but is useful when building xterm
      standalone (#500, Thomas E. Dickey).
 633. Fix fontserver "cloning self" failure (#499, Arthur Barstow).
 632. Fix a problem in the RECORD server extension where the last ClientDied
      is never flushed (#498, Kaleb Keithley).
 631. Fix font and LUT corruption on VT switch for the svga/s3v driver
      (#497, Harald Koenig).
 630. Fix some acceleration bugs in the TGUI driver (#496, Alan Hourihane).
 629. Updates to the I128 server for Alpha platforms (#494, Robin Cutshaw).
 628. Fix array bounds problem in dixutils.c (#493, Kaleb Keithley).
 627. Fix Xserver crash in SHAPE extension (#492, Kaleb Keithley).

XFree86 3.2Xj (22 May 1997)
 626. Fix typos in NetBSD.cf and OpenBSD.cf (#491, Takaaki Nomura).
 625. Add pixmap invalidation at VT switch for the TGA and I128 servers
      (#490, Alan Hourihane).
 624. Update sun.cf with the version numbers of more recent Sun ProWorks
      compilers (#489, William Austin).
 623. Fix a Mystique colour problem when switching VTs (#488, Guy Desbief).
 622. TOG fix for the lib/X11 -xrm buffer overflow (#487, Kaleb Keithley).
 621. XInput doc updates (#486, Frederic Lepied).
 620. Remove the informational messages that get printed when extension
      modules are not loaded (and which confuse a lot of people), and add
      messages when the modules are loaded (#485, Matthieu Herrb).
 619. Disable DPMS support for the W32 server because it isn't working
      (#483, Koen Gadeyne).
 618. Fix a bug in Mystique memory detection (2MB was detected as 4MB)
      (#482, Radoslaw Kapitan).
 617. Fix Mystique 32bpp support (including accel) (#482, Radoslaw Kapitan).
 616. Fix SuperProbe's memory size detection for the ATI 264VT-B, 264GT-B,
      264LT and above, and fix SuperProbe's detection of the 264LT
      (#481, Marc Aurele La France).
 615. Small DGA patch for the svga/s3v driver (#480, Sebastien Marineau).
 614. S3V documentation updates (#480, Sebastien Marineau).
 613. Add detection of Matrox Mystique to SuperProbe (#479,
      Andrew Vanderstock).
 612. New entries for the Monitors db (#478, collected by Andrew Vanderstock).
 611. Fix config/build problem when Malloc0ReturnsNull is YES.

XFree86 3.2Xi (21 May 1997)
 610. Enable building support for the NetBSD/OpenBSD/Solaris aperture
      drivers by default.
 609. Have postinst.sh optionally install a link in /usr/bin to rstartd.
 608. Change the name of the saved ids feature test macro in xterm to
      be more accurate.
 607. Enable colour in the default XTerm app-defaults file, and include
      the colour-related resources there.
 606. Start cleanup of depth/bitPerPixel usage in the SVGA server.  xdpyinfo
      should now report the correct information (#472, Mark Vojkovich).
 605. Update SOLX86 docs (#477, Matthieu Herrb).
 604. Update the Xservers to check for /dev/xsvc before /dev/fbs/aperture
      on Solaris (#477, Matthieu Herrb).
 603. Fix XAA stipple ScreenToScreen colour expansion, and fix a problem
      with stipples when ONLY_TRANSPARENCY is flagged (#476, David Bateman).
 602. Disable mono/vga16 for the Cirrus Laguna chips (#475, Corin Anderson).
 601. Disable XAA byte-padded colour expansion in the Cirrus driver to
      avoid bitblt timeout problems (#471, Harm Hanemaayer).
 600. Fix Xlib ctstowcs parser mishandling charset escape sequences in
      COMPOUND_TEXT (#470, Kaleb Keithley).
 599. Fix the -ar1 and -ar2 Xserver flags breaking XKB auto-repeat (#469,
      Kaleb Keithley).
 598. Turn on the XtMalloc BC by default for XFree86.
 597. Add a backward-compatibility option to disable the recent XtMalloc
      changes (#468, Kaleb Keithley).
 596. Change chiprounding from 128 to 64 in 8bpp for the Mystique, which
      allows 1600x1200x8 on 2MB boards (#467, Radoslaw Kapitan).
 595. Add 16 and 24bpp support for the Mystique (#467, Radoslaw Kapitan).
 594. Disable building SuperProbe on OpenBSD/arc systems (#466,
      Per Fogelstrom).
 593. Disable the HW cursor in the trident driver, and acceleration for the
      9420 (#464, Alan Hourihane).
 592. Update Trident docs (#465, Alan Hourihane).
 592. Update TGA docs (#463, Alan Hourihane).
 591. Bump the revision number of SuperProbe (#462, Koen Gadeyne).
 590. Add ICS5341 and ISC5301 SDAC/Gendac detection to SuperProbe (#462,
      Koen Gadeyne).
 589. Some tseng doc updates (#461, Koen Gadeyne).
 588. Change 566 caused some uninitialised variables to be passed to the
      XAA code.  This is now fixed (#461, Koen Gadeyne).
 587. Position the tseng accel scratchpad area correctly (#461, Koen Gadeyne).
 586. Fix negative offsets in pixmap during stipple fill (#460,
      Radoslaw Kapitan).
 585. Fix the layout of the mouse protocol buttons in XF86Setup.  XF86Setup
      now requires Tk version 4.1 or later (#459, Matthieu Herrb).
 584. Save the initial state of bit 7 of CR58 in the S3, S3V servers and
      svga/s3v driver, and change the "ras_precharge" option to allow it
      to be turned on or off (#458, Harald Koenig).
 583. Install rstartd in /usr/X11R6/bin rather than in /usr/bin.

XFree86 3.2Xh (19 May 1997)
 582. Fix(?) for IBM RGB52x refclock detection in the S3 server
      (Harald Koenig).
 581. Fix a DGA addressing problem in the S3 server (#457, Mark Vojkovich).
 580. Fix a problem with the W32 server that causes it to hang with
      W32i cards (#456, Koen Gadeyne).
 579. Some tseng code cleanups (#456, Koen Gadeyne).
 578. Disable hw lines for the tseng W32i (#456, Koen Gadeyne).
 577. Remove the part of the PCI config-type detection that seems to switch
      some Neptune-based machines from type 1 to type 2.
 576. xtest update for OpenBSD (#455, Matthieu Herrb).
 575. Only show Xinput initialisation messages once (#454, Matthieu Herrb).
 574. Add support for the IntelliMouse protocol to xf86config and XF86Setup.
 573. Fix a problem in the Xservers where the DPMS timer code can cause
      select() can get called with a negative timeout value (and get stuck
      in an infinite loop) (#453, Van Jacobson).
 572. OS/2 updates (including docs) (#452, Holger Veit).
 571. Some XAA updates that the svga/s3 driver (not included here) needs
      (#451, Harald Koenig).
 570. Doc fixes/updates (#450, Matthieu Herrb).
 569. Enable the clockchip in the tseng driver by default when a suitable
      RAMDAC/clockchip is found (#448, Koen Gadeyne).
 568. Probe for only 16 clocks instead of 32 on tseng cards with
      CH8398 RAMDACs (#448, Koen Gadeyne).
 567. A better choice for the default linear base address for non-PCI
      ET4000/W32p rev c/d cards (#448,456, Koen Gadeyne).
 566. Fix the tseng driver problem that shows up when running two
      servers simultaneously with different colour depths (#448, Koen Gadeyne).
 565. Fix the trident driver to make virtual resolutions work for the
      TGUI96xx/Cyber chips and make 32bpp available to these chips too.
      Also, udpate the clock code for these chips to allow higher
      resolutions (#386, Alan Hourihane).
 564. Disable the svga/s3v register dumps except for xf86Verbose > 1.
 563. Fix the svga/s3v driver Probe() to not falsely assume a ViRGE card
      is present in some circumstances.
 562. Add some new entries for the ServerFlags section to allow some
      control of the code used to determine the PCI config type on
      Intel platforms.
 561. Fix handling of the "line" parameter for the scroll-forw/scroll-back
      actions in xterm, and add entries to the XTerm app-defaults to
      use buttons 4 and 5 (as generated by the wheel on the IntelliMouse)
      for scrolling.

XFree86 3.2Xg (17 May 1997)
 560. xtest fixes, and updates for Linux (Harald Koenig).
 559. MGA doc updates (#447, Guy Desbief).
 558. Fix the Xt TopLevelShell's XtNiconic resource (Sekhar Makkapati).
 557. Tseng doc updates (#445, Koen Gadeyne).
 556. Change the behaviour of XtMalloc, XtCalloc and XtRealloc when
      Malloc0ReturnsNull is set to YES so that they conform to the
      Xt spec (#444, Kaleb Keithley).
 555. Fix for buffer overflows in libX11's GetDatabase().  This can be
      used to exploit setuid programs linked against libX11
      (#442, Harald Nordgard Hansen).
 554. Reenable the W32 server in the LinkKit (#441, Takaaki Nomura).
 553. Resync PC98 Imakefiles (#441, Takaaki Nomura).
 552. Doc updates (#441, Takaaki Nomura).
 551. Doc updates (#440, Thomas Mueller).
 550. Modify some messages in the svga/s3v driver (#443, Harald Koenig).
 549. Add debugging messages to the PCI probe code.  These are enabled
      when xf86Verbose > 2.  Also, try scanpci's method of detecting PCI
      config type 1 when the other method fails.
 548. XAA 8x8 pattern rotation fixes (#210, #422/429 Sebastien Marineau).
 547. Fix XAA pixmap cache invalidation, and call it from the SVGA server
      after a VT switch (other servers using XAA probably need a similar fix)
      (#327, Sebastien Marineau).
 546. Fix XAA to force ROP to GXcopy for XDrawImageString (#249, Sebastien
      Marineau).
 545. XAA NonTE text (#286(part), #278, #309, #315 David Bateman, #305, #307,
      Sebastien Marineau)
 544. Fix DeviceButtonMotion (#437, George Sachs).
 543. Fix W32 server to recognize CH8398 RAMDAC as standard DAC (#439,
      Kurt Olsen).
 542. Updates to XF86_acc.man for W32 server (#436, Kurt Olsen).
 541. Undo change 477; the post dividers were incorrect (#435, Marc Aurele
      La France).
 540. Add STG1702 probing to XF86_W32 (#434, Stuart Lamble).
 539. Fix blitbug widths in SVGA/S3V and S3V servers, enable the hardware
      cursor in doublescan mode in SVGA/S3V server, fix the 24bpp problem in
      SVGA/S3V server when mode switching (#432, Sebastien Marineau).
 538. Fix for SuperProbe dumping core on NetBSD (#433, Matthieu Herrb).
 537. Updates to mga README file to reflect addition of Mystique support
      (#431, Guy Desbief).
 536. Fix some TGUI problems and include missing patches for change 499 
      (#438, Akio Morita).
 535. Disable 24bpp on the STG1700, new "default" linear memory base for W32p
      cards, fix STG170x problems (#430 Koen Gadeyne).
 534. Fix fbdev.c and update documentation (#428, Geert Uytterhoeven).

XFree86 3.2Xf (15 May 1997)
 533. Wild guess at a fix for the cirrus bitblt timeout problem.
 532. Fix problem linking the cirrus driver in the Mono server.
 531. Enable building the I128 server by default on Alpha platforms
      (#426, Robin Cutshaw).
 530. Fix an XAA problem with font widths < PGSZB (which shows up more
      frequently on Alphas than Intel machines) (#425, Jay Estabrook).
 529. Tseng doc update (#421, Harald Nordgard Hansen).
 528. Update mga/README, add ChipClockMulFactor/ChipClockDivFactor to the
      mga driver (#419, Radoslaw Kapitan).
 527. Move the Tk/Tcl include dirs after all the others in the XF86Setup
      Imakefile to make sure they don't cause installed X headers to be
      incorrectly used.
 526. Change the reporting of PCI memory/IO/mmio addresses in the VGA
      PCI probe code to hopefully be more accurate about the address
      types.
 525. Import the svga/s3v driver (Sebastien Marineau and Harald Koenig).
 524. Add CH8398 RAMDAC detection to SuperProbe (#418, Kurt Olsen).
 523. Fix defaults for banked/linear mode in tseng driver to do the right
      thing depending on the selected color depth. Fix a few bugs with bus
      detection and linear memory probing. Change useTEGlyphBlt to use
      cfbImageGlyphBlt8. Add STG1700 and ICS5301 to the fully supported
      RAMDACs. (#417, Koen Gadeyne).
 522. Updates to implementation of 510.

XFree86 3.2Xe (13 May 1997)
 521. Linux doc updates (Dirk Hohndel).
 520. Finetuning for Miro 80SV support. Add "no_pci_disconnect" Option
      (for some Alpha boxes, Alphastation255 and UDB) (#416, Harald Koenig).
 519. Fix serveral problems with the tseng driver. Don't allow pixmux modes
      in the VGA16 or MONO server (it doesn't work), disable the combination
      8bpp + linear + acceleration, fix maximal pixel clock for W32p, fix
      cut'n'paste bug where CRTC 0x31 was restored incorrectly, update the
      XF86_SVGA manual pages (#414,415, Koen Gadeyne).
 518. NetBSD and OpenBSD doc updates (#412, Matthieu Herrb).
 517. LynxOS documentation updates (#411, Thomas Mueller).
 516. Fix an error in xterm's vt220 emulation: the DECUDK is only supposed
      to be interpreted for _shifted_ function keys (#384, Thomas E. Dickey).
 515. LynxOS microSPARC fixes (#410, Thomas Mueller).
 514. Patch to GLX comment/example in xf86site.def (#409, Henry Worth).
 513. Fix LinkKit (#408, Takaaki Nomura).
 512. Improve handling of screen pitch for accelerated C&T driver (#407,
      David Bateman).
 511. Add support for the Miro 80SV to the S3 server (#406, Harald Koenig).
 510. Fix bmtoa, smproxy, twm, xsm and Xprint to use mkstemp, if available,
      to avoid the mktemp() race condition (#404, Matthieu Herrb).
 509. Several OS/2 fixes: Add the creation of host.def if not present. Get
      errno declared correctly. Add missing comandline options (#403,405
      Holger Veit).
 508. Several updates XInput: Add always core feature to mouse driver. Add zone
      configuration for the wacom driver (TopX, TopY, BottomX, BottomY). Add
      KeepShape option for the wacom to respect the ratio of width/height
      |of the screen. Add multiple active zones on the same tablet. Add
      checks not to send core button events when multiple devices control the
      core pointer. Fix problem in the mouse driver not sending the button id
      in extended events. (#402, Frederic Lepied).
 507. Small fixes for dacspeed and set_mclk code in the S3V server (#401,
      Harald Koenig).
 506. Fix text mode restauration in S3V server (#400, Harald Koenig).
 505. Add GLX support to the LinkKit (#398,399, Matthieu Herrb).
 504. More modes for xf86config and XF86Setup database (#397, Koen Gadeyne).
 503. Enable building the W32 server (#396, Koen Gadeyne).
 502. Fix Trident 96xx/Cyber series for snow on the screen and fix
      acceleration issues (#330, #349, Alan Hourihane).
 501. Allow trident 96xx chips to restore text mode (#298, Alan Hourihane).
 500. Fix virtual resolutions for trident driver at 24bpp (#298, Massimiliano
      Ghilardi).
 499. Fix some problems in Trident Cyber support (#266,267, Alan Hourihane).
 498. Fix Bresenham line bug in trident/9440 driver (#257, Alan Hourihane).
 497. Fix color expansion and pixmap cache in trident driver (#212,213,
      Alan Hourihane).
 496. Fixes for Trident Cyber chipsets (#154,155, Alan Hourihane).

XFree86 3.2Xd (11 May 1997)
 495. Make 'makedepend' understand '-U' on the command line.
 494. Add missing imake patch for massaging the results of parse_utsname()
      (#57, Chris Demetriou).
 493. Changes to NetBSD + BSD Elf library configuration (#157, Chris G.
      Demetriou).
 492. Resync various minor things with the main branch.
 491. Fix twm double-frees (#236, John Hawkinson).
 490. Workaround for a bug in 68k GNU binutils (#77, Geert Uytterhoeven).
 489. Add some missing HasBsdMake changes (Matthieu Herrb).
 488. Fix I18N bug (#261, Nagao Tadaaki).
 487. Some misc bug fixes (#395, Harald Koenig).
 486. Change clock limits for S3 /DX and /GX chips to 170/170/135 based
      on information from S3 (#395, Harald Koenig).
 485. Add detection and higher clock limits for MELCO S3 ViRGE card
      (#395, Harald Koenig).
 484. Add set_mclk for S3V and S3/Trio64 (#395, Harald Koenig).
 483. Add support for specifying DACSpeeds separately for 8/16/24/32bpp
      (#395, Harald Koenig).

XFree86 3.2Xc (10 May 1997)
 482. Fix name of GLX stub library (#388, Henry Worth).
 481. Various Cirrus fixes and additions. Fix HAVE_546X() macro for Laguna
      support. Add support for CL-GD5480. Disable Alpine XAA color expansion
      code. Fix 32bpp Alpine mode bug. Overload {slow,med,fast}_dram options
      to set Rambus BCLK on Laguna chips. Remove Sync()'s in laguna_acl.c.
      Removed unnecessary, dead, and/or dumb code in cir_driver.c. Add clock
      values for 150MHz through 229MHz dot clocks. Set clock limits correctly
      for Laguna chips. (#280, Corey Anderson).
 480. Add support for Microsoft Intellimouse (#304, Thomas Vogler).
 479. Allow building Xnest with BuildServersOnly (#275,295,
      Marc Aurele La France, Harald Koenig).
 478. Fix setting of CRTC[22] on VGA compatibles (#220, Marc Aurele La France).
 477. Change Mach64 to use the known extended post-divider setting on the
      3D Rage II (#218, Marc Aurele La France).
 476. Clean up internal allocator a bit, and make it log more information
      (when enabled) (#216, Marc Aurele La France).
 475. Fix some 24bpp problems for ViRGE and cfb (#144, Sebastien Marineau).
 474. Include the summasketch support explicitly in xf86Xinput.c when
      not using dynamic modules (#63, Christer Nilsson).
 473. Clear up multiplex support on 96xx and display error message when
      requested resolution exceeds available memory with the accelerator
      engine (#52, Alan Hourihane).
 472. Add PCI probing and DPMS support (off mode only) to the P9000 server 
      (#9, Karl Anders Oygard).
 471. Fix xdm/Imakefile for ISC (Michael Rohleder).
 470. Add sourceAddress option to xdm (#41, Christos Zoulas).
 469. Fix cfb8line (#40, Jeff Anton).
 468. Better XKB russian keyboard support (#36, Andrey A. Chernov).
 467. Fix an X11R6.3 problem with SCO 5 build (#35, Alan Hourihane).
 466. Collection of the changes to the Tseng server in the main branch (#391,
      Koen Gadeyne). These changes include the following original patches:
      First cut for ET6000 hardware cursor (#48, Dejan Ilic).
      Fix for ET6000 HW cursor (#89, Harald Nordgard Hansen).
      Fix handling of PCI probe in the tseng driver (#91, Koen Gadeyne).
      Disable HW cursor on et4000 (#91, Koen Gadeyne).
      Tseng HW cursor state save/restore (#91, Dejan Ilic).
      Restructure RAMDAC handlung in tseng driver and add 16/24bpp support
      for STG1703 (#91, Koen Gadeyne).
      Add pci_retry option to tseng driver (#151, Dejan Ilic).
      Cleanups and improvements to tseng hw cursor code (#152, Koen Gadeyne,
      Harald Nordgard Hansen).
      Fix ET6000 hardware cursor (#158, Harald Nordgard Hansen).
      Finer W32 chipset detection (#165, Koen Gadeyne).
      Fix bad 400x300 mode line (#165, Koen Gadeyne).
      [ Documentation updates and ] improved memory bandwidth handling in tseng
      driver (#200, Koen Gadeyne).
      Add better support for linear memory on W32i cards (#204, Koen Gadeyne).
      Add trapezoid acceleration to tseng driver (disabled), disable W32 hw
      cursor, remove redundant warning message about "Wrong Cursor Color Tried"
      (#256, Koen Gadeyne).
      Add ATT20C49x RAMDAC support for 16 and 24bpp modes to tseng driver.
      Make ET6000 hardware cursor use closest available color instead of
      refusing to change colors when it can't find an exact match. Fix
      another W32i linear mode bug. Change ET6000 pixel clock limits as per
      Tseng's recommendations (=much lower than we had before). fix a BUG in
      the ET4000 "standard set-of-clocks" code. Use ChipClockScaleFactor.
      (#282, Koen Gadeyne).
      Fix ch8398 ramdac command byte for 8bpp in tseng driver (#294,
      Krajcsovits Gyorgy).
      Stop reserving 1kb of video memory when the accelerator is disabled
      for the Tseng driver (#331, Stuart Lamble).
 465. Update tseng documentation (#392, Koen Gadeyne).
 464. Fix problems with DGA on 4/8MB Millenniums (#390, Radoslaw Kapitan).
 463. Fix Mystique display problems and dim text font after exit problems
      (#378,379, Guy Desbief).
 462. Rewrite clock restoring procedure for mga driver (#385, Radoslaw Kapitan).
 461. Add Matrox Mystique support and reorganize files in the driver/mga
      directory (#376, Guy Desbief, Radoslaw Kapitan).
 460. Replace the ChipClockScaleFactor field with ChipClockMulFactor and
      ChipClockDivFactor to allow for non-integer factors required in some
      cases. Remove trailing ',' at the end of InfoRec initialisations, which
      was hiding potential compiler warnings (#381,382, Koen Gadeyne).
 459. Updates to sis driver. Fix when MemBase is set in XF86Config, use some 
      accel functions even if the linear mode is not used, use Option 
      "xaa_no_color_exp" to disable color expansion, support for DPMS 
      (#377, Xavier Ducoin).
 458. Some updates for S3 server (#375, Harald Koenig).
 457. Re-enable W32 server for 3.3 (#373, Koen Gadeyne).
 456. More modes for XF86Setup database (#372, Koen Gadeyne).
 455. Fix reporting of significant bits with 8 bit dacs in SVGA server (#371,
      Mark Voikovich).
 454. Updates for LynxOS (#368, Thomas Mueller).
 453. Fix dashed lines in S3 server (#366, Mark Vojkovich).

XFree86 3.2Xb (6 May 1997)
 452. Fix Compaq AVGA driver (#104, Ming Yu, Joseph Pfeiffer, Gerry Toll).
 451. Add Mystique to scanpci (#264, Guy Desbief).
 450. Add the BT-848 to scanpci (#121, Dejan Ilic).
 449. Add STG1702 to SuperProbe (#227, Stuart Lamble).
 448. Add newer ATI chipsets to SuperProbe (#214, Marc Aurele La France).
 447. Add Sigma Designs REALMagic to SuperProbe (#209, Harald Koenig).
 446. Fix SuperProbe for W32 chipsets (#191, Koen Gadeyne).
 445. Add support for 3DLabs GLINT chipsets to scanpci and SuperProbe
      (Dirk Hohndel, Stefan Dirsch).
 444. Update SuperProbe for sis86c202 and sis86c205 (#84, Xavier Ducoin).
 443. Fix text colour problems for ViRGE/VX, a rectfill and bitblt bug
      for virtual width == 2048, and avoid some more bad hardware lines in
      the S3V server (#324, Harald Koenig).
 442. Fix bugs in the S3V server concerning rectfill with scan line width of
      2048 and with lines (#251,252, Harald Koenig).
 441. Fix some fill problems in S3V server (#241, Harald Koenig).
 440. Correct DCLK limits for S3V server (#229, Harald Koenig).
 439. ViRGE/DX support for S3V server (#199, Harald Koenig).
 438. Add Trio64V2 170/110/60MHz support to S3 server (#180, Harald Koenig).
 437. Add Elsa handling to S3/SVGA and Trio64V2/DX/GX, ViRGE/DX/GX and
      PLATO/PX to SuperProbe, scanpci, S3 and S3V servers (#174,175,
      Harald Koenig).
 436. Stop S3 and S3V server from overwriting CR11 (#30, Harald Koenig).
 435. Remove the S3 SVGA driver -- not ready for prime time.
 434. Fix a NULL dereference in xf86Config.c on OSs that don't support
      dlopen() loading for the static servers (#361, Thomas Mueller).
 433. Fix a problem with references to the GLX stub libraries in
      Xserver/Imakefile that affects building static servers
      (#361, Thomas Mueller).
 432. Fix typos in NetBSD.cf (#363, Takaaki Nomura).

XFree86 3.2Xa (4 May 1997)
 431. Add BuildPC98Servers as an easy way to enable/disable building
      all PC98 servers.
 430. Build Xvfb by default to help pick up build problems.
 429. Open /dev/tty0 instead of /dev/console on Linux to find the first
      free VT.
 428. Some fix-trackers from TOG, includes:
        config: sunLib.tmpl SunOS library versions (#131)
        xdm: xdmcp.c manage() leaks memory (#135)
        config: typo in Imake.rules (#136)
        update zlib to newer version (#137, #138)
        lib/X11 fix for Cyrillic/KOI8-R/xkb problem (#139)
        lib/Xi: missing error message (#352 -- we already had this fix)
        lib/X11: long font paths can garbage heap (#353)
        fix potential memory leak in xinput ProcXGetDeviceMotionEvents (#354)
        fix unmatched quotes in comments (and other stuff?!?) (#355)
        config updates (#132, #356)
        lib/X11: when IMS dies the library closes all open IMs (#357)
        lib/X11: When doing XSetICValues and IMS returns ERROR, library core
          dump (#358). 
 427. Support for static and dlopen() linked glx interfaces (#347, #350,
      Henry Worth).
 426. Add an option to allow VClk1 to be used as the programmable clock
      with C&T 65550 and 65554 chips (#346, David Bateman, Daniel Bischof,
      Andreas Heitmann and Thomas Landgraf).
 425. Avoid installing CVS admin files when doing 'make install' for rstart
      (#25).
 424. Resync xfree98/SuperProbe/Imakefile.
 423. Fix for 'xset r rate' and XF86MiscSetKbdSettings() for some OSs (#24).
 422. Fix problem with system #define Control on LynxOS (Thomas Mueller).
 421. FreeBSD 2.2 doesn't need libz (Takaaki Nomura).
 420. Fix LinkKit and XF98_TGUI server (Takaaki Nomura).
 419. Reenable xsetpointer, xsetmode, xsetxkbmap in programs/Imakefile.
 418. Documentation updates for ET4000, mostly about 16/24/32bpp (Koen Gadeyne).
 417. Fix VGA2 and VGA16 that were broken in 394/395 and reenable them
      (Koen Gadeyne).
 416. Improved resolution switching and 24bpp handling in S3V (Kevin Brosius).
 415. Matrox detection in SuperProbe (Alan Hourihane).
 414. Fix bug in the Type1 font code (H.J. Lu).
 413. Autoprobe Viper PCI and DPMI support for P9000 (Karl Anders Oygard).
 412. Use fill rect solid for horizontal lines on S3 (Mark Vojkovich).
 411. Add 8bit dac support to MGA (Mark Vojkovich).
 410. Some fixes for Linux/m68k (Geert Uytterhoeven).
 409. Add XAA S3 driver to the SVGA server (Mark Vojkovich).
 408. Add a flag argument to the ValidMode functions (Dirk Hohndel).
 407. Scanpci for Alpha (Robin Cutshaw).
 406. Fix clock clock limits for trident driver (Alan Hourihane).
 405. 9420/9430 acceleration - not tested, only partial, too (Alan Hourihane).
 404. DPMS support for the Trident driver (Alan Hourihane).
 403. 24/32bpp support for Trident chipsets (Alan Hourihane).
 402. Trident support for the Alpha platform (Alan Hourihane).
 401. Add DPMS to et4000 driver of the SVGA server (Harald Nordgard Hansen).
 400. Fixes and addition to the acceleration for W32 and ET6000 (Koen Gadeyne).
 399. Chrontel RAMDAC support for W32 in SVGA server (Kurt Olsen).
 398. Hardware Linedraw support for ET6000 and ET4000W32p (Koen Gadeyne).
 398. Add memory bandwidth as a concept to the W32 RAMDAC code (Koen Gadeyne).
 397. Move W32/ET6k clock setting functions into tseng_clock.c. This together
      with change 394 breaks the W32 server and the et4000 driver in the
      VGA2 and VGA16 server (all those are disabled by default for now)
      (Koen Gadeyne).
 396. Move RAMDAC support from W32 server in SVGA server and added
      accelerated 16/24/32 bpp support for ET4000/W32p (Koen Gadeyne).
 395. Fix some 'make' problems that show up on NetBSD and OpenBSD, and clean
      up BSD 4.4 -specific make stuff in the config/cf directory
      (#342, #344, Matthieu Herrb).
 394. Add make -j support for gnu make (H.J. Lu and Craig Groeschel).
 393. Add better error/warning messages for the aperture driver code for
      NetBSD/OpenBSD (#341, Matthieu Herrb).
 392. OpenBSD fixes (Matthieu Herrb).
 391. Small fix for doc naming.
 390. Fix 24bpp clock limit for ViRGE (Harald Koenig).
 389. C&T doc updates (#329, David Bateman).
 388. C&T bug fixes, DPMS support and HiQV acceleration code (#319,
      David Bateman, Egbert Eich, Nozomi Ytow).
 387. Start of the 3.3 release branch.

XFree86 3.2A (28 January 1997)
 386. Updates to the OS/2 pipe xtrans code (Sebastien Marineau).
 385. Update the max clock for the TGUI ProVidia 968x (Alan Hourihane).
 384. Disable memory interleaving before restoring the text font info
      for the MGA driver.  This fixes font corruption that shows up
      in Alpha platforms (Jay Estabrook).
 383. Fix some document formatting problems.
 382. Enable MMIO by default for TGUI chips when acceleration is enabled.
      It can be disabled with the "no_mmio" option.
 381. Fix problems with the Trident driver in 16-colour mode (Alan Hourihane).
 380. Back out change 370 because it is obsoleted by change 373.
 379. Fix 369 was missing, and is now included.
 378. OS/2 updates (including documentation) (Holger Veit).
 377. Add bitblt acceleration for 16 and 32bpp for the I128 server
      (Robin Cutshaw).
 376. Tseng doc update (Koen Gadeyne).

XFree86 3.2y (26 January 1997)
 375. I128 accel fix (Robin Cutshaw).
 374. Update Japanese version of documentation to 3.2 (Kazuyuki Okamoto).
 373. Fix 8x8 pattern acceleration for ET6000 (Koen Gadeyne).
 372. Fix an optimisation/volatile problem with the I128 accel code
      (Robin Cutshaw).
 371. Fix the clearing of video memory in the SVGA server when the linear
      base address has been offset (Jay Estabrook).
 370. Disable 8x8 pattern acceleration for ET6000 (Harald Nordgard Hansen).
 369. Fix stippled/tiled lines (segments) (Harm Hanemaayer).
 368. Update the LinkKit for recent I128 server changes (Takaaki Nomura).
 367. Fix display of 8bit characters in xterm (when in VT100 mode)
      (Thomas E. Dickey).
 366. m68k server updates (Geert Uytterhoeven).
 365. Matrox doc updates (Andrew Vanderstock).
 364. Update Mach64 docs (Kevin Martin).
 363. Fix a ELSA Winner 2000PRO/X-8 initialisation problem that shows up
      after running a certain other X server (Harald Koenig).
 362. Fix a PC98 TGUI problem when using XAA colour expansion (Kazunori Ueno).

XFree86 3.2x (23 January 1997)
 361. Remove some XAA debugging messages (David Bateman).
 360. Preliminary I128 bitblt acceleration using XAA (Robin Cutshaw).
 359. NetBSD doc updates (Matthieu Herrb).
 358. Fix a problem with specifying the chipset as "et6000" with the W32
      server (Koen Gadeyne).
 357. Fix for XAA bitmap problem which showed up with the C&T driver, and
      With this fixed, change 339 has been backed out (David Bateman).
 356. Update clock limits for the PC98 TGUI server (Akio Morita).
 355. PC98 documentation update (Akio Morita).
 354. Tseng doc updates (Koen Gadeyne).
 353. Add NO_PLANEMASK to the Tseng XAA colorexpansion flags (Koen Gadeyne).
 352. LynxOS doc updates (Thomas Mueller).
 351. Fix some unaligned access problems with pixmap data that show up on
      Alpha platforms (Jay Estabrook).
 350. Fix a problem with passing the depth/weight specified on the
      server command line in some situations (Harald Koenig).
 349. Add support for the S3 Aurora64V+ programmable clock, which is slightly
      different from the Trio64 (Harald Koenig).
 348. Blank the screen before turning off the sync signals for the WD90C24
      DPMS support (Brad Bosch).
 347. Change 341 was missing, and is now included.
 346. Don't accelerate XAA functions which use source bitmap data when
      the rop is GXclear, GXnoop, and GXset (as well as GXinvert)
      (Harm Hanemaayer).
 345. S3V doc updates (Kevin Brosius).
 344. S3 doc updates (Harald Koenig).
 343. Remove some experimental code in XF86Setup that was causing it
      to fail when starting the first server (Joe Moss).

XFree86 3.2w (22 January 1997)
 342. Update the xset man page for the DPMS additions.
 341. Updates to TGUI acceleration, to hopefully fix some problems that
      show up with xtest (Alan Hourihane).
 340. Add recognition of some other TGUI Cyber chipset codes (Alan Hourihane).
 339. Enable 8x8 mono pattern fills for C&T 65545, and limit colour expansion
      to GXCOPY_ONLY to avoid some crashes when running things like
      xengine and xdvi (David Bateman).
 338. Fix various Chips & Tech display problems for 6554x, 65550 and
      64300 chips (Egbert Eich).
 337. Fix some XAA-related xtest errors (Harm Hanemaayer).
 336. Enable the "no_accel" flag for the ET6000 (Koen Gadeyne).
 335. When the "et6000" chipset is specified, use the port-probed value
      for the membase rather than getting it from the PCI info (Koen Gadeyne).
 334. Tseng documentation updates (Koen Gadeyne).
 333. Cirrus documentation updates (Harm Hanemaayer).
 332. Add README.SiS (Xavier Ducoin).
 331. Temporary workaround for Mode_switch problems when using XKB and
      Latin1 charset (Matthieu Herrb).

XFree86 3.2v (20 January 1997)
 330. Added rules to use FreeBSD's sgmlfmt tool to format Linuxdoc/sgml
      docs -- but this needs more work.
 329. Blank the screen before setting a DPMS mode (Leonard N. Zubkoff).
 328. Fix sync disabling for DPMS for the S3 (and S3V) server (Robert Wilhelm).
 327. Change the .name parameter of the S3V server to "S3V" (Kevin Brosius).
 326. Improve S3V 24bpp mode switching (still has some problems)
      (Kevin Brosius).
 325. Disable 32bpp for the S3V server (not supported) (Kevin Brosius).
 324. Fix S3V aspect ratio problem at 24bpp (Kevin Brosius).
 323. Fix rotation direction of 8x8 mono patterns in XAA (David Bateman).
 322. XAA updates (see xaa/NOTES for details) (Harm Hanemaayer).
 321. Another fix for 5446 clocks higher than 85 MHz (Harm Hanemaayer).
 320. When a clocks line is specified in the XF86Config file for the
      cirrus driver, ignore it rather that insisting on its removal
      (Harm Hanemaayer).
 319. Remove artificial limit for LCD dot clock for Cirrus 754x chips
      (Harm Hanemaayer).
 318. Fix a problem with default cirrus MMIO operation (Harm Hanemaayer)
 317. Improved acceleration support at 24bpp for the Ark driver
      (Harm Hanemaayer).
 316. Ark documentation updates (Harm Hanemaayer).
 315. Enable "slow_dram" in the tseng driver for cards below W32i
      (Koen Gadeyne).
 314. Fix a tseng driver typo (missing braces) which was causing linear
      mode to incorrectly disable acceleration for the ET6000 (Dejan Ilic)
 313. Fix a tseng driver bug which was causing a system hang because
      "fast_dram" wasn't completely disabled (Dejan Ilic).
 312. Fix a tseng driver bug which causes a server crash when the chipset
      "et6000" is specified for the SVGA server (Koen Gadeyne).
 311. Some more W32i accel code, but disabled because it doesn't yet
      work (Koen Gadeyne).
 310. Fix for ET6000 24bpp MULBPP optimisation (Harald Nordgard Hansen).
 309. Tseng documentation updates (Koen Gadeyne).
 308. Cirrus documentation updates (Corin Anderson).
 307. Updates for TGUI96xx hw cursor (8bpp, 16bpp), and PC98 TGUI card
      list (Akio Morita).
 306. Fix build TGA compile problem and xdm build problem on Linux/Alpha
      (Robin Cutshaw).

XFree86 3.2u (19 January 1997)
 305. Only show the "extension not loaded" messages for the first
      server generation.
 304. Don't allow DPMS to be switched if the Xserver's VT isn't active
      (Leonard N. Zubkoff).
 303. Implement DPMS "off" support for the WD90C24, for LCD, CRT or both
      (Brad Bosch).
 302. Add a missing DPMSExtension #ifdef in os/WaitFor.c (Corin Anderson).
 301. Fix an XAA bug with mono patterns, SCREEN_ORIGIN, and PROGRAMMED_ORIGIN
      (Corin Anderson).
 300. Implement monochrome pattern fill for Cirrus Laguna chips
      (Corin Anderson).
 299. Disable "fast_dram" for the ET6000 because it can cause serious
      problems (Koen Gadeyne).
 298. Disable "power saving" in the Tseng driver because the current
      way of doing it causes memory corruption (Koen Gadeyne).
 297. Disable linear mode and acceleration for Tseng chips that have
      not been tested or which are not supported (Koen Gadeyne).
 296. Add some code to treat the ET6000 slightly differently when the
      chipset is specified in the XF86Config file, to help the case
      when another (disabled) PCI video card is detected (Koen Gadeyne).
 295. Use triple-buffering for colour expansion in the tseng driver
      (Koen Gadeyne).
 294. Make some variables in the tseng driver static (Koen Gadeyne).
 293. Remove some asm stuff in the tseng driver, and add a C optimised
      MULBPP calculation (Koen Gadeyne).
 292. Disable XAA framebuffer concurrency in the tseng driver, which
      hides most of the text corruption problems (Koen Gadeyne).
 291. Man page (DPMS) and documentation (MGA) updates (Leonard N. Zubkoff).
 290. Fix invalid modelines in XF98Conf.cpp (Takaaki Nomura).
 289. Add checking of mode size against video memory requirements to the
      Mach32 and Mach64 servers.
 288. Fix GXnor and GXnand ROP definitions for the TGUI driver.
 287. Update for Linux a.out libX11's jump_ignore (Harald Koenig).
 286. Fix (?) TGA server link problem.

XFree86 3.2t (18 January 1997)
 285. Update W32 docs (Dirk Hohndel).
 284. Recognise "noaccel" and "slow_dram" options in the ET4000 driver
      (Dirk Hohndel).
 283. Fix problem with not truncating pixel values in the MGA driver
      (Dirk Hohndel).

XFree86 3.2s (18 January 1997)
 282. Fix a problem with xdm's sessreg and utmp on Linux (Leonard N. Zubkoff).
 281. Fix a plane-enable bug for Cirrus 754x (Corin Anderson).
 280. Don't use teblt code for depths other than 8 for Cirrus 754x
      chips (Corin Anderson).
 279. Implement programmable pattern offset using XAA, add support for
      plane masks and fix sum bugs for Cirrus Laguna chips (Corin Anderson).
 278. Don't check the PCI command FIFO for Cirrus Laguna chips
      (Corin Anderson).
 277. Add XAA support to the SiS driver.  The old code can be reverted
      to at runtime with the "noaccel" option (Xavier Ducoin).
 276. Add recognition of XAA options as valid options for the SVGA
      server (Alan Hourihane).
 275. Add "please report" messages when S3 Trio64V2, Trio64UV+ or
      Aurora64V+ chips are detected (Harald Koenig).
 274. Add undocumented options to XF86Config to allow a numerical ChipID
      and ChipRev to be specified (used by the S3 and S3V servers)
      (Harald Koenig).
 273. Attempt to fix false detection of RGB524 ramdac as RGB528
      (Harald Koenig).
 272. Make sure x coordinate doesn't overflow into the y coordinate
      for some MGA operations (Xavier Ducoin and Radoslaw Kapitan).
 271. Don't write high order CRTC vertical bits for Trident chips earlier
      than TGUI9440AGi (Alan Hourihane).
 270. Fix an error in koi8-r charset switching code (Andrey Chernov).
 269. Disable acceleration for TGUI Cyber chips (Alan Hourihane).
 268. Fix register access in Cirrus 754x LCD size detection (Harm Hanemaayer).
 267. Add support for the "no_stretch" option for Cirrus 754x chips
      (Harm Hanemaayer).
 266. Enable MMIO by default for Cirrus 543x/4x chips, and add a "no_mmio"
      option to allow it to be disabled (Harm Hanemaayer).
 265. Disable PCI burst mode on the TGUI by default, but allow it to be
      turned on with options (Alan Hourihane).
 264. Update max clocks for the TGUI 96xx chips (Alan Hourihane).
 263. Fix centre/stretch TGUI LCD problems (Alan Hourihane).
 262. Add Option "tgui_mclk_66" to force MCLK to 66 MHz (Alan Hourihane).
 261. Fix TGUI Cyber detection problems (Alan Hourihane).
 260. Flush MGA "direct access read cache" in MgaSync(), which fixes
      problems reading directly from the framebuffer after accelerated
      operations (Radoslaw Kapitan).
 259. XAA updates (see xaa/NOTES for details) (Harm Hanemaayer).
 258. Updates for LynxOS 2.5.0 (Thomas Mueller).
 257. Fix xterm text highlighting when the window it partly off-screen
      (Thomas E. Dickey).
 256. Remove the GetSaver/SetSaver functionality from the client
      side of the XFree86-Misc extension, but leave dummy support in
      the server side for now to avoid breaking old clients
      (Leonard N. Zubkoff).
 255. Implement hw-specific DPMS support for servers/drivers which already
      had an old implementation, adding support for Standby mode where
      possible, and adding a StandbyTime keyword for the XF86Config
      file (Leonard N. Zubkoff).
 254. Fix some problems with the original DPMS extension behaviour
      (Leonard N. Zubkoff).
 253. Possible speedup for S3V polypoint code (Harald Koenig).
 252. Disable C&T 65550 acceleration features that weren't present
      in 3.2 (David Bateman).
 251. Fix a C&T 24bpp pattern fill problem (David Bateman).
 250. Make the XAA C&T code independent of the old acceleration code
      (David Bateman).
 249. Recognise the Alliance AT24, but treat the same way as a 6442
      (Joe Moss).
 248. Add detection for newer TGUI chipsets to SuperProbe (Alan Hourihane).

XFree86 3.2r (14 January 1997)
 247. Use some extra XAA flags in the MGA acceleration (Radoslaw Kapitan).
 246. XAA updates (see xaa/NOTES for details) (Harm Hanemaayer).
 245. Fix DAC register for > 85 MHz mode on Cirrus 5446 (Harm Hanemaayer).
 244. Memory config fix for 2MB Cirrus 7543/8 and fix 754x LCD size detection
      (Harm Hanemaayer).
 243. Fix a problem in Imake.rules that causes problems when using bash
      (Leonard N. Zubkoff).
 242. Fix some server prototyping problems (Thomas E. Dickey).
 241. Detect the Trio64UV+, Trio64V2 and Aurora64V+, and handle them
      as a Trio64V+ (Harald Koenig).
 240. Add preliminary support for the ELSA Winner 2000PRO/X-8 (S3 968,
      IBM RGB528A, 8MB VRAM 250 MHz) (Harald Koenig).
 239. Fix retrace waits in the MGA driver (Radoslaw Kapitan).
 238. Enable CPUToScreen colour expansion for the TGUI driver (Alan Hourihane).
 237. Add an options "lcd_center" to the TGUI driver for Cyber chips
      (Alan Hourihane).
 236. Some S3V updates, including combining s3dline.c and s3dseg.c,
      moving planemask/colour conversion into a separate module,
      add FillSolid, improve speed of s3plypt.c, and enable some
      previously disable functions (Berry Dijk).
 235. Updates for ISC support (Michael Rohleder).
 234. Disable ExportLists for Solaris versions older than 2.5.
 233. Fix for C&T 8x8 pattern fills (David Bateman).
 232. LinkKit fix (SiS driver) (Takaaki Nomura).
 231. Fix for XAA colour expansion when using FIXED_BASE (Koen Gadeyne).
 230. ET6000 accel updates and optimisations (Koen Gadeyne).
 229. Add code to the MGA driver to set MCLK based on the values
      stored in the BIOS and the memory size (Andrew E. Mileski).

XFree86 3.2q (12 January 1997)
 228. Make makedepend recognise #warning on all OSs (since we have it
      in shm.h).
 227. Add Digital's DPMS server extension (no device-specific support yet).
 226. Fix some compile problems on Solaris x86 2.4 with gcc (James Hawtin).
 225. Add prelim support for LCD stretching with the TGUI Cyber chips
      (Alan Hourihane).
 224. Add support for some blitter functions to the SiS driver (not XAA
      yet) (Xavier Ducoin).
 223. Fix HW cursor problems in the SiS driver (Xavier Ducoin).
 222. Add 15/16/24bpp support to the SiS driver (Xavier Ducoin).
 221. Fix problems with linear mode in the SiS driver (Xavier Ducoin).
 220. Programmable clock support for the SiS 205 (Xavier Ducoin).
 219. TGUI acceleration udpates (Alan Hourihane).
 218. Add XAA support for the Chips & Technologies driver (David Bateman).
 217. Support for 555 weighting in the MGA driver (Xavier Ducoin).
 216. TGUI clock fix (Alan Hourihane and Massimiliano Ghilardi).
 215. VGA server compiler warning fixes (Thomas E. Dickey).
 214. LinkKit fixes (Takaaki Nomura).
 213. XAA updates (see xaa/NOTES for details) (Harm Hanemaayer).
 212. The item 203 fix was missing.  It is included now.
 211. Modify Cirrus 754x LCD size detection (Harm Hanemaayer).
 210  Add support for pattern offset for the Cirrus 5446 (Harm Hanemaayer).
 209. Fix non-MMIO operation for the Cirrus 5446 (Harm Hanemaayer).
 208. Fix font cache problem introduced in 3.2p (Takaaki Nomura).

XFree86 3.2p (8 January 1997)
 207. XAA support for the Cirrus Laguna chips (Corin Anderson).
 206. Modify the PF1-PF4 coding in the xterm termcap/terminfo, and add an
      interim xterm-vt220 description to accommodate the old and new styles
      (Thomas E. Dickey).
 205. Combine the coding for foreground and background colours in xterm
      into a single byte (Thomas E. Dickey).
 204. Some optimisations and transparent 8x8 pattern tiling for the ET6000
      driver (Koen Gadeyne)
 203. Parallel make fix for lbxproxy (Robin Cutshaw).
 202. LinkKit fixes (David Bateman).
 201. Defining XF86ExpireServer to YES in host.def allows easy enabling
      of server expiry.
 200. The item 176 fix was missing.  It is included now.
 199. Fix an Xlib  problem with non-8859-1 locales (Kaleb Keithley).
 198. Set default hsync and vsync polarity for the MGA driver in the same
      way as other servers (Leonard N. Zubkoff).
 197. Fix sync polarity in MGA driver (Radoslaw Kapitan).
 196. Add DGA support to the MGA driver (Mark Vojkovich).
 195. Some xterm cleanups (Thomas E. Dickey).
 194. Implement DECSTR (soft terminal reset) for xterm (Thomas E. Dickey).
 193. Fix some unaligned accesses in cfb16SegmentSS1RectCopy() on Alpha
      (Harald Koenig).
 192. 8x8 colour expand patterns for MGA (Radoslaw Kapitan).
 191. Fix various compiler warnings in the S3 server (Thomas E. Dickey).
 190. Fix TRANS_ENABLE definition for the TGUI driver (Alan Hourihane).
 189. Fix a problem with the location of ident lines in the tclIndex file
      (Joe Moss).

XFree86 3.2o (5 January 1997)
 188. Add MIPS/Arc support to build the S3 server on OpenBSD (Per Fogelstrom).
 187. Split OpenBSD config support out into a new OpenBSD.cf file
      (Matthieu Herrb).
 186. Split the retrace wait out into a separate function in the S3
      server (Mark Vojkovich).
 185. Fix a problem with FIFO setting for Mach64 chips with an
      integrated DAC (Kevin Martin).
 184. Fix a pixmap corruption problem that shows up on Mach64 [CVG]T chips
      (Kevin Martin).
 183. Disallow block write mode for [CVG]T Mach64 chips (Kevin Martin).
 182. Fix a problem for Mach64 CT-D cards where the server writes to the
      wrong I/O address, possibly that of another PCI device (Kevin Martin).
 181. Fix Rage II support in the Mach64 server (Kevin Martin).
 180. Add preliminary XAA support for the TGA server (Alan Hourihane).
 179. Don't compile Xprint/Xrm.c because it is already included in
      attributes.c (Holger Veit).
 178. Various updates for OS/2 (Holger Veit).
 177. Fix some typing problems in xf86expblt.c (Alan Hourihane).
 176. Fix XAA crash for drivers that don't fill in the ServerInfoRec
      (Harm Hanemaayer).
 175. Add DPMS support for the MGA driver (Leonard N. Zubkoff).
 174. Add sync-on-green support to the MGA driver (Leonard N. Zubkoff).
 173. Add support for display modes that require more than 4MB on
      Millennium cards (Leonard N. Zubkoff).
 172. Enable acceleration support for the Trident 9320LCD chips
      (Alan Hourihane).
 171. Add parallel make support for the lbxutil Imakefile (Robin Cutshaw).
 170. Fix a problem with the Xmark script (Andrew E. Mileski).

XFree86 3.2n (3 January 1997)
 169. Fix some xaa build problems on some platforms.
 168. Updates to NetBSD.cf, including auto-detection of ELF (Chris Demetriou).
 167. Add I128 series II detection to scanpci and SuperProbe (Robin Cutshaw).
 166. Fix a problem in sun.cf (Robin Cutshaw).

XFree86 3.2m (2 January 1997)
 165. Fix some problems creating Xserver links in XF86Setup (Dirk Hohndel).
 164. Update to R6.3 public patch 1.
 165. XAA udpates (Harm Hanemaayer).
 163. Fix problems with out-of-date cirrus_acl.c (Harm Hanemaayer).
 162. Move all default settings from xf86site.def to xfree86.cf, and leave
      xf86site.def containing only commented out definitions.
 161. Fix 'make install' problems in xkbcomp.
 160. Fix some ZLIB problems.

XFree86 3.2l (31 December 1996)
 159. Tseng acceleration updates (Koen Gadeyne).
 158. Add config support for using the system's standard version of libz
      when it exists (Chris Demetriou).
 157. Add rules for ELF shared libraries on BSD (Chris Demetriou).
 156. Recognise __alpha__ as AlphaArchitecture for NetBSD, and treat
      __alpha__ the same way as __alpha is various part of the code
      (Chris Demetriou).
 155. Update NetBSD config file (Chris Demetriou).
 154. Add code to dynamically recognise NetBSD versions in imake, and
      add defines to allow massaging of the information returned by
      uname Chris Demetriou).
 153. Fix inconsistent usage of malloc/xalloc/Xalloc in the Xprt server.
 152. Fix segfault at startup of clients linked with libICE on SVR4.0
 151. Add detection for the 250MHz ramdac used on the PowerDoc Edition
      variant of the Matrox Millennium (Dirk Hohndel).
 150. Fix some compile/cpp warnings (Marc Aurele La France).
 149. Add support to makedepend for the '^' and '? :' operators
      (Marc Aurele La France).
 148. Change GZIP to GZIPCMD in Makefiles because of a conflict with
      an environment variable used by gzip (Marc Aurele La France).
 147. Fix make depend problem for xdm-shadow (Marc Aurele La France).
 146. Update Linux a.out support for R6.3 (Harald Koenig).
 145. Trident doc updates (Alan Hourihane).
 144. TGUI solidfill updates (Alan Hourihane).
 143. XC fixes.

XFree86 3.2k (28 December 1996)
 142. Fix a problem introduced in 3.2i which causes the S3 server to crashed
      for cards with a Ti3026.
 141. Updates for GNU libc on Linux, and fix some compile warnings
      (H.J. Lu).
 140. Updated Russian XKB layout (Andrey Chernov).
 139. Workaround for KOI8-R problem in XmbLookupString().  The change
      is to XLC_XLOCALE/koi8-r (Andrey Chernov).
 138. Fix some problems with the server build on Alphas (Jay Estabrook).
 137. Avoid a server hang in the et4000 driver (Koen Gadeyne).
 136. Add some more acceleration for ET4000 chips (Koen Gadeyne).
 135. Fix server crash when chipset "et6000" is specified (Koen Gadeyne).
 134. Cleanup of vgaHW.c (Marc Aurele La France).
 133. In the vga2 server, use the bank size, not the aperture size, to
      decide between banked and non-banked support (Marc Aurele La France).
 132. Fix to FIFO depth calculation in the Mach64 server
      (Marc Aurele La France).
 131. Fix some problems with the width of the pixmap used by the VGA servers
      when the server's VT isn't active (Marc Aurele La France).
 130. Major ati SVGA driver updates (Marc Aurele La France).
 129. Fix Xserver/Imakefile problem that sometimes causes problems with
      cfb24 not being built (Marc Aurele La France).
 128. Fix some compiler warnings (including a problem with the ScreenInfoRec
      initialisation in the I128 server) (Marc Aurele La France).
 127. Updated PC98 TGUI support (Akio Morita).
 126. Add MMIO support to the TGUI driver, and remove MCLK limits
      (Alan Hourihane).
 125. Add pa, Sf, Sb capabilities to the xterm termcap.
 124. Add Tcl interfaces for the new vidmode functions (Joe Moss).
 123. Complete the implementation of XF86VidModeAddModeLine() (Joe Moss).
 122. Some more s3init.c cleanups (Mark Vojkovich).
 121. XC fixes.
 120. More R6.3-related updates.

XFree86 3.2j (26 December 1996)
 119. Integrate X11R6.3 (pre-release) source base.

XFree86 3.2i (20 December 1996)
 118. Some general cleanups (Stuart Anderson, Dirk Hohndel).

XFree86 3.2h (20 December 1996)
 117. Fix a "void * used in arithmetic" warning in lnx_video.c.
 116. Allow the XInput "AlwaysCore" feature to be controlled dynamically
      via an "integer feedback" (Frederic Lepied).
 115. Fix TGUI clock programming problems (Alan Hourihane).
 114. Fix clock scaling with ClockChip "cirrus" (Harm Hanemaayer).
 113. Fix some compile problems on SVR4 (Takaaki Nomura).

XFree86 3.2g (19 December 1996)
 112. Separate the function prototypes out of xf86_OSlib.h (Stuart Anderson).
 111. Fix for change 97 (which was causing a server startup problem)
      (Harald Koenig).
 110. Enable accelerated copy plane for 24bpp in XAA.
 109. Fix some compile problems related to the recent Cirrus changes.

XFree86 3.2f (18 December 1996)
 108. Enable the XAA driver for cirrus chips with a BitBLT engine and
      the driver for Laguna family chips (Harm Hanemaayer).
 107. Modify the support for dot clocks > 85 MHz on the 5436/46
      (Harm Hanemaayer).
 106. Fix 24bpp support for the CL-GD5430 (Harm Hanemaayer).
 105. Add optimized support for the CL-GD5446 to the XAA driver
      (Harm Hanemaayer).
 104. When a PCI cirrus chip is detected, enable linear addressing by default
      (Harm Hanemaayer).
 103. Better LCD control settings for CL-GD754x for different LCD sizes,
      and improve 754x LCD type detection (Harm Hanemaayer).
 102. Modify CRT FIFO threshold setting for the CL-GD7548 (Harm Hanemaayer).
 101. Don't treat the CL-GD7543 as an Alpine-family chip (Harm Hanemaayer).
 100. XAA updates (see the NOTES file in the xaa directory for details)
      (Harm Hanemaayer).
  99. Support for sharing the core pointer between multiple XInput devices
      (Frederic Lepied).
  98. XAA support for the ET6000 (Koen Gadeyne).
  97. Fix an S3 server crash caused by an off-by-one access when displaying
      images (Harald Koenig).
  96. Updates to LynxOS support for 2.5.0 (Thomas Mueller).
  95. Add a "pc104" XKB layout for keyboards with the extra "Windows" keys
      (Joe Moss).
  94. Fix for problem clearing "chordmiddle" flag from XF86Setup (Joe Moss).
  93. Ti3026 clock programming updates for the MGA driver (Andrew E. Mileski).
  92. A general s3init.c cleanup and modularization.  This isolates
      ramdac register save/restore functions, and moves them into
      s3ramdacs.c (Mark Vojkovich).
  91. Fix S3 server lockup due to vsync wait when power-saving mode is
      active (Xavier Ducoin).
  90. PC98 LinkKit updates (Takaaki Nomura).

XFree86 3.2e (12 December 1996)
  89. Fix some TGUI clock programming problems (Massimiliano Ghilardi).
  88. Disable <ctrl><alt><backspace> when in DGA mode (Mark Vojkovich).
  87. Fix some XAA-related server link problems (Marc Aurele La France).
  86. Fix some LinkKit problems (David Bateman and Takaaki Nomura).
  85. Fix some more implicit typing in function declarations (Andreas Schwab).
  84. Add some more ELSA cards to the Cards file (Harald Koenig).
  83. Fix the ICS5342 clock limit (Harald Koenig).
  82. Fix typos in the mga Alpha support.
  81. Fix a typo in the XThrStub Imakefile (H.J. Lu).
  80. Resync the PC98 Imakefiles (Takaaki Nomura).

XFree86 3.2d (9 December 1996)
  79. Updates to SCO Open Server 5 support (Tom Angert and J Kean Johnston).
  78. Add support for Linux C library version 6 (GLIBC), and fix some
      prototype problems (H.J. Lu).
  77. Add Alpha support for the mga driver (SVGA server), and generic
      driver (Mono/VGA2 server) (Jay Estabrook).
  76. Fix s3ReadImageBanked() with a planemask (Harald Koenig).
  75. Add fast bitblt support for the mga driver (Radoslaw Kapitan).
  74. Allow probing of the Bt485 when an S3 968 is detected (Mark Vojkovich).
  73. Fix an integer overflow in the S3V server when drawing long lines
      (Harald Koenig).
  72. Add detection of the Alliance ProMotion chips to SuperProbe
      (Joe Moss).
  71. XAA udpates (including disabling non-TE text acceleration)
      (Harm Hanemaayer).
  70. Fix pixmap support in XAA (Harm Hanemaayer and Alan Hourihane).
  69. Update the device-specific XF86Config parsing support to report
      unknown keyword and options (Egbert Eich).
  68. Add another check for the fb base address in the S3 server
      (Harald Koenig).
  67. Fix some typos in the SuperProbe Imakefile (Harald Koenig).
  66. Update the AXP/IO Jensen support (David Mosberger).
  65. Add code to the S3 server to recognise the ELSA 1000PRO/X
      (Harald Koenig).
  64. Fix an initialisation problem for Diamond ViRGE/VX cards, which
      causes a lockup (Harald Koenig).
  63. Add support for the STREAMS processor to the S3V server (Kevin Brosius).
  62. Fix a problem in xf86bench.c for OS/2 (Holger Veit).
  61. Some mga line fixes (Radek Kapitan).
  60. Chips & Technologies driver updates (includes support for the
      64200 and 64300 WinGine series of chips, and the 65525 and 65535
      chips) (David Bateman and Egbert Eich).
  59. Fix some problems with the new S3 probe code (Mark Vojkovich).
  58. Allow xterm to output 8-bit characters in VT100 mode (Matthieu Herrb
      and Thomas Dickey).
  57. Add a return value to XF86DGAGetVideo() (Mark Vojkovich).
  56. Add missing write_mem_barrier definitions (Harald Koenig).
  55. Fix some compile problems with 3.2c.

XFree86 3.2c (24 November 1996)
  54. Fix some potential buffer overflows in SuperProbe, and don't
      install it setuid root (Marc Slemko).
  53. Add support for driver-specific parsing of the XF86Config file's
      Device section (Egbert Eich).
  52. Fix S3 virtual resolution handling problem introduced in 3.2a
      (Mark Vojkovich).
  51. Add a '-nolisten' flag to the X server to allow disabling of
      a transport type (Nathaniel D. Daw).
  50. Update Imake.rules to do better error recovery for missing
      directory or Makefiles (Thomas E. Dickey).
  49. Add REP (repeat) control for xterm (Thomas E. Dickey).
  48. XAA updates (Harm Hanemaayer).
  47. Add required changes for the PC98 servers to build using XAA
      (Takaaki Nomura).
  46. Fix an unaligned access in cfb (Harald Koenig).
  45. Add support for Alpha Jensen (EISA) using sparse memory MMIO
      (Martin Ostermann).
  44. Add working "newmmio" support for AXP (Harald Koenig).
  43. Add some memory barriers to the ViRGE server for AXP (Harald Koenig).
  42. Reset the ViRGE (but not ViRGE/VX) GE while reading the BIOS to avoid
      text font corruption (Harald Koenig).
  41. Change the S3 ViRGE default base address when PCI config registers
      can't be accessed (mainly for AXP) (Harald Koenig).
  40. S3 ViRGE/VX fix (Harald Koenig).
  39. Patch for mk68 servers (Geert Uytterhoeven).
  38. Add detection for the S3 Aurora64V+ and Trio64UV+ (Harald Koenig).
  37. Replace the truncated files in xterm/tektests with full versions
      (from color_xterm) (Thomas E. Dickey).
  36. Add some more MGA line code (Andrew Vanderstock).
  35. Add some MGA macros, especially for access type setting
      (Radoslaw Kapitan).
  34. Add MGA screen-to-screen color expansion (not used yet)
      (Radoslaw Kapitan).

XFree86 3.2b (20 November 1996)
  33. Fix some compilation problems with 3.2a.
  32. Fix DGA fb mapping for SVR4 (Richard Coley).
  31. Fix Hercules mono driver text bug (H.J. Lu).

XFree86 3.2a (18 November 1996)
  30. Bump default FreeBSD version to 2.1.6.
  29. TGUI driver updates for PC98 (Akio Morita).
  28. Fix trident driver compile problem with VGA2 and VGA16 servers
      (Takaaki Nomura).
  27. XAA support for the Trident driver (Alan Hourihane).
  26. Add VT52 emulation to xterm (Thomas E. Dickey).
  25. Fix a missing resets to groundstate in xterm (Denis Auroux and
      Thomas Dickey).
  24. Improve overflow problem in XAA internal benchmarking
      (Akio Morita).
  23. XAA support for the mga driver (Radoslaw Kapitan and the Matrox team).
  22. XAA support for the Cirrus BitBLT and Laguna chips (but not enabled
      yet) (Harm Hanemaayer).
  21. XAA support for the ARK driver (Harm Hanemaayer).
  20. A new acceleration interface (XAA) for the SVGA server (Harm Hanemaayer).
  19. S3V s3plypt.c changed to use GE, but is slower so still disabled
      (Harald Koenig).
  18. Change the S3V GE reset to avoid lockups (Harald Koenig).
  17. Add WaitIdle() at the end of S3V accel routines to avoid screen
      corruption from direct fb access while the GE is still active
      (Harald Koenig).
  16. Remove unsupported option flags from the S3V server (Harald Koenig).
  15. Allow large S3 cursors by switching to SW cursor when required
      (Harald Koenig).
  14. Fix S3 frame buffer probing and memory leak (Harald Koenig).
  13. Fix S3 ReadImage with a planemask (when ReadImageNoMem can't be used)
      (Harald Koenig).
  12. S3 line and text fixes (Harald Koenig).
  11. Fix DGA colourmap problems in the W32 server.
  10. Fix a problem with realloc usage in xrdb for some older OSs
      (eg, SunOS 4.x) (Wolfgang Rupprecht).
   9. Fix an xrdb malloc problem (Michael Lipp).
   8. Fix xload problems on Solaris 2.5 (David Thompson).
   7. Fix xload problem for most BSD OSs that was introduced in 3.2, and
      fix some problems in the BSDI-specific code (Matthieu Herrb).
   6. Modify the external ClockProg support to allow for programmable
      clocks (ie, no clocks line) (Egbert Eich).
   5. Fix W32p rev C and rev D PCI ids (Koen Gadeyne).
   4. Fix a problem which causes a server crash on PANIX/PC98 when using
      the XFree86-Misc extension (Takaaki Nomura).
   3. S3 server probe cleanup (Mark Vojkovich).
   2. Fix XF86Setup compile problem on Solaris (Robin Cutshaw).
   1. Patches for OS/2 support (Holger Veit).

XFree86 3.2 (26 October 1996)
1079. Fix a bug in xgc that can cause a SEGV (Takaaki Nomura).
1078. README and FreeBSD doc updates (Takaaki Nomura).
1077. RELNOTES updates, and some updates to the preinst and postinst scripts.
1076. Tell xf86config about the S3V server.
1075. Fix some typos in XF86Setup.
1074. Fix a problem with XF86Setup that shows up when there is no
      <Xroot>/bin/X link present.
1073. Fix a test restoration problem with the ali driver.
1072. NetBSD and Solaris doc updates (Matthieu Herrb).
1071. Cirrus doc updates (Harm Hanemaayer).
1070. Prevent Oak probe from falsely detecting some Avance Logic chips.

XFree86 3.1.2Zd (24 October 1996)
1069. Fix a problem with the TGUI driver disabling linear mode when the
      OS doesn't support it.
1068. Fix an image stipple problem in the S3, Mach8, Mach32 and 8514 servers
      (Harald Koenig).

XFree86 3.1.2Zc (24 October 1996)
1067. Mach64 doc updates (Kevin Martin).
1066. Xvfb shouldn't depend on cfb24 (Geert Uytterhoeven).
1065. Update contrib to R6.1.
1064. C&T doc updates (David Bateman).
1063. Fix an image stipple problem in the S3V server (Harald Koenig).
1062. Doc updates (Takaaki Nomura).

XFree86 3.1.2Zb (23 October 1996)
1061. Fix some NV1 problems, including clock selection problems and
      pixel corruption problems (David McKay).
1060. Fix some bad random() prototypes for Linux (Harald Koenig).
1059. Fix NeqnCmd definition in NetBSD.cf (Matthieu Herrb).
1058. Chips&Tech doc updates (David Bateman).
1057. Cards db update for Chips&Tech (David Bateman).
1056. Some updates to the "supported" contrib clients (Harald Koenig).
1055. VGADriver doc updates (Stuart Lamble). 
1054. LynxOS doc updates (Thomas Mueller).
1053. Fix a problem in mgaFillBoxSolid() (Radoslaw Kapitan).
1052. Fix a serious probe bug in the MGA driver which causes a crash on
      non-PCI machines (Egbert Eich).
1051. Fix a serious probe bug in the NV driver (David Bateman).

XFree86 3.1.2Za (21 October 1996)
1052. Some documentation updates (Dirk Hohndel).
1051. A few cleanups that have no affect on function (Harald Koenig).
1050. Fix a problem in XF86Setup (Harald Koenig).

XFree86 3.1.2Z (20 October 1996)
1049. Update XF86_SVGA man page (Harm Hanemaayer).
1048. Update Linux README (Dirk Hohndel).
1047. Fix some mono/4bpp problems introduced by recent ET6000 changes
      (Koen Gadeyne).
1046. Updates to the Cards database (Harald Koenig).
1045. Fix xdpyinfo core dump when the XInput extension is not available
      (Frederic Lepied).
1044. Fix SuperProbe mis-detection of S3 ViRGE (Harald Koenig).
1043. S3V README (Harald Koenig).
1042. Resync some PC98 Imakefiles (Takaaki Nomura).
1041. Update XF86Setup card list features, and add 1152x864 video modes
      (Harald Koenig).

XFree86 3.1.2Gq (19 October 1996)
1040. Some updates to use the native setlocale() in the GNU libc used
      by Linux/Alpha/ELF (Ulrich Drepper, Harald Koenig).
1039. MGA README (Andrew Vanderstock and Dirk Hohndel).
1038. Fix REQUIREDLIBS problem with dynamic xie.so (Alan Hourihane).
1037. Update man page versions (Takaaki Nomura).
1036. Add xf86VTSema checks to the MGA server, move blitter init to
      HWRestore, and wait for drawing engine before enter/leave VT
      (Radoslaw Kapitan).
1035. TGA and Trident doc updates (Alan Hourihane).
1034. Remove an unused TGA server file (Alan Hourihane).
1033. Update to the Chips&Tech screen corruption fix (Egbert Eich).
1032. Fix a typo in the Chips&Tech driver which prevents the "hw_clocks"
      option from working (David Bateman).
1031. Move the SVGA 'mx' driver to after the 'chips' driver, because its
      probe causes problems for the chips driver.  Also, fix a problem
      in the 'mx' probe where it writes to a register without first saving
      its contents.

XFree86 3.1.2Gp (18 October 1996)
1030. Fix the cursor colour not being correctly set in 15/16/32bpp modes
      on the CT, ET, VT and GT chips (Kevin Martin).
1029. Change Mach64 block_write behaviour.  Assume that block write mode is
      initialised by the BIOS, but still allow it to be turned on or off
      explicitly in the XF86Config (Kevin Martin).
1028. Set the extended display FIFO LWM bit on the Mach64 CT-D (Kevin Martin).
1027. Fix the retrace wait in mach64AdjustFrame() (Kevin Martin).
1026. Delete Mach64 doublescan modes for chipsets that don't support any
      accelerated doublescan modes (Kevin Martin).
1025. Set Mach64 display FIFO setting to the values supplied by ATI for
      various chipset/memory type/memory size/bpp combinations (Kevin Martin).
1024. Fix some MGA accel problems (Radoslaw Kapitan).
1023. FreeBSD and NetBSD doc updates (Takaaki Nomura).
1022. Fix some Mach32 16bit font display problems (Bryan Feir).
1021. Add support for the ICS1562 clockchip used by the DEC TGA (Harald
      Koenig).
1020. Make WaitQueue wait for three more free slots than requested to
      allow a safety margin in case of coding bugs (the ViRGE will lock
      up the PCI bus when the FIFO is full) (Harald Koenig).
1019. S3V fixes for some XTEST errors, and remove debug and unused code
      (Harald Koenig).
1018. Preliminary support for the Trident Cyber 938x chipset (Alan Hourihane).
1017. Update the max clock for the Cirrus 754x with LCD enabled, and
      deal more gracefully when a clock line is encountered (Harm Hanemaayer).
1016. Add/implement XF86DGAGetViewPortSize() and add an extra argument
      to XF86DGAViewPortChanged() which indicates the number of pages
      being used when multi-buffering (Harm Hanemaayer).
1015. Move the setting of the XF86DGADirectColormap flag into
      XF86DGAInstallColormap() so that apps which use this function but
      don't explicitly set the flag will work correctly.

XFree86 3.1.2Go (17 October 1996)
1014. Add xterm-r6 entries to the xterm termcap and terminfo files.  These
      are compatible with the standard X11R6 version of xterm.
1013. Chips&Tech driver updates, including:  add an option to deal with
      LCD panel size problems, add an option to use an 18bit bus for some
      TFT laptops, allow imageblt to be disabled, support sync-on-green
      for the 65550, improve some screen scrambling problems, add DGA
      support, fix 24bpp acceleration problems, fix HW cursor colouring
      problems, update docs (Egbert Eich, David Bateman, Nozomi Ytow,
      Marc de Courville, Jens Mauer, Adam Sulmicki).
1012. BlankDelay settings for ViRGE (non-VX) (Harald Koenig).
1011. More S3V ROPs for planemask simulation for BLTs (not used yet)
      (Harald Koenig).
1010. S3V fix for some image ops (Harald Koenig).
1009. LynxOS microSPARC updates (Thomas Mueller).
1008. OS/2 updates (Holger Veit and Sebastien Marineau).
1007. TGA server updates, including disallow interlace modes, parse /proc/pci
      output to find the memory base address (Alan Hourihane).
1006. Add a DGA flag (XF86DGADirectColormap) to control when the colourmap
      is in the exclusive control of XF86DGAInstallColormap().  This allows
      older DGA clients which don't use XF86DGAInstallColormap() to work
      as before.
1005. Fix mmap in libXxf86dga for FreeBSD 1.1.5.
1004. Fix a typo in xf86writepci() which causes it to return without doing
      anything (URATA Shuichiro).

XFree86 3.1.2Gn (16 October 1996)
1003. Fix a problem with the ospex Imakefile regarding the building of
      a non-shared library.
1002. Increase the listen(2) backlog value in Xtranssock.c.
1001. VidMode extensions updates (Joe Moss).
1000. Add QueryDirectVideo and ViewPortChanged functions to the DGA
      extension (Harm Hanemaayer and Mark Vojkovich).
 999. Fix a problem where parts of lines incorrectly appear black with the
      S3V server (Berry Dijk).
 998. Fix some S3V problems that show up when running xtest (Harald Koenig).
 997. Change MGAAdjustPitch to choose a pitch for which acceleration is
      possible (Ansgar Hockmann).
 996. Fix some server compile warnings (Thomas E. Dickey).
 995. Set HasPoll to YES for NetBSD 1.2 and OpenBSD.  This solves the
      fundamental problem select has with the width of a fd_set
      (Matthieu Herrb).
 994. Use modified ROPs and colour bit patterns to simulate the planemask
      where possible in the S3V line code (Harald Koenig).
 993. Report the Wacom function/macro button as key events (Frederic Lepied).
 992. Initial DSP programming of Mach64 VT-B and GT-B implemented, but not
      enabled yet (Kevin Martin).
 991. Mach64 CT, ET, VT, GT clock programming changed to be more accurate.
      Previously it used integer arithmetic, now it uses floats (Kevin Martin).
 990. Mach64 VT-B and GT-B extra clock divisors (3,6,12) implemented
      (Kevin Martin).
 989. Fix Mach64 VT-B and GT-B memory detection (Kevin Martin).
 988. Updates for LinkKit and SVR4 README files (Takaaki Nomura).
 987. Add a MGAWAITFIFOSLOTS macro for use with accel functions
      (Andrew Vanderstock).
 986. Fix for MGA line colour that works at all depths (Andrew Vanderstock).
 985. Add a wait for retrace to the end of most Adjust functions when DGA
      mode is active (Mark Vojkovich and Harm Hanemaayer).
 984. Fix a typo in XF86Setup, and change the vsync parameters of some
      of the default monitor types (Harm Hanemaayer).
 983. ET6000 support for linear memory and 16/24/32bpp in the SVGA server
      (Koen Gadeyne).
 982. OpenBSD no longer defines __NetBSD__ in their cpp (Matthieu Herrb).
 981. OpenBSD/NetBSD doc updates (Matthieu Herrb).

XFree86 3.1.2Gm (13 October 1996)
980. Set foreground colour for MGA line code (Ansgar Hockmann).
979. Add weight 555 support for the Cirrus 5464 (Corin Anderson).
978. Fix Cirrus HAVE546X macro to detect the 5464 (Corin Anderson).
977. Updates to Cirrus docs and Cards database (Corin Anderson).
976. Add detection of the ARK2000MI to SuperProbe (Harm Hanemaayer).
975. Cirrus updates, including fix MMIO for the Cirrus 5446, update some
     DAC register values, disallow clocks line and change max clock for
     LCD displays (Harm Hanemaayer).
974. Add some sanity checks for potential VT problems in the cirrus and
     ARK drivers (Harm Hanemaayer).
973. Fix for LynxOS microSPARC (Thomas Mueller).
972. Update the LynxOS docs for 3.2 (Thomas Mueller).
971. Change the various malloc/free calls in the XKB code to use the
     XkbMalloc/XkbFree equivalents (Joe Moss).
970. Update the Wacom driver to support the new stylus with two side
     buttons.  The second side button is reported as button 4
     (Frederic Lepied).
969. Update the LinkKit to build the SVGA and I128 servers, and update the
     LinkKit README (Takaaki Nomura).
968. DGA support for the W32 server (Koen Gadeyne).
967. Resynch some PC98 Imakefiles (Takaaki Nomura).
966. LinkKit updates for a PC98-only LinkKit (Takaaki Nomura).
965. Add some missing bits to the MGA solid box fill patch (Radoslaw Kapitan).
964. Fix a typo in SuperProbe that would result in incorrect chipset
     reporting for some Cirrus chips (Harm Hanemaayer).

XFree86 3.1.2Gl (10 October 1996)
963. PC98 doc updates (Michio "Karl" Jinbo).
962. Add some solid box fills to the MGA driver (Radoslaw Kapitan).
961. Cirrus and Ark doc updates (Harm Hanemaayer).
960. Apply 959 to the Mach32 server.
959. Ignore clipping boxes completely to the left of right of each glyph
     for the S3, Mach8 and 8514 servers (Hans Nasten).
958. LinkKit fixes for PC98 (Takaaki Nomura).
957. Fix Imakefile problem related to dynamic loading for PC98
     (Michio "Karl" Jinbo).
956. ViRGE/VX update (Harald Koenig).
955. Add power_saver support to the TGA server (Alan Hourihane).
954. Some more line/seg updates for S3V (Harald Koenig). 
953. Fix some problems with the previous S3V planemask patch (Harald Koenig).
952. Add code to read the MGA card information from the BIOS.  This
     allows the RAMDAC type/speed to be determined (Andrew E. Mileski).
951. Disable 24/32bpp for S3V server because it doesn't work yet.
950. Driver for NVidia NV1 / SGS-Thomson STG2000 (David McKay).

XFree86 3.1.2Gk (8 October 1996)
949. Use cfb code in the S3V server when the planemask is non-trivial
     (Harald Koenig).
948. More line/seg fixes for the S3V server (Harald Koenig).
947. Fix XORing text (and other ROPs) for the S3V server (Harald Koenig).
946. Force 1-cycle EDO mode for the ViRGE/VX (Harald Koenig).
945. Disable the font and pixmap caches in the S3V server (not implemented).
944. Apply 943 to the Mach32 and S3V servers.
943. Ignore clipping boxes completely above or below the displayed text
     for the S3, Mach8 and 8514 servers.  This improves performance
     when a window is partly covered by a shaped window (Hans Nasten).
942. Resync PC98 Imakefiles, and update documentation (Michio "Karl" Jinbo).
941. Some LinkKit changes to prevent conflicts between the xf86 and xf98
     linkkits when doing a combined build/install.
940. Fix for keycodes/xfree98 (Takefumi Tsukada).
939. LinkKit support for PC98 servers (Takaaki Nomura).
938. Fix MGA 24bpp problems (Ansgar Hockmann).
937. Fix a potential memory interleave problem and spurious warning messages
     in the Cirrus driver (Corin Anderson).

XFree86 3.1.2Gj (6 October 1996)
936. Build PEX, XIE as dynamically loaded modules by default where it is
     supported.
935. Fix some S3gendac interface changes (Koen Gadeyne).
934. Fix a lex warning for reconfig (Koen Gadeyne).
933. Fix a ROP problem in the W32 solid fill code (Koen Gadeyne).
932. Dynamic PEX, XIE extension support for Linux/ELF.
931. 24bpp packed support for the MGA driver (Ansgar Hockmann).
930. Fix the way the list of clocks is derived for the Cirrus driver
     (Harm Hanemaayer).
929. Fix problems with 16bpp for a 1MB Cirrus 5434 (Harm Hanemaayer).
928. Fix for xdm indirect query for ISC (Michael Rohleder).
927. Remove virtual size check in the mach32ValidMode (Michael Rohleder).
926. Fix a typo in lib/Xbsd (Michael Rohleder).
925. Fix "nolinear" mode in the MGA driver (Radoslaw Kapitan).
924. Add memory detection to the MGA driver (Radoslaw Kapitan).
923. Update NetBSD/OpenBSD docs (Matthieu Herrb).
922. Add OpenBSD/mips config support (Per Fogelstrom, Matthieu Herrb).
921. Update OpenBSD version to 2.0 (Matthieu Herrb).
920. Updates to the S3 ViRGE line code (Harald Koenig).
919. Updated ViRGE/VX support (Harald Koenig).
918. TGA server shouldn't report DGA support (Alan Hourihane).
917. Alpha-related config updates (Harald Koenig).
916. Updates to Cirrus probing in SuperProbe (Harm Hanemaayer).
915. Fix a Cirrus bitmap overrun problem (Harm Hanemaayer).
914. Fix Cirrus FIFO settings for 5436/5446 (Harm Hanemaayer).
913. Fix Cirrus HW cursor colours at 32bpp (Harm Hanemaayer).
912. Fix 24bpp support for Cirrus 54xx (Harm Hanemaayer).

XFree86 3.1.2Gi (3 October 1996)
911. SCO updates.  SCO5 is now the only supported version (there are
     still problems to be resolved though) (J. Kean Johnston).
910. LinkKit updates and related cleanups (Marc Aurele La France).
909. Updated code to program the Ti3026 clock in the MGA server
     (Andrew E. Mileski).
908. Preliminary S3 ViRGE/VX support (Harald Koenig).
907. Fix S3 PCI read burst disable problem (Harald Koenig)
906. Fix SuperProbe memory reporting for the S3 ViRGE, ViRGE/VX, and
     separately report off-screen memory (Harald Koenig).
905. Fix MGA interleave and 32bpp problems (Radoslaw Kapitan).
904. Fix a RD_MASK problem that shows with 928 cards (at least on some
     PC98 servers) (Michio "Karl" Jinbo, Harald Koenig).
903. Allow xterm to be statically linked with libtermcap on Linux
     (Dirk Hohndel).
902. Fix screen save/restore on VT switch for the TGA server (Alan Hourihane).
901. Chips&Tech updates, including a fix for line acceleration
     problems (David Bateman).
900. VidMode extension changes/enhancements (not complete yet) (Joe Moss).
899. S3 ViRGE solid line code (Harald Koenig).
898. S3 ViRGE updates, including using cfb calls for non-implemented
     functions (Harald Koenig).
897. Fix for a line drawing problem in the Cirrus driver (Harm Hanemaayer).
896. Ark driver updates, including fixes for FIFO settings, HW cursor at
     16/32bpp, virtual panning at 24bpp, and enable BitBlt acceleration at
     32bpp (Harm Hanemaayer).
895. LynxOS microSPARC updates (Thomas Mueller).
894. Add support for Japanese 106 key keyboards on PANIX.  This is enabled
     with the 'panix106' keyword in the Keyboard section (Takefumi Tsukada).
893. README.SVR4 update (Takaaki Nomura).
892. ValidMode function for Mach32 (Bryan Feir).
891. Fix a Mach32 problem with VT switch screen save/restore when the
     virtual width is less than 1024 (Bryan Feir).
890. Updated NetBSD aperture driver (Matthieu Herrb).
889. Allow the PEX and XIE server extensions to be built as dynamic modules
     (FreeBSD and NetBSD so far).  (Matthieu Herrb).

XFree86 3.1.2Gh (29 September 1996)
888. Replace virtualX by displayWidth where appropriate in many SVGA drivers.
887. Fix virtual width/pitch checking/setting for the MGA driver.
886. Solid line acceleration for the MGA driver (Dirk Hohndel).
885. Improve the way scanline pitch restrictions are implemented for the
     SVGA server.
884. Set default W32 black/white pixel values the same as for the other
     servers.
883. Fix some W32 stipple problems (Glenn Lai).
882. Allow "mclk" as a synonym for "s3mclk" (Harm Hanemaayer).
881. Adjust mode timings in the ARK driver when required for 24bpp operation
     and for HW cursor operation (Harm Hanemaayer).
880. Some MGA driver cleanups.
879. Fix selection of interleave mode for MGA (Ansgar Hockmann).
878. Add "fifo_conservative" option for the ARK driver (Harm Hanemaayer).
877. Possible fix for ICS5342 MCLK calculation in the Ark driver
     (Harm Hanemaayer).
876. Fix max clocks when ClockChip "cirrus" is used (Harm Hanemaayer).
875. XF86Setup updates (see XF86Setup/CHANGELOG for details) (Joe Moss).
874. LCD code for Cyber9320 in PC98_TGUI server (X98 core team).
873. Fix typos in pc98_tgui.{c,h} (X98 core team).
872. PC98 Imakefile updates (X98 core team).
871. PC98 documentation updates (X98 core team).
870. New Chips&Tech accelerations, including: multiple depth ImageGlyph
     and PolyGlyph for 65545, 8bpp CopyPlane1to8 for 65545, 8bpp
     FillRectTransparentStippled32 and FillRectOpaqueStippled32 for 65545,
     modified simple BitBlt and Solid fill for 65550, stipple and tile
     functions for 65550 (Egbert Eich, Xavier Ducoin, David Bateman).
869. Chips&Tech driver fixes, including: improve stability of
     suspend/resume, fix DSTN screens with 65550, reduce the size of
     MMIO regions, fix PCI burst mode, disable line acceleration because
     it can cause a server crash in rare circumstances (Egbert Eich,
     Xavier Ducoin, David Bateman).
868. Make the Cirrus fifo options work for the 546x chips (Corin Anderson).
867. Support for the Cirrus 5464 (Corin Anderson).
866. Add a hook to the SVGA server to allow drivers to specify a display
     width (pitch) which is different from the virtual width.  This
     is required for some Cirrus chipsets (Corin Anderson).
865. 24bpp packed pixel Cirrus support (Harm Hanemaayer and Corin Anderson).
864. Work around a problem on NetBSD/OpenBSD where dlsym() searches for
     the symbol in the whole executable rather than just in the modules
     specified (Matthieu Herrb).
863. Add an X server and config/imake support for LynxOS microSPARC 2.4.0
     (Thomas Mueller).
862. Remove stale fb shared memory before dying on LynxOS (Thomas Mueller).
861. Work around a popen/pclose bug on LynxOS in the server XKB code
     (Thomas Mueller).
860. Work around a bash problem on LynxOS which affects rstart/Imakefile
     (Thomas Mueller).
859. Solid vertical and horizontal lines for the S3 ViRGE server (Berry Dijk).
858. Fix max clock for TGA (Alan Hourihane).
857. Fix for TGA VT switching problems (Alan Hourihane).
856. Add code to detect the ViRGE/VX (Dirk Hohndel).

XFree86 3.1.2Gg (26 September 1996)
855. Preliminary support for the Matrox Millennium (MGA 2064W)
     (Radoslaw Kapitan, Andrew Vanderstock, Dirk Hohndel).

XFree86 3.1.2Gf (25 September 1996)
854. Mach32 documentation (Bryan Feir).
853. Improve Mach32 ramdac probing in SuperProbe (Bryan Feir).
852. Fix xf86writepci() prototype (Alan Hourihane).
851. TGA server and documentation updates (Alan Hourihane).
850. Fix missing argument in the QueryBestSize functions in the SVGA server
     (Harm Hanemaayer).
849. Another fix for usage of XInput defines, and make initext depend on
     ICONFIGFILES (Marc Aurele La France).
848. Improve reliability of detecting Mach64 cards in SuperProbe, the
     Mach64 server and the ati driver (Marc Aurele La France).
847. Complete s3im.c for s3_virge (Harald Koenig).
846. Fix s3_virge framebuffer detection (Harald Koenig).
845. Fix s3_virge compile problems when using a compiler other than gcc.
844. Missing patch to vgaCmap.c for item 842 (Harm Hanemaayer).

XFree86 3.1.2Ge (24 September 1996)
843. Add Trio/ViRGE clock support to the "s3_svga" driver.  This is still
     incomplete, and for development use (Harald Koenig).
842. Add vgaGetInstalledColormaps() and support for 8-bit colour components
     to the SVGA server (Harm Hanemaayer).
841. ARK driver updates, including: fix problems with BitBlts at 24bpp,
     fix hw cursor at 8bpp, fix some ZoomDAC problems, and add support
     for 8-bit colour components (dac_8_bit) at 8bpp (Harm Hanemaayer).
840. Fix some typos in compiler.h (Harald Koenig).
839. Initial ViRGE s3im.c, and remove unneeded s3linear.h and bank switching
     (Harald Koenig).
838. Fix some XInput and XKB defines (Marc Aurele La France).
837. LinkKit fixes (Marc Aurele La France).
836. Add ARK Logic chipset detection to SuperProbe (Harm Hanemaayer).
835. Fix a typo in xkbcomp/symbols/de (Thomas Mueller).

XFree86 3.1.2Gd (23 September 1996)
834. Rename ViRGE driver from s3_generic to s3_virge (Dirk Hohndel).
833. Don't reference uninitialised s3MmioMem in ViRGE server (Harald Koenig
     and Dirk Hohndel).
832. Don't do S3 bug tests for 928 and earlier (Harald Koenig).
831. ViRGE fixes, including BITBLT and text clipping (Harald Koenig). 
830. Updates to the Cards file for Cirrus and Ark (Harm Hanemaayer).
829. xf86config updates, including 24bpp support, and making "virtual"
     optional (Harm Hanemaayer).
828. Fix trident probe so that it restores all registers it touches
     (Harm Hanemaayer).
827. ARK driver updates, including: auto-detect the ZoomDAC and print out
     the RAMDAC type, use DRAM bandwidth for CRT FIFO setting, don't allow
     5-5-5 weight for 16bpp with 1000PV and ZoomDAC, and add sanity check
     for off-screen CopyWindow (Harm Hanemaayer).
826. Fix a typo in the TGA server that could cause it to think it has found
     a valid mode (Alan Hourihane).
825. Don't try to use -ldl for XF86Setup on non-ELF Linux (Harald Koenig).
824. Add "slow_dram" option for the W32 server to fix some problems with
     older cards (Dirk Hohndel).

XFree86 3.1.2Gc (22 September 1996)
823. XKB data file updates for jp106/jp (Takaaki Nomura).
822. S3 Virge server (preliminary version) (Harald Koenig).
821. ARK driver updates, including basic BitBlt acceleration, improved
     ramdac support, experimental 24bpp support, and max dot clocks take
     the memory clock into consideration (Harm Hanemaayer).
820. Minor xdm and xterm changes to allow them to compile on FreeBSD 1.1.5.
819. Fix Trident probe in SuperProbe so that it doesn't corrupt ET6000
     display (Koen Gadeyne).
818. Fix Sierra 1502X RAMDAC handling in the W32 server (Dirk Hohndel).
817. TGA server for Alpha machines.  Not accelerated at this stage
     (Alan Hourihane).
816. SuperProbe update for ELSA Gloria (Harald Koenig).
815. Fix/add 15/16bpp support for S3 805i with AT&T 20C498 (Hermann Lauer).
814. Improve S3 clipped text performance (Harald Koenig).
813. Fix a typo in xkbcomp/rules/xfree86 (Joe Moss).
812. Add detection for the Cirrus 7548, and treat it like the other 754x
     chips (Harm Hanemaayer).
811. Change xterm valid-response code in DECRQSS from 0 to 1 to match a
     real VT420 terminal (Thomas E. Dickey).
810. Add a resource 'decTerminalID' to control the reporting level of
     xterm (e.g., VT100, VT220), and use it to implement/correct the
     DA1, DA2 and DECRPTUI reports (Thomas E. Dickey).
809. Fix xterm restoration of color for bold/underline color mode
     (Thomas E. Dickey).

XFree86 3.1.2Gb (15 September 1996)
808. Update PC98 Imakefiles (Michio "Karl" Jinbo).
807. Fixes for problems with the PC98 TGUI server (Michio "Karl" Jinbo).
806. Fix/workaround to avoid DGAInstallColormap() being affected by
     window managers.
805. Fix some problems related to the change in the xf86scanpci() interface.

XFree86 3.1.2Ga (14 September 1996)
804. Implement s3ValidMode() (Mark Vojkovich).
803. Modify the ValidMode interface in preparation for some VidMode extension
     changes.
802. Fix a problem with the XOpenDisplay buffer overflow fix (item 734 below)
     (X Consortium, Kaleb Keithley).
801. Fix FIFO setting for Cirrus Alpine (543x, 5446) cards with 1MB
     (Harm Hanemaayer).
800. Modify Cirrus asm code to allow PCI burst accesses (Harm Hanemaayer).
799. Change default for MvCmd to 'mv -f'.
798. Redo the xf86PCI code, based on that in FreeBSD-current.
797. Update xf86PCI code to deal with PCI bridges and multi-function
     devices (Mihoko Tanaka).
796. Fix a problem with the Sigma L-View driver (and presumably the same
     problem in the HGC1280 driver (Norbert Berzen).
795. Add a "Sundeadkeys" XKB variant for European keyboards.
794. Change the "es" XKB symbols to match a Spanish keyboard (Jon Tombs).
793. Update Cards database.
792. Fix panning problem with some Cirrus cards (Corin Anderson).
791. Map the S3 MMIO area separately (Harald Koenig).
790. Don't allow S3  newmmio to be selected for chips that don't support
     it (Harald Koenig).
789. Fix for Linux/m68k frame buffer device (Geert Uytterhoeven).
788. Fix detection of some SiS chips.
787. Turn on 32-bit mode for TGUI chips.  This allows PCI burst to be
     turned on by default.  (Alan Hourihane).
786. Disable 16bpp for the TGUI9320LCD since it doesn't work (Alan Hourihane).
785. Fix ET6000 problems with the VGA16/Mono servers (Koen Gadeyne).
784. Speedups for the W32 arc and teblt8 code (Glenn Lai).
783. Fix W32 line-drawing using the wrong ROP for horizontal and vertical
     lines (Koen Gadeyne).
782. Add a new xdm access control keyword "NOBROADCAST" to disable answering
     broadcasts from specified hosts (Kimmo Suominen).
781. Make xf86config run the correct server by name rather than trying
     to run 'X' (Holger Veit).
780. Change default "gb" XKB symbols (James Hawtin).
779. Config and documentation updates for LynxOS (Thomas Mueller).
778. Update XF86Setup's device list for LynxOS (Thomas Mueller).
777. Fix compile problem when XINPUT isn't defined (James Hawtin).
776. XF86Setup needs to be linked with -ldl on Solaris (James Hawtin).

XFree86 3.1.2G (3 September 1996)
775. Fixes for some NECS3 server problems (Naofumi Honda).
774. Fix some XF86Setup typos.
773. OS/2 updates (Holger Veit).

XFree86 3.1.2Fc (3 September 1996)
772. XF86Setup updates (see XF86Setup/CHANGELOG for details) (Joe Moss).
771. PCI detection for the Alliance ProMotion 6422 (Kent Hamilton).
770. Documentation updates (Dirk Hohndel, Matthieu Herrb).
769. Updates for OpenBSD, including support for recent changes to the
     console drivers (Matthieu Herrb).
768. Need rint() for ISC and Lynx (Michael Rohleder).

XFree86 3.1.2Fb (1 September 1996)
767. S3 support for the Diamond SS2410 RAMDAC (eriks).
746. Fix resize on Linux (for terminfo) (Rik Faith).
745. Updates to Cyrillic fonts (Andrey Chernov).

XFree86 3.1.2Fa (31 August 1996)
744. Fix xterm's handling of SGR 22, 24 and 25 in combination with colorUL
     and colorBD resources.  Also noted & fixed reset of colored
     underline/bold with SGR 0 (Thomas E. Dickey).
743. Fix a typo in the xterm termcap (Thomas E. Dickey).
742. Don't allow the "fb_debug" option when newmmio is used (Harald Koenig).
741. Make sure s3Port59/s3Port5A are initialised before s3Init() is called
     (Harald Koenig).
740. Force 64MB alignment of linear FB, even when MemBase is given in
     the config file (Harald Koenig).
739. Disable newmmio when "nolinear" is specified, or when linear memory
     mapping isn't available (Harald Koenig).
738. Fix C&T driver printing out a line in its probe in cases where a
     C&T chip hasn't been detected.
737. Driver for the Alliance ProMotion 6422 (Alliance Semiconductor, and
     Kent Hamilton).
736. Make the Ark SVGA driver detect the ARK2000MT, and treat it as an
     ARK2000PV.
735. Updates for SCO OpenServer 5 support (J. Kean Johnston).
734. Fix for a buffer overflow problem in XOpenDislpay (libX11)
     (X Consortium, Kaleb Keithley).
733. Some imake/config updates (Dirk Hohndel).
732. Add a '-nolock' server command line option to disable the X server
     locking (Roger Wolff).
731. Scanpci updates: Check general pci-pci bridges, add some more
     vendor and device IDs, and add a '-f' flag to print out the full
     information -- otherwise just print the vendor/device name
     (Mihoko Tanaka).
730. Updates for ISC (Michael Rohleder).
729. Fix typo in XF86Setup/mouse.tcl (Thomas Mueller).
728. Fix malloc problem in TLI xtrans code (Joe Moss).
727. Fix some WaitQueue problems with the S3 server (Naofumi Honda,
     Takaaki Nomura, Harald Koenig).
726. Fix for display problem with Trio64V+ at 16bpp (Harald Koenig).
725. Fix clock limit arrays for Cirrus 754x chip (Corin Anderson).
724. Add a "DefaultColorDepth" keyword for the Screen section of the
     XF86Config (Dirk Hohndel).
723. Fix problem using non-linear mode with TGUI chips (Alan Hourihane).
722. Turn off PCI burst write by default for TGUI chips.

XFree86 3.1.2F (27 August 1996)
721. Update the QuickStart guide with details about using XF86Setup (Joe Moss).
720. Some XF86Setup updates (Joe Moss).
719. Avoid a possible malloc/free problem in the xtrans TLI code (Joe Moss).
718. Some Linux a.out lib updates for libX11, libXt (Harald Koenig).
717. Fix 32bpp S3 newmmio problem (Harald Koenig).

XFree86 3.1.2Eo (26 August 1996)
716. Disable 24bpp packed mode in S3 server because it doesn't work properly
     yet (Harald Koenig).
715. Don't use newmmio S3 driver by default on Alpha architecture (or
     for ISC) (need to specify it explicitly in XF86Config) (Harald Koenig).
714. Fix some incorrect printf-style arguments in xkbcomp (Thomas E. Dickey).
713. Fix compiler warnings, including uninitialised variables, missing
     prototypes, etc (Thomas E. Dickey).
712. XF86Setup updates (Joe Moss).
711. Fix for some potential buffer overrun problems in libXt and libX11 that
     can lead to security holes.

XFree86 3.1.2En (25 August 1996)
710. Build/install the xkbui library regardless of whether XF86Setup is
     being built.
709. Fix lots of compiler warnings and related problems when building on
     Alpha (Richard Henderson).
708. Fix missing function prototype problem in libXi that causes problems
     on Alpha platforms (Richard Henderson).
707. XF86Setup updates.

XFree86 3.1.2Em (24 August 1996)
706. Swap acute and apostrophe keys in de(nodeadkeys) (Michael Rohleder).
705. ISC documentation udpates (Michael Rohleder).
704. Chips & Tech documentation update (Egbert Eich).
703. Chips & Tech driver updates, including a fix for a 65545 PCI problem,
     and a hack/option for a suspend/resume problem (Egbert Eich).
702. Major updates to XF86Setup (Joe Moss).
701. Updates to the Cards database (various).
700. ATI (SVGA) driver update (Marc Aurele La France).
699. Cards file update for AGX (Henry Worth).
698. Fix for a BIOS initialisation problem on some VideoLogic (S3) cards
     (Harald Koenig).
697. Fix some 32bpp problems with S3 newmmio (Harald Koenig, Bernd Lind).
696. Fix some PCI lockups when using S3 newmmio mode (Harald Koenig).

XFree86 3.1.2El (23 August 1996)
695. NetBSD/OpenBSD doc updates (Matthieu Herrb).
694. Fix typo in rules/xfree86 (Joe Moss).
693. Fix some virtual desktop scrolling bugs with the CL-GD5462 in the
     Cirrus driver (Corin Anderson).
692. Set BSD (syscons/pcvt) keyboard to K_RAW after establishing the tty
     settings (was done in the opposite order) (Naofumi Honda).
691. Fix PCVT_SUPPORT in BSD xf86KbdOn/Off functions (Naofumi Honda).
690. Add correct handling of PCI connect/disconnect for the PC98 S3 968
     server (Naofumi Honda).
689. Fix PCI probing for PC98 machines (Michio Jinbo).
688. Fix mask used for TGUI fb address when membase is supplied (Michio Jinbo).
687. Add an xterm option/resource to allow text selection to be shown
     differently -- ie, only highlight the characters selected when selecting
     beyond the end of a line (Thomas E. Dickey).
686. Fix PCI base address for S3 868/968, and newmmio fixes (Harald Koenig).
685. Fix problem with memory allocation in XKB that could cause the server
     to crash (Joe Moss).

XFree86 3.1.2Ek (21 August 1996)
684. Fixes for m68k support (Geert Uytterhoeven).
683. Naming changes for m68k servers and config options (Geert Uytterhoeven).
682. Update SuperProbe to identify the amount of memory for a 65550/54,
     and fix detection of 65545 (David Bateman).
681. Fix for 65545 PCI problems in the C&T driver (Egbert Eich).
680. resync os2_select.c (Holger Veit).

XFree86 3.1.2Ej (20 August 1996)
679. Fix install problem when xkbcomp is linked against shared libs.
678. Prevent server exit if the mouse device is changed to something
     unsuitable (Joe Moss).
677. XF86Setup updates (Joe Moss).
676. Update XF86Config man page and sample XF86Config file for XKB changes
     (Joe Moss).
675. LinkKit fixes (David Bateman).
674. Chips & Tech driver updates (David Bateman and others?).
673. xterm bug fixes (Thomas E. Dickey).
672. PCI probe fix for S3 server (Harald Koenig).
671. Support for new MMIO style for 868/968/Trio64V+, and MMIO support
     (with optimised use of memory barriers) for Alpha/AXP.  This currently
     has problems at 32bpp (Bernd Lind, Harald Koenig).
670. Use POSIX termios for xterm for all Linux systems (Richard Henderson).
669. Generalise mmap access to DENSE I/O memory for Alpha (Richard Henderson).
668. 32/64 bit cleanup, especially in server's XIE code (Richard Henderson).
667. Config updates for Linux/Alpha (Richard Henderson).
666. Updates for OS/2 (Holger Veit).
665. Fix problems building XF86Setup with BuildServersOnly set to YES.

XFree86 3.1.2Ei (18 August 1996)
664. Fix some PC98 Imakefile problems (Michio "Karl" Jinbo).
663. Linux/m68k support (Geert Uytterhoeven, Martin Schaller, Gary Henderson).
662. Change the S3 server's handling of situations where mode choices
     cause problems.  It is now less likely to exit in these situations.
661. Add a -bestRefresh command line option to the X servers to change
     the mode selection to pick the mode with the best refresh rate when
     multiple modes of the same name are available.
660. XF86Setup updates (see XF86Setup/CHANGELOG) (Joe Moss).

XFree86 3.1.2Eh (14 August 1996)
659. Update Cyrillic fonts (Andrey Chernov).
658. Add support for the CL-GD5462 to the cirrus driver, and update
     documentation for recent cirrus driver changes (Corin Anderson).
657. XF86Setup updates (Joe Moss).
656. Fix some LynxOS-related typos in the config (Thomas Mueller).
655. Add a man page for the DGA extension.

XFree86 3.1.2Eg (14 August 1996)
654  Update Japanese docs (Michio "Karl" Jinbo).
653  Add XF98_GA968 server for GA-968V4/PCI(S3 968) (Michio "Karl" Jinbo).
652. Bring the PC98 tree into sync with the main tree, and add XF86Setup
     (Michio "Karl" Jinbo).
651. Fix problems with 32bpp sparse mode that were introduced in 3.1.2Eb.
     Need to check that this fix works OK with 24bpp packed mode.
650. Fix some compiler warnings (Thomas E. Dickey).
649. Mods to ct_driver.c so that it will compile on SVR4.0 (no nested
     asm calls, and work around a code generation problem).
648. Fix some problems with mouse changes in 3.1.2Ef (Joe Moss).

XFree86 3.1.2Ef (13 August 1996)
647. ET6000 support for the SVGA and W32 servers.  The support in the
     W32 server is accelerated (Koen Gadeyne).
646. Add support to xterm for most vt220 and vt320 terminal features
     (Thomas E. Dickey).
645. Support for I128 series II cards (Robin Cutshaw).
644. Wacom driver updates (Frederic Lepied).
643. Support for core motion history management through mi (Frederic Lepied).
642. Improved integration of mouse with XInput (Frederic Lepied).
641. Major updates to XF86Setup (Joe Moss).
640. Update to latest version of XKB.
639. Fix broken 32bpp sparse support in S3 server (there are still some
     problems though, and they are also seen with the Mach64 server).

XFree86 3.1.2Ee (11 August 1996)
638. Implement ech and ech1 terminal capabilities for xterm (Thomas E. Dickey).
637. Add blinking cursor support for xterm (disabled for now)
     (Thomas E. Dickey).
636. Fix a PEX font struct being freed twice (Richard Henderson).
635. Make xterm tolerant of applications that allocate the whole colour map
     (by disabling colour mode if the ANSI colours are set with non fg/bg
     values) (Thomas E. Dickey).
634. Allow ISO colour support to be #ifdef'd out in xterm.  This allows
     xterm's memory usage to be significantly reduced when colorMode is not
     enabled (Thomas E. Dickey).
633. Reduce flickering during resize for ReverseVideo in xterm
     (Thomas E. Dickey).
632. Fix xterm core dump problem on IRIX 5.2 (Thomas E. Dickey). 
631. Update scanpci to detect the #9 I128 series II (Robin Cutshaw).
630. Preliminary Mach32 ramdac support updates (Bryan Feir).
629. Document new xterm control sequences (Thomas E. Dickey).
628. Fix problem introduced in 3.1.2E with software cursor on some non-i386
     platforms (Thomas E. Dickey and Thomas Mueller).
627. Support for SCO Open Server 5 (J. Kean Johnston).
626. Add detection of the S3 ViRGE chip to SuperProbe (and scanpci), and
     use PCI probing for S3 chipset detection in SuperProbe where appropriate
     (Harald Koenig).
625. Add detection of newly supported C&T chips to SuperProbe.
624. Add a TextClock keyword for the XF86Config to fix problems restoring
     the text clock with the chips & tech driver (Egbert Eich).
623. Updates for the LinkKit (Egbert Eich).
622. Significantly improved driver for Chips and Technologies chipsets.
     Includes linear addressing (65530 and above), 16/24bpp (65540 and above),
     programmable clock support (65540 and above), HW cursor support (65545
     and above), BitBLT acceleration (65545/46 and 48), support for the
     65546, 65548, 65550 and 65554 (Nozomi Ytow, Egbert Eich, Ken Raeburn,
     Xavier Ducoin and David Bateman).

XFree86 3.1.2Ed (10 August 1996)
621. Fix xterm colour translation problem (Michael Rohleder and
     Thomas E. Dickey).
620. xterm termcap/terminfo fixes (Thomas E. Dickey).
619. Add escape sequences to xterm that act like CDE ddterm's window
     operations (Thomas E. Dickey).
618. Set the initial cleared screen colour correctly for the 8514 and Mach8
     servers to match the default black pixel value and the -flipPixels
     flag (Hans Nasten).
617. Add support for LynxOS AT version 2.4.0, and client-only support for
     LynxOS microSPARC and PowerPC (Thomas Mueller).
616. Config updates for OpenBSD and NetBSD 1.2 (Matthieu Herrb).
615. Fix typo in trident driver, and update XFree86 man page (Alan Hourihane).
614. Fix problems with Trio64V+ video blanking signal.  Some undocumented
     options "trio64v+_bug1" to "trio64v+_bug3" have been added enable/disable
     parts of the code in case they are required later (Harald Koenig).
613. Don't require SuperProbe to do the BIOS signature check for VGA cards
     when the PCI probe detects a VGA card (Koen Gadeyne).
612. Add ET6000 detection to SuperProbe (Koen Gadeyne).
611. Add PCI detection of ET6000 to scanpci and SVGA server (Koen Gadeyne).
610. Update AGX documentation (Henry Worth).
609. Add DGA support to the AGX server (Henry Worth).
608. AGX server recognises "fast_vram" and "slow_vram" options as equivalents
     to "fast_dram" and "slow_dram" (Henry Worth).
607. 8 bit/RGB DAC mode is now the default for the AGX server where supported
     (Henry Worth).
606. Fix initialisation of the Bt481 for AGX-016 based Hercules dual-DAC
     Graphite cards (Henry Worth).
605. Fix overscan colour correctly for the AGX server to match the change
     to the default black pixel value and the -flipPixels flag (Henry Worth).
604. Update et4000w32.c for ChipHas24bpp in vgaVideoChipRec (Thomas E. Dickey).
603. Prevent Xserver from exiting when a mouse device can't be opened and
     the '-allowMouseOpenFail' command line option is used (Joe Moss).
602. Add CL-GD5446 detection to SuperProbe.
601. Add support for CL-GD5446 to the cirrus driver (Corin Anderson).
600. Add PCI detection of Cirrus CL-GD5446 to SVGA server and scanpci
     (Corin Anderson).
599. Add a function XF86DGAForkApp() to the dga library, which causes
     the client to fork, with the parent remaining to clean up after the
     child exits (Jon Tombs).
598. Add an InstallColormap function to the DGA extension (Jon Tombs).
597. Fix broken DGA setviewport on SVGA servers (Jon Tombs).

XFree86 3.1.2Ec (8 July 1996)
596. XF86Setup fixes and udpates (Joe Moss).
595. Fix some build problems on Solaris due to the positioning of
     <stdlib.h> includes in xconsole and xwd (William Austin).
594. Fix a make problem in xfree98/vga16/drivers (Takaaki Nomura).
593. Add some minor features from ISO 6429 to xterm (Thomas E. Dickey).
592. Fix for SiS clock programming, and implement HW cursor for SiS
     (Alan Hourihane).
591. XInput support for SummaSketch tablets (Steven Lang).
590. Improve the startup of the Wacom driver (Frederic Lepied).
589. Fix an XInput bug with extended events reporting the wrong number
     of valuators (Frederic Lepied).
588. Fix xterm's utmp usage for Solaris (Christos Zoulas).

XFree86 3.1.2Eb (30 June 1996)
587. Fix MMIO setting which causes problems with Trio64V+ cards in machines
     with PCI SCSI controllers (Harald Koenig).
586. Auto-select the ICD2061A for Diamond Stealth 64 VRAM cards (when
     a Diamond BIOS, Bt485 and S3 964 are all detected).
585. Fix a problem with the VGA16 server when Chipset "generic" is specified.
584. Fix twm/gram.y and fonts/PEX/to_wfont.y problems that show up when
     using bison-1.25 (Matthieu Herrb).
583. Move the beta expiry check code into a separate file, and add a command
     line option to allow the expiry date to be extended when a key is
     provided.
582. Preliminary 24bpp packed support for some S3 cards (Harald Koenig).
581. Add 24bpp (packed pixel) support for cfb (cfb24), and the required
     hooks for using it with the SVGA server (Shigehiro Nomura and
     NoZomi Ytow).
580. Fix some xterm background colouring problems (Thomas E. Dickey).
579. Allow the PCI burst to be separately turned on/off for read and write
     for the TGUI chips (Alan Hourihane).
578. vgaHW.c fix (NoZomi Ytow).
577. Fix for Mach64 block_write problems introduced in 3.1.2E (Kevin Martin).
576. An alternate fix to the Makedirectories() rule, which causes only
     one 'sh -c' to be used (Marc Aurele La France).
575. Some sanity checks for the trident driver (Alan Hourihane).
574. Another HSkew fix for the ATI SVGA driver (Marc Aurele La France).
573. Add 256 colour support to the SiS driver (Alan Hourihane).
572. Fix a stdlib.h -related problem in xwd (Joe Moss).
571. Fix a stdlib.h -related problem in xfs/os/utils.h (Takaaki Nomura).
570. Add a new Xserver configuration utility -- XF86Setup (Joe Moss).
569. Remove the "-noscale" flag from the Xserver usage message (Joe Moss).
568. Fix session handling of xdm for *BSD (Peter Wemm).

XFree86 3.1.2Ea (10 June 1996)
567. xf86config.c update in preparation for the XF86Setup utility (Joe Moss).
566. Fix some Mach64 problems in the SVGA ati driver (Marc Aurele La France).
565. Fix the xf86GetClocks prototype (Marc Aurele La France).
564. Fix MakeDirectories rule (Stephen Hocking).
563. By default, don't change PCI burst settings for TGUI (Alan Hourihane).
562. Fix interlaced modes for the SVGA ali driver (Thomas Graichen).
561. xfs updates for OS/2 (Sebastien Marineau).
560. Fix some TGUI problems introduced in 3.1.2E (Alan Hourihane).
559. Fix problems with scanpci on NetBSD (Michio "Karl" Jinbo).
558. Some cleanups/removal of compiler warnings (Christos Zoulas).
557. Patch for compiling on BSD/OS 2.1 (Mike Bernson).
556. Turn off the Xaw3d arrow scrollbar support in xterm by default (it
     causes xterm to suck CPU), and make it an option/resource
     (Thomas E. Dickey).
555. Reinstate the "no_program_clocks" for TGUI9440 chips (Alan Hourihane).
554. XInput updates, including motion history support for the joystick and
     elo devices, removing auto link speed detection for the elo -- it is
     now set with the LinkSpeed XF86Config option, and added acceleration
     handling for relative devices (Patrick Lecoanet and Frederic Lepied).
553. Add VGA16 support to the ET3000 driver (Thomas Graichen).
552. Fix for first button click in a xterm being mistaken for a double
     click (Kaleb Keithley).
551. Fix for server crash on Alpha when using the logo screen saver
     (Manabe Takashi).
550. xkb datafile updates, including more/better European keymaps, pc102
     geometry and keycodes (Stuart Anderson, courtesy Metro Link).
549. Fix xterm problem on *BSD (VMIN initialisation) that would cause
     rlogin to fail (Matthieu Herrb).
548. Fix problems when a dynamic module is specified with an absolute path.

XFree86 3.1.2E (13 May 1996)
547. Fix Trio64V+ problem with DAC entry#255 for color mode 0 (1 8bpp/DCLK)
     by only using color mode 8 (2 8bpp pixel/DCLK, CR67=10) (Harald Koenig).
546. Added options to the S3 server to slow down DRAM and EDO DRAM access
     (Harald Koenig).
545. Add inlined assembler code to do unaligned access on Alphas
     (Harald Koenig).
544. Fix a font corruption problem for Alphas in cfb (Harald Koenig).
543. Fix sample Xcms.txt colour entries (Harald Koenig).
542. Fix some problems building the a.out DLL version of libX11
     (Harald Koenig).
541. OS/2 updates (Sebastien Marineau).
540. Fix(?) server crash on keyboard input when using DGA with XKB disabled.
539. Install xterm termcap/terminfo files in lib/X11/etc for all OSs, not
     just SYSV/SVR4.
538. Convert egc_asm.s to the portable assembler format so it can be built
     on SVR4 (Takaaki Nomura).
537. Fix Mach64 ghostview scrollbar problem.  This may also fix some font
     corruption problems seen in Netscape (Kevin Martin).
536. Fix Mach64 ol[v]wm icon problem (Kevin Martin).
535. Add Mach64 cursor in doublescan mode -- this still has problems
     (Kevin Martin).
534. Add Mach64 doublescan mode for low resolution modes (only works so far
     for the VT chip) (Kevin Martin).
533. Fix Mach64 264VT support in the Mach64 server (Kevin Martin).
532. Update the xterm termcap and terminfo descriptions (Thomas E. Dickey).
531. Fix an xterm bug where XmbLookupString is used even though an
     IM/IC isn't open/used (Kaleb Keithley).
530. Fix a clock roll-over bug in xterm (Kaleb Keithley).
529. Add some new locale aliases used by Solaris 2.5 and some other OSs
     (Kaleb Keithley).
528. Fix some potential data overruns with long environment variables in
     libX11 and libXt which could create security holes in suid root
     programs like xterm (Kaleb Keithley).
527. Fix makedepend's handling of long typed defines (eg, 1993L)
     (Kaleb Keithley).
526. User alloca on UnixWare (Kaleb Keithley).
525. Improved fix for removing compiled keymap files (Kaleb Keithley).

XFree86 3.1.2Dj (12 May 1996)
524. Disable POSIX_TERMIOS in xterm for FreeBSD versions prior to 2.1.
523. Add a document for XInput (Frederic Lepied).
522. Have the server remove the compiled keymap file when shutting down
     (Joe Moss).
521. Fix problem of XkbListComponents() not listing anything in
     subdirectories (Joe Moss).
520. Fix passing of button events for the Joystick (Frederic Lepied).
519. NetBSD documentation updates (Matthieu Herrb).

XFree86 3.1.2Di (11 May 1996)
518. Modify xterm to revoke() its pty before opening it on *BSD
     (Matthieu Herrb).
517. Fix xterm not sending SIGHUP to its children when it dies on *BSD
     (Matthieu Herrb).
516. Fix some problems that were preventing extended Mouse devices from
     working.
515. Add "Port" as a synonym for "Device" in the Pointer section.
514. Fix Makefile dependencies for dynamically loaded XInput modules.
513. Fix screen saver blanking for Mach64 CT at 16bpp and 32bpp.
512. Remove the directory components from the XKB parameters in the sample
     XF86Config files, and from the XF86Config files generated by xf86config.
511. Fix Mach64 memory mapping bug introduced in 3.1.2Dg.

XFree86 3.1.2Dh (10 May 1996)
510. Fix for some image problems on VGAWonder V3, V4 and V5 adapters
     (Marc Aurele La France).
509. Enable TERMIOS for xterm on Linux/Alpha (Kazushige Goto).
508. Make the "clkdiv2" option a valid option for most accelerated
     servers (Koen Gadeyne).
507. Unified the global function names to use the xf86 prefix in the XInput
     code (Frederic Lepied).
506. Add support for motion history for extended input devices (implemented
     for the Wacom driver) (Frederic Lepied).
505. Oak documentation udpates (Jorge Delgado).
504. Fix compiler warnings introduced in 3.1.2Dg (Thomas E. Dickey).
503. OS/2 updates (Sebastien Marineau and Holger Veit).
502. Fix formatting of xtrans error messages (Holger Veit).
501. S3 image fixes for Alpha (Harald Koenig).

XFree86 3.1.2Dg (6 May 1996)
500. X98 updates for PANIX(98) support (X98 core team).
499. Allow halved clocks to be used with the VGA servers (Koen Gadeyne).
498. Use same xlfd value rounding for alpha as for i386 (Harald Koenig).
497. Support for Linux/Alpha (Jay Estabrook, Craig Ruff, Harald Koenig
     and others?).
496. Fix autorepeating modifier keys (Kaleb Keithley).
495. Fix nonMuxMaxClock for S3 864/868 (Harald Koenig).
494. Make sure that imake, xinit and the XFree86 servers don't inherit
     a SIGCHLD signal handler of SIG_IGN (Marc Aurele La France).
493. Fix default HSkew for ATI 28800 cards (Marc Aurele La France).
492. Fix typo in SuperProbe/PCI.c (Holger Veit).
491. Colour xterm fixes -- fixes inner border being painted with the wrong
     colour (Thomas E. Dickey).
490. More X server prototyping fixes -- mostly for Xserver/Xext
     (Thomas E. Dickey).
489. DGA support for the P9000 server (Erik Nygren).

XFree86 3.1.2Df (15 April 1996)
488. Changes to xf86Config.c in preparation for XF86Setup sharing this
     code (Joe Moss).
487. Prevent SuperProbe from falsely detecting non-VGA PCI devices.
486. Config/Imake support for building LBX (Holger Veit).
485. OS/2 updates (Holger Veit and Sebastien Marineau).
484. Add support for the I128 8MB board with the IBM528 RAMDAC (Robin Cutshaw).
483. Add prototyping for Xserver/dix, and fix copyright notices in new
     header files (Thomas E. Dickey).
482. Replace the vsync wait delays in the ICD2061A code with a 20ms usleep
     (Harald Koenig).
481. Ensure that the S3 server clears the screen to black even when
     '-flipPixels' is used, and erase the S3 HW bug test patterns after
     completing the tests (Harald Koenig).
480. Fix incorrect S3 HW cursor offset after VT switching (Harald Koenig).
479. Fix SuperProbe's memory probing for S3 cards with more than 4MB,
     and add detection for the TVP3030 RAMDAC (Harald Koenig).
478. Fix some S3 TVP3026 problems introduced in 3.1.2Dc (Harald Koenig).
477. Add support to the S3 server for the ELSA Gloria-8 card (except the
     GLint 300SX 3D chip) (Harald Koenig).
476. Fix for POSIX termios support in xterm (Matthieu Herrb).
475. Add -li386 to ServerExtraSysLibs for NetBSD (Matthieu Herrb).
474. Fix problems when XINPUT isn't defined (Kaleb Keithley).
473. Fix for TGUI 9320 LCD support (Alan Hourihane).
472. Imakefile updates for X98, and PCI detection added for TGUI9320
     (Michio "Karl" Jinbo).

XFree86 3.1.2De (31 March 1996)
471. Change the default HSkew calculation (Marc Aurele La France).
470. Add detection of the ATI 264VT, 264VT2 and 264GT to the ati driver,
     SuperProbe, scanpci, and the Mach64 server (Marc Aurele La France).
469. Fix the W32 server's reporting of the bits/rgb resolution (Koen Gadeyne).
468. Add ICD2061A clockchip support to the W32 server (Koen Gadeyne and
     Peter Chang).
467. Add support for PowerWindow968, Cyber9320 and TGUI9680 (X98 core team).
466. Fixes for XF98_NEC480 on PANIX-PC98 (X98 core team).
465. Remove X98 style version info from the server startup messages
     (X98 core team).
464. Improve stability of the XF98_PWSK server (X98 core team).
463. Add some missing XFreeXDGA #ifdefs (Kaleb Keithley).
462. Fix problem of the XKB keymaps not getting loaded when using the
     Xqueue keyboard driver on SVR4 (Joe Moss).
461. Add POSIX termios support to xterm, and use it for BSD Net/2
     derived systems.  This removes the need for kernels on those systems
     to be compiled with COMPAT_43 in order to run xterm (Matthieu Herrb).
460. Update the I/O enabling in the X servers and SuperProbe for
     NetBSD-current (Matthieu Herrb).
459. Save the S3 cursor colour stack (CR4A/CR4B) (Harald Koenig).
458. Add macro button support to the Wacom driver, and handle more than
     six valuators to post events (Frederic Lepied).
457. Support for the Miro Magic S4 (S3 928 + Bt485).  A known problem is
     that switching between pixmux an non-pixmux modes doesn't work
     (Bernd Strobel).
456. Fix banked mono for the SiS driver (Alan Hourihane).
455. X server prototype cleanups and fixes, particularly in the Xi code
     (Thomas E. Dickey).
454. Possible fix for tvga9000 and tvga8900d problems (Alan Hourihane).

XFree86 3.1.2Dd (17 March 1996)
453. Include R6.1 public patch 1.
452. Fix incorrect type in SuperProbe/PCI.c (Thomas E. Dickey).
451. Fix a memory leak in xterm when switching fonts (Thomas E. Dickey).
450. Fixes for mouse problems introduced in 3.1.2Dc (Joe Moss,
     Michael Rohleder, Takaaki Nomura).
449. Man page for the VidMode extension (Joe Moss).
448. Modify xterm to work properly with Xaw3d's arror scrollbars (based on
     Kaleb Keithley's R5 patch).
447. Add tilt report for the Wacom device (Frederic Lepied).
446. Deal with DAC/clock discrepancy for Mach64 in the ati driver
     (Marc Aurele La France).
445. Reduce warnings in the ati driver when compiling with 'gcc -Wall'
     (Marc Aurele La France).
444. Fix recognition of ATI extended VGA register I/O port number on some
     Mach32 Mach64 PCI adapters in the ati driver (Marc Aurele La France).
443. Add nested prototypes to xf86_HWlib.h (Marc Aurele La France).
442. Fix typo in IBM RGB514 programming for the Mach64 (Marc Aurele La France).
441. Fix a problem with the Mach64 server incorrectly using Block I/O mode
     on some cards.

XFree86 3.1.2Dc (11 March 1996)
440. XKB updates from recent XC fix-tracker.
439. Fix freeing a random pointer in the module code when an absolute
     path is given (Thomas E. Dickey).
438. Updates to Ti3026 PLL parameter limits (Harald Koenig).
437. Support for ELSA Winner 2000PRO/X rev G (Harald Koenig).
436. Fix 'make clean' problems for PC98 (Takefumi Tsukada).
435. OS/2 updates (Holger Veit).
434. Remove DEVINTPTR ifdefs by renaming the entrypoints of the affected
     functions (Thomas E. Dickey).
433. Fix for handling of long version strings in beta servers (Harald Koenig).
432. Some XFree86-Misc cleanups (Joe Moss).
431. Add an extended input device supporting mouse protocols.  This shares
     code with the core mouse (Frederic Lepied).
430. Fix the behaviour of ANSI colours in xterm when reverse video is used,
     and some other xterm updates (Thomas E. Dickey).
429. Fix SEGV with ark driver when no Ramdac is given in the XF86Config.
428. Avoid retrace wait for S3 HW cursor when DGA is active (Jon Tombs).

XFree86 3.1.2Db (5 March 1996)
427. Fix a problem where hw cursors get recoloured incorrectly.
426. Fix another possible Trio32 font cache problem (Harald Koenig).
425. Another S3 968 dashed line fix (Harald Koenig).
424. Fix RecolorCursor problems for S3 hw cursors in RAMDACs and for
     sw cursor (Harald Koenig).
423. Add a Japanese version of the FreeBSD README (Takefumi Tsukada).
422. Fix for problems with XF86_WSNA server (X98 core team).
421. Add a mapping for Pointer_EnableKeys to the XKB symbols/us map (Joe Moss).
420. XC patch for XKB.
419. Add code to the vidmode and misc extensions to print details of mode
     keyboard and mouse setting changes (Joe Moss).
418. Add code to recognise extra keys on Digital LK201 PC keyboards
     (Basil Duval).
417. Don't include Multibuffer support in xdpyinfo when it isn't included
     in the X servers (Joe Moss).
416. Fix core dump when XInput debugging is enabled (Frederic Lepied).
415. Fix implicit grab problem with Wacom input device (Frederic Lepied).
414. Add an "allowMouseOpenFail" XF86Config and command-line option to allow
     the server to be started when no mouse can be initialised (Joe Moss).
413. Updates for parallel make (Robin Cutshaw).
412. Update xf86config for the I128 server (Robin Cutshaw).

XFree86 3.1.2Da (3 March 1996)
411. Add a preinst.sh script.
410. Documentation updates.
409. Fix for Linux/ELF rules (H.J. Lu).
408. Always used extended I/O for SYSV/SVR4.  This is required now for
     ISC (Michael Rohleder).
407. Fix BootstrapCFlags in sun.cf for Solaris x86.
406. Solaris fixes for SuperProbe and the Mach64 server (Robin Cutshaw
     and James Hawtin).
405. Wacom bug fix (Frederic Lepied).
404. Add support for writing to stdout for gccmakedep, which is required
     for NetBSD and FreeBSD (Matthieu Herrb).

XFree86 3.1.2D (24 February 1996)
403. Fix xterm SEGV if it cannot open an input method (Manabe Takashi).
402. Update Linux/ELF SharedLibraryTarget() (H.J. Lu).
401. Add a BinUtilsVersion parameter for Linux, and modify ExtraLoadFlags for
     Binutils versions 2.6.0.7 and later (H.J. Lu).
400. Set CplusplusCmd to 'c++' for Linux, set YaccCmd to byacc when
     USE_BYACC is defined, and remove $(CBRT) from ServerExtraSysLibs
     (H.J. Lu).
399. Fix installation of some SCO rules/cf files (H.J. Lu).
398. Modify imake.rules to include Motif rules/tmpl files when BUILD_MOTIF
     is defined (H.J. Lu).
397. Fix argument passing typo in SuperProbe (Thomas E. Dickey).
396. Update Cards database (Joe Moss).
395. Documentation updates (Holger Veit, Joe Moss).
394. Fix xset/Imakefile for OS/2 (Holger Veit).
393. Don't use the index/rindex macros with arguments for non-ANSI compilers.
392. Uncomment xf86cleanpci() in vga.c.

XFree86 3.1.2Ch (22 February 1996)
391. Fix xset linking for Linux a.out (Harald Koenig).
390. Disallow interlaced modes with the SiS driver (Alan Hourihane).
389. Change SCO interface to allow for a 128K VGA aperture
     (Marc Aurele La France).
388. Add support to the ati driver for Mach64 cards with a base address
     other than 0x2EC (Marc Aurele La France).
387. Introduce a new XF86Config mode option called HSkew which sets bits
     0x60 of CRTC[3] (Marc Aurele La France).
386. Fix colour map problem on VGA Wonder V3 boards (Randall Hopper,
     Marc Aurele La France).
385. Allow multiple "-verbose" command line flags to increase the verbosity
     level (Marc Aurele La France).
384. Modify xf86scanpci() so that it will be able to deal with multi-headed
     servers in the future, add an xf86cleanpci() function to allow
     the PCI data to be freed after use, allow xf86scanpci() to be called
     more than once, and fix a problem with it not always returning with I/O
     permissions disabled (Marc Aurele La France).
383. SuperProbe updates for Mach64 and PCI (Marc Aurele La France).
382. OS/2 updates (Holger Veit).
381. Keyboard/mouse parameter changes with XFree86-Misc can now be disabled,
     and these are only allowable by default for local client connections
     (Joe Moss).
380. Only check/change relevant parameters with XFree86-Misc (Joe Moss).
379. Add new/better protocol error messages for XFree86-Misc (Joe Moss).
378. Man page for the XFree86-Misc library functions (Joe Moss).
377. Add detection of the SiS 86C202 and 86C205 to SuperProbe and the SiS
     driver (Alan Hourihane).

XFree86 3.1.2Cg (20 February 1996)
376. Modify the handling of the XF86Config xkb options to allow the
     -xkbmap server flag to work (it overrides what is in the XF86Config).
     The XKBKeyMap XF86Config setting will now work too, and it overrides
     any other XKB settings given there.
375. Fix for parts of a VT switch sequence getting passed to clients when
     XKB is enabled.
374. NetBSD.cf update (Matthieu Herrb).
373. Fix various cases of nested comment delimiters (Thomas E. Dickey).
372. Config additions/updates for CLIX and for HP with GCC2 (Thomas E. Dickey).
371. Fix RecolorCursor for HW cursor in AGX, Mach32, Mach64, P9000, I128,
     Cirrus, Ark and Trident server/drivers (untested).
370. Fix xinit problem introduced in 3.1.2Cf.
369. S3 dashed line fix, including an option "s3_968_dash_bug" to enable
     a workaround for a 968 bug.  There is code to auto-detect this problem,
     so the option shouldn't need to be specified explicitly (Harald Koenig).
368. Fix for RecolorCursor problem with S3 HW cursors.  This problem is
     also present in other accel servers (Harald Koenig).
367. Trident linear mode updates (Alan Hourihane).

XFree86 3.1.2Cf (19 February 1996)
366. S3 update for ELSA Winner1000 cards with the AT&T 20C409 Ramdac
     (Dirk Hohndel).
365. PC98 updates, including a new xkbcomp/compat/pc98 description
     (X98 core team).
364. SiS driver updated (Alan Hourihane).
363. Work around an S3 968 dashed line bug (Harald Koenig).
362. OS/2 updates, including a new OS/2 README (Holger Veit and
     Sebastien Marineau).
361. ISC documentation updates (Michael Rohleder).
360. NetBSD documentation updates (Matthieu Herrb).
359. Trident driver updates (Alan Hourihane).

XFree86 3.1.2Ce (18 February 1996)
358. PC98 documentation (X98 core team).
357. Fix a bug in the handling of the Wacom eraser as a third button
     (Frederic Lepied).
356. Enable the Joystick driver for NetBSD (using a port of the FreeBSD
     joystick driver to NetBSD) (Matthieu Herrb).
355. Allow XInput dynamic loading for NetBSD (Matthieu Herrb).
354. Use the FreeBSD way of making dependencies in .depend files for NetBSD
     (Matthieu Herrb).
353. Change the XInput Dynamic module loading to allow a ModulePath to
     be specified in the Files section of the XF86Config, and move the
     list of loadable modules into a Modules section in XF86Config
     (Frederic Lepied).
352. Fix some glitches in xterm's colour behaviour (Thomas E. Dickey).
351. Modify the xf86config utility to allow XKB information to be entered
     (Holger Veit).
350. Fix Xserver prototyping problems (Thomas E. Dickey).
349. Modify PCI code for PC98 (X98 core team).
348. Add PC98 server for WSN-A2F (X98 core team).
347. XKB description files for a Japanese 106 key keyboard (Takefumi Tsukada).
346. Probe the VGA sis driver before the the cl64xx to avoid mis-probing
     (Alan Hourihane).
345. Modify XF86VidModeGetAllModeLines() to allocate memory in one chunk
     so it can be freed later by the client (Joe Moss).
344. Fix incorrect handling of S3RefClock when specified in the XF86Config
     (Harald Koenig).
343. Clean up linear mode setup in the Trident Driver (Alan Hourihane).
342. Disable PCI burst mode by default for the Trident driver
     (Alan Hourihane).
341. Fix a problem restoring 16bpp modes with the Mach32 server on OS/2
     (Sebastien Marineau).
340. Fix a problem that was preventing the tgui driver from working on
     some TGUI9440 cards (Alan Hourihane).

XFree86 3.1.2Cd (12 February 1996)
339. Fix library ordering for Linux a.out for xset, xdpyinfo and xvidtune
     (Harald Koenig).
338. Add a version check to the XInput dynamic modules (Frederic Lepied).
337. Fix keyboard LED initialisation.  This usually shows up as a problem
     on *BSD where the NumLock LED is on when the server is started.
336. Update Linux DLL jump files (Harald Koenig).
335. PC98 updates, including XF98Conf, and the XKB nec geometry description
     (X98 core team).
334. Automatically treat the PS/2 protocol the same as the busmouse protocol
     on NetBSD (since that's how NetBSD's PS/2 driver works).
333. Add XInput dynamic loading support for FreeBSD 2.x.
332. Fix problem with XInput on non-Linux/ELF systems.
331. xterm fixes, including updates to allow building on R5
     (Thomas E. Dickey).
330. Add to the docs a file containing a list of PC98 cards that are
     supported (X98 core team).
329. Documentation updates for xterm (Thomas E. Dickey).
328. Disable the TGUI HW cursor by default (Alan Hourihane).
327. Add PCI support to SuperProbe (Alan Hourihane).

XFree86 3.1.2Cc (10 February 1996)
326. Merge in final form of R6.1.

XFree86 3.1.2Cb (9 February 1996)
325. XC fix-trackers to seq-4114 (mostly XKB).
324. Xlib prototyping improvements/fixes (Thomas E. Dickey).
323. OS/2 updates (Holger Veit and Sebastien Marineau).
322. Allow the eraser button of a wacom stylus to act as a third button
     if the WacomEraser device isn't enabled (Frederic Lepied).
321. Allow XInput device support to be dynamically loaded.  This is for
     Linux only so far (Frederic Lepied).
320. Major updates to the ati driver, including support for the newer
     Mach64 chips and clocks, preliminary support or pre- VGAWonder V3
     adapters and generic VGA.  The default chipset name has been changed
     back to "ati" from "vgawonder" (Marc Aurele La France).
319. Properly implement xf86DisableIOPrivs and xf86Disable/EnableInterrupts
     for Linux (Marc Aurele La France).
318. ATI doc updates (Marc Aurele La France).
317. Remove ati.test.c, and move the functionality into the ati driver
     (Marc Aurele La France).
316. Remove the "undoc_clocks" option (Marc Aurele La France).
315. Make all I/O ports in compiler.h unsigned short, and all values
     unsigned char/short/int (Marc Aurele La France).
314. Updates Mach64 probing for SuperProbe (Marc Aurele La France).
313. Make the Linux ELF/a.out default build the same as the system default
     (Marc Aurele La France).
312. Delete unneeded cmd/sh files in xfree98/vga256 (X98 core team).
311. Fix problems with XF98_WABS (X98 core team).
310. update xfree98/etc/Imakefile, and remove the *.sed files and their
     related imake rules (X98 core team).
309. XF98_WABEP server added (for Melco WAB-EP) (X98 core team).
308. Trident driver updates including some clock probing fixes
     (Alan Hourihane).
307. Fix 2MB Trio64 display error problem due to incorrect parameter
     calculation (Harald Koenig).

XFree86 3.1.2Ca (5 February 1996)
306. Improve S3 Diamond BIOS detection.
305. XC fix-trackers to seq-4104 (mostly a new XKB snapshot).
304. Don't include the compaq driver by default -- it is broken.

XFree86 3.1.2C (31 January 1996)
303. Allow the mouse parameters (except the device) to be changed with
     the XFree86-Misc extension.  This causes a close/reopen of the the
     device (Joe Moss).
302. Fix problem introduced with the server lock code which causes a delay
     at startup.
301. Add some checking for the mouse baud rate given in the XF86Config
     (Joe Moss).
300. Fix for the bright left border problem with some Trio64V+ cards
     (Harald Koenig).
299. PC98 XKB support files (Kaleb Keithley, Toyonori Fujiura).
298. Update German XKB symbols (Thomas Mueller).

XFree86 3.1.2Bo (30 January 1996)
297. Updates for XF98Conf.cpp (Takefumi Tsukada).
296. Add an XF86Config option for disabling XKB (Kaleb Keithley).
295. Further OS/2 support updates, including a working X server
     (Sebastien Marineau and Holger Veit).
294. Documentation update for PC98 (Takefumi Tsukada).
293. Improved prototyping for Xlib.h (Thomas E. Dickey).
292. xterm updates, including mods to allow it to be built with X11R5
     (Thomas E. Dickey).
291. Some XFree86-Misc extension updates (Joe Moss).
290. GlidePoint updates (Jean-Christophe Hugly).
289. Add XInput knowledge to xdpyinfo, and update the output format of
     xsetpointer (Frederic Lepied).
288. NetBSD updates for scanpci now that console.h isn't included any more
     (Matthieu Herrb).
287. XC fix-trackers to seq-4086 (xsm updates).
286. xkb symbol addition for European-style keyboards (Kaleb Keithley).
285. Possible fix for security problem related to the X server's lock files.

XFree86 3.1.2Bn (28 January 1996)
284. Fix reporting of the ATI68860 Rev C Ramdac with the Mach64 server.
283. Support for ALPS GlidePoint.  A tap on the pad is treated as a fourth
     button (Jean-Christophe Hugly).
282. Improved XKB support for XFree86 servers (Kaleb Keithley).
281. Prevent mode switching and VT switching when DGA is active (Jon Tombs).
280. Don't include for syscons with NetBSD by default.
279. NetBSD doc updates (Matthieu Herrb).
278. XFree86-Misc extension updates, including more sanity checking (Joe Moss).
277. Fix some length calculations in libXxf86vm (Joe Moss).

XFree86 3.1.2Bm (26 January 1996)
276. Remove (for now) the vertical retrace wait in the S3 SetViewPort.
275. Updates TGUI support for SuperProbe (Alan Hourihane).
274. TGUI driver updates (Alan Hourihane).
273. Major updates to OS/2 support (Holger Veit).
272. Update xdpyinfo for the latest XFree86-Misc changes, and update xset
     to allow the keyboard repeat parameters to be changed (Joe Moss).
271. Add functions to the XFree86-Misc extension to allow getting and
     setting mouse and keyboard configuration (Joe Moss).
270. Remove the low ICS5342 clock limit (Harald Koenig).
269. Add an "XF98Config.cpp" from which a sample config file suitable for
     the X98 servers is generated (X98 core team).
268. Update Imakefiles under hw/xfree98 (X98 core team).
267. Fix for make dependency problem with BSD make and the XFree86 drivers
     subdirectories (Matthieu Herrb).
266. X Consortium fix-trackers to seq-4084 (mostly XKB and doc updates).
265. Allow the XInput debug level to be set from the XF86Config
     (Frederic Lepied).

XFree86 3.1.2Bl (21 January 1996)
264. Fix xterm IM problem if *inputMethod == "" (Kaleb Keithley).
263. Xvfb fix for systems that have mmap, but not the MS_ASYNC flag for
     msync().
262. XC fix-trackers to seq-4060 (some XKB and config updates).
261. 6-bit/rgb fix for the I128 server (Robin Cutshaw).
260. Update hw/xfree98 Imakefiles (Takefumi Tsukada).
259. Add a GetAllModeLines function to the VidMode extension, and modify
     xdpyinfo to use it (Joe Moss).

XFree86 3.1.2Bk (17 January 1996)
258. Don't allow DGA operations which affect the server when it isn't on
     the active screen.
257. Have XFree86-Misc report the power saver times in seconds rather
     than milliseconds (to be consistent with XGetScreenSaver).
256. Modify xset to allow setting/viewing the power saver parameters via
     the XFree86-Misc extension.
255. Modify the VidMode extension to disallow both mode switches and
     the locking/unlocking of mode switching when DontZoom has been set
     in the XF86Config.
254. Only allow the DGA extension to accept local connections.
253. Fix Home/End key support in xterm (Thomas Mueller).
252. Add support for VT200 compatible cursor on/off to xterm (Thomas Mueller).
251. Add support for the XFree86-Misc extension to xdpyinfo (Joe Moss).
250. VidMode/xvidtune updates (Kaleb Keithley).
249. XC fix-trackers to seq-4055 (mostly XKB fixes).
248. Fix link ordering of new libraries (Thomas Mueller).
247. Add some missing XKB #defines (Thomas Mueller).
246. Fix typo in include/extensions/Imakefile (Thomas Mueller).

XFree86 3.1.2Bj (16 January 1996)
245. Remove the XExExt library, and replace it with individual libraries
     for each extension.
244. Remove the GetSaver/SetSaver functions from the VidMode extension
     and add them to a new extension: XFree86-Misc.
243. Cleanup VidMode extension code -- removing "vgahelp" references
     (Kaleb Keithley).
242. Allow the write functions of the VidMode extension to be disabled
     for non-local clients (default), and all clients (Kaleb Keithley).
241. XC fix-trackers to seq-4052 (new XKB snapshot).
240. README.S3 updates (Paul Gortmaker).
239. Do framebuffer address scan for all VLB Trio64 cards, not just those
     with > 1MB.
238. Fix typo in trident driver (Alan Hourihane).
237. Modify the I128 server to use xf86scanpci() rather than its own PCI
     probe (which didn't work for PCI config type 1 boards) (Robin Cutshaw).

XFree86 3.1.2Bi (14 January 1996)
236. Enable dynamic allocation of XInput devices to allow for multiple
     instances of the same device type.  The Joystick2 device has been
     removed (Frederic Lepied).
235. Fix typo in a recent xconsole fix (Michael Rohleder).
234. Add POSIX build config option for ISC, and change the Vendor name to IUS
     (Interactive Unix System) (Michael Rohleder).
233. Disable linear mode by default for non-PCI Trident cards (Alan Hourihane).
232. Fix some compiler warnings in various parts of the source (Fred Appelman).
231. Fix xterm compile problem with -DALLOWLOGGING (William Austin).
230. Fix compile problem in resize for NetBSD (Matthieu Herrb).

XFree86 3.1.2Bh (13 January 1996)
229. Fix dga speed test problem when the bank size is less than 64k.
228. Add DGA support to the Mach32 server (untested).
227. Add SVGA-based servers for PC98 (Cirrus driver) (X98 core team).
226. Update the Cirrus driver to use the vga PCI probe data (not tested).
225. Include XC fix-trackers to seq-4035 (mostly fixes for Solaris 2.5
     build problems).
224. Update xdpyinfo to print some info about XKB (Joe Moss).
223. Fix(?) problem some people see with vertical lines / black screens
     with the Trident driver (Alan Hourihane).
222. Update the Trident and SiS drivers to use the vga PCI probe data
     (Alan Hourihane).
221. Define SetTtyGroup for Linux (Kevin Martin).

XFree86 3.1.2Bg (12 January 1996)
220. Fix cursor colour for TGUI 9660/9680 (Alan Hourihane).
219. LynxOS fix for xterm's resize (Thomas Mueller).
218. Write beta marker file as the user's real uid rather than as root.
217. Fix DGA for SVGA cards using banked memory, and enable it for most
     SVGA drivers.
216. Add a PCI probe to the VGA servers.  The happens before the chipset
     probes, and may be disabled with the "no_pci_probe" option.
215. Add 16bpp support for Trident 8900D, and some cleanups (Alan Hourihane).
214. Add install.linkkit target to the top level Makefile.

XFree86 3.1.2Bf (11 January 1996)
213. Xinput updates, including: improved error handling, "Screen" option
     renamed to "ScreenNo" for consistency, new config options for the
     Wacom tablet, update to the Linux joystick support, and a fix
     for xsetmode (Frederic Lepied and Patrick Lecoanet).
212. Fix core dump when exiting an X server started with XKB enabled.
211. Update accelerated servers' use of miZeroClipLine().
210. Include XC fix-trackers to seq-4031 (includes update of RECORD spec
     to version 1.13, some Xlib and xterm fixes, and preliminary ISO Latin-2
     compose support).
209. Add code to detect the Trio32 BITBLT bug, and automatically enable
     the workaround when it is detected (Harald Koenig).
208. Final changes for POSIXized ISC build (Michael Rohleder).
207. Define NO_READAHEAD for ISC in xconsole (Michael Rohleder).
206. Fix(?) Xalloca.h problem on Solaris 2.5.
205. Fix missing XFreeDGA #ifdef in change 187 (Kaleb Keithley).

XFree86 3.1.2Be (10 January 1996)
204. Fix build with BuildServersOnly set to YES (Takefumi Tsukada).
203. Major xterm cleanup (including prototyping), and fixes to the colour
     code (Thomas E. Dickey).
202. PC98 EGC (16 colour) server added (X98 core team).
201. Updates for LynxOS AT, including a workaround in the xkb clients
     for the fact that stdin/out/err isn't a valid initialiser
     (Thomas Mueller).
200. Modify the dga test program to use GetTimeInMillis() (Tiago Gons).
199. Fix merge problem in xconsole (Michael Rohleder).
198. Initial changes to POSIXize the ISC build (Michael Rohleder).
197. Fix a clash of symbols between libX11 and the X server's libxkb which
     shows up when building Xnest on ISC (Michael Rohleder).
196. Fix XKB merge problem in xf86Events.c (Kaleb Keithley).
195. Complete the logging code in xalloc (Pascal Haible).

XFree86 3.1.2Bd (8 January 1996)
194. Fix a build problem when BuildServersOnly is set to YES.
193. Clean up the InstallManPageLong() run for NetBSD (Takefumi Tsukada).
192. Modify ForceSubdirs() rule for NetBSD and FreeBSD so that it works
     with GNU make (Matthieu Herrb).
191. Fix a Ti3026 clock problem that appears on SPEA 968+Ti3026 cards
     (Harald Koenig).
190. Fix TGUI 9440 HW cursor problems (Alan Hourihane).
189. Fix problems with the TGUI 9660/9680 support (Alan Hourihane).
188. Fix 256-colour interlace problem with TGUI cards (Alan Hourihane).
187. Fix for text mode restore problem when the DGA extension has been
     used with the SVGA server (Alan Hourihane).
186. Set the Block I/O bit in the PCI userconfig register for Mach64 cards
     that report an I/O address range.

XFree86 3.1.2Bc (7 January 1996)
185. Update lnxLib.rules for new GNU elf tools which look for libname.so
     rather than libname.so.rev at link time (Helmut Geyer).
184. Set default ProjectRoot back to /usr/X11R6.
183. Include fix-trackers to seq-4024 (includes more a more recent XKB snap,
     some record updates, and some config and Xlib updates).
182. Fix some merge problems.

XFree86 3.1.2Bb (6 January 1996)
181. Merge in X11R6.1 beta.
180. Fix problems with the ARK/ICS5342 clock programming (Leon Bottou).
179. Fix problem with Mach64 CT cards that incorrectly appear to be using
     block I/O.

XFree86 3.1.2Ba (3 January 1996)
178. Fix support for the old ET4000 in the et4000 driver.
177. Fix problem with the SIS driver that can cause a server crash
     (Alan Hourihane).
176. Modify linux config for building a.out binaries on Slackware 3.0.
175. Fix Linux Joystick compilation problems.
174. Doc updates.

XFree86 3.1.2B (28 December 1995)
173. Fix a problem with the ARK/ICS5342 clock programming (don't know if this
     completely fixes the clock programming problems).
172. Don't do PCI probe in S3 server for PC98 (Takefumi Tsukada).
171. Fix bank select problem with S3 911 cards when using DGA.

XFree86 3.1.2Af (26 December 1995)
170. Added README.DGA which gives a brief outline of the API for the DGA
     extension.  This should be converted to man pages.
169. Added a simple standalone program (joycal) to get the Joystick
     calibration coordinates.
168. Modify the Joystick code to auto-detect the centre values at startup
     if they are not given the XF86Config (this assumes that the Joystick
     is centred when first enabled).
167. Add XInput Joystick support for FreeBSD 2.x.
166. Remove the strict membase checking for "orchid_p9000" in the P9000
     server so that the correct membase can be specified for some other
     types of P9000 cards which are not explicitly supported.
165. Fix problem with the trident driver in the VGA16 server (Alan Hourihane).
164. XF86Config(4/5) man page additions for the XInput section
     (Frederic Lepied).
163. Update xfree98/Imakefile (Takefumi Tsukada).
162. Remove the "no_ti3026_curs" option again.
161. Updates for xdpyinfo's Imakefile and the Xinput code for ISC
     (Michael Rohleder).

XFree86 3.1.2Ae (23 December 1995)
160. A new document called QuickStart.doc which is a quick-start guide
     to XFree86 setup (Joe Moss).
159. Add a PCI probe to the S3 server, and use the membase value reported
     when it is non-zero.  This should help for some TrioV64+ cards.
158. Move the DGA client-side helper functions into libXExExt.
157. XInput support for XFree86.  This includes device support for two
     Joysticks (Linux-only so far), Wacom tablet (Wacom IV protocol only),
     and Elographics touchscreen.  Two utility programs are included.
     xsetpointer can be used to make an extended device the core pointer
     or to list the extended devices.  xsetmode can be used to set a device
     in absolute or relative mode  (Frederic Lepied and Patrick Lecoanet).
156. Workaround for a hardware bug in some S3 Trio32 revisions which causes
     font corruption when using the font cache.  This is currently enabled
     with the "trio32_fc_bug" Option (Harald Koenig).
155. Logging support for the internal xalloc code (Pascal Haible).
154. Fix the S3 server's detection of the Trio64V+.
153. Fix problems building the PC98 code (Takefumi Tsukada).
152. LynxOS support for the DGA extension (Thomas Mueller).
151. Fix a problem were XListFonts() can return fewer font names than
     XListFontsWithInfo() (Manabe Takashi).
150. Add knowledge of the XFree86-VidModeExtension, XFree86-DGA and LBX
     extensions to xdpyinfo (Joe Moss).
149. Add a benchmark function to the dga test program.  It is activated with
     the 'b' key (Koen Gadeyne).
148. Change all servers to default to blackPixel = 0 and whitePixel = 1,
     and allow this default to be swapped with the -flipPixels server
     command line flag (Michael Rohleder).
147. Restore the "no_ti3026_curs" option to the S3 server (Harald Koenig).
146. Trident driver and documentation updates (Alan Hourihane).

XFree86 3.1.2Ad (21 December 1995)
145. Fix for incorrect usage of S3 PIX_TRANS writing (Takefumi Tsukada).
144. PC98 support integrated into the main XFree86 source tree.  The PC98
     code gets built under xc/programs/Xserver/hw/xfree98 (Takefumi Tsukada
     and the X98 team).

XFree86 3.1.2Ac (17 December 1995)
143. Modify the XDGA implementation in the server, and add support for it
     to the Mach64 server.  Also, XDGA is now enabled for all OSs since there
     are now no OS-specific parts on the server side.
142. Add "no_font_cache" and "no_pixmap_cache" options to allow the font
     cache and pixmap cache/expansion to be disabled in the S3 and Mach64
     servers.
141. Fix positioning and shape of the Bt485 HW cursor for doublescan modes
     in the S3 server.
140. Fix positioning of the HW cursor for interlaced and doublescan modes
     with the IBM RGB RAMDACs in the S3 server.  The cursor shape still
     isn't correct though (Trent Piepho and R.E. Wolff).
139. HW cursor support for the Trident 9660/9680 and 9430 -- not tested
     (Alan Hourihane).
138. XFree86-DGA extension support for ISC SVR3 (Michael Rohleder).
137. Fix for "XIOerror 11 (Resource temporarily unavailable)" errors while
     running xterm on ISC (Michael Rohleder).
136. Major Trident driver updates, including HW cursor for 9440, and
     an option to use a set of fixed clocks instead of fully programmable
     clocks for the TGUI chips (Alan Hourihane).
135. I128 updates (Robin Cutshaw).
134. Mach64 support for ATI Extended VGA register location on PCI
     cards with block I/O (Kevin Martin).
133. Clean up Mach64 software cursor support (Kevin Martin).
132. "dac_8_bit" is now the default for supported RAMDACs in the Mach64
     server.  6-bit mode can be forced with the "dac_6_bit" option
     (Kevin Martin).
131. Mach64 support for the ATI Graphics Pro Turbo 1600, including
     1600x1200 mode support (Kevin Martin).
130. Mach64 support for the IBM RGB514 RAMDAC (Kevin Martin).
129. Mach64 support for the GX-F (GX rev 3) (Kevin Martin).
128. Add new options "w32_interleave_on" and "w32_interleave_off" to
     the SVGA and W32 servers.  They allow the desired mode to be
     forced for W32i and W32p cards (Dirk Hohndel).
127. Full STG1703 support for W32 server (Dirk Hohndel).
126. Fix some incorrect prototype ifdefs in xf86.h (Kaleb Keithley).
125. Modify xterm to call XtSetLanguageProc() rather than setlocale()
     (Kaleb Keithley).
124. Preliminary driver for the SIS 86C201 chipset (VGA2 and VGA16 only
     so far) (Alan Hourihane).
123. Change the Mach64 aperture mapping to map the video memory and
     mmapped registers into two separate areas rather than mapping the
     entire 8MB aperture range.
122. Use an 8MB aperture for all but ISA Mach64 cards since most of the
     newer Mach64 chips only support an 8MB aperture size.
121. Fix typo in Mach64 server that was causing some RAMDACs to be incorrectly
     detected.
120. Fix aperture address detection for VLB Mach64 cards.
119. In the Mach64 server, set RAMDAC to 20C408 if the 20C408 clock type
     is detected, and same for STG1703.
118. SIGWINCH support for xterm on ISC 4.x (Geoff Steckel).

XFree86 3.1.2Ab (9 December 1995)
117. FreeBSD support for the DGA extension.
116. Split the DGA code out into a separate extension (called XFree86-DGA)
     (Kaleb Keithley).
115. Fix some compiler warnings when compiling on LynxOS (Thomas Mueller).
114. Fix some byte swapping problems in XFree86-VidModeExtension
     (Thomas Mueller).
113. Add preliminary STG1703 support to the W32 server. No clock
     programming and no pixmux yet (Dirk Hohndel).
112. Add new options "pci_burst_on" and "pci_burst_off" to SVGA and
     W32 server. They will allow to solve display problems on many
     ET4000/W32p based cards (Dirk Hohndel).
111. Add new clock selection scheme to SVGA and W32 server, so that
     32 clocks are used. The first 16 are the same as before, the
     second 16 use CS3 (Dirk Hohndel and Koen Gadeyne).
110. Add STG1703 detection to SuperProbe for ET4000/W32 based cards (Dirk
     Hohndel).
109. Fix extension version checking in xvidtune.
108. Modify xterm to call XSupportsLocale() before initialising I18N
     support (William Volkman).
107. Fix S3 support for clocks up to 135MHz in 8 bpp for S3 868 cards
     with ATT20C409 Gendac (e.g., Elsa Winner 1000AVI) (Dirk Hohndel).
106. Fix S3 HW cursor handling for doublescan modes (Jon Tombs).
105. Config and doc updates for NetBSD 1.1 (Matthieu Herrb).
104. Preliminary (unaccelerated) I128 server code (Robin Cutshaw).
103. Attempt to fix problem of Mach64 server mis-detecting the CH8398
     RAMDAC.
102. Modify the Mach64 server to use the membase address it reads from
     the configuration registers.
101. Fix cursor colour problem at 16, 32bpp with the Mach64 server.
100. Support for the Mach64 CT.

XFree86 3.1.2Aa (2 December 1995)
 99. Fix for xterm behaving badly when TERM is set to "vt100" (Joerg Wunsch).
 98. XDGA (direct graphics access) support added via the XFree86 VidMode
     extension.  This is primarily intended for games support.  Currently
     it is implemented only for Linux, and for the S3 and Cirrus drivers
     (Jon Tombs).
 97. Fixes for Ti3026 loop clock calculation code (Dirk Hohndel).
 96. Detection and preliminary support for the Elsa Winner2000PRO/X-2,4 Rev.G
     which has a S3-968, Ti3026, and ICS9161A clock chip.  Clock doubling
     doesn't work yet (Dirk Hohndel).
 95. Mach64 code cleanups and documentation updates (Kevin Martin).
 94. Fix Mach64 pixmap cache bug which resulted in xcalloc being called
     with a negative size (Kevin Martin).
 93. The state of the AT&T20C408 is now saved/restored by the Mach64 server.
     This should fix the dim screen problem when exiting from the server
     (Kevin Martin).
 92. ClockChip and Ramdac can now be specified in the XF86Config for the
     Mach64 server (Kevin Martin).
 91. Mach64 server ATI 18818/ICS 2595 clock chip programming now works
     (Kevin Martin).
 90. Mach64 server now automatically programs a programmable clock chip
     when present.  This can be overridden with the "no_program_clocks"
     Option.  The "program_clocks" option has been removed (Kevin Martin).
 89. Initial changes to allow for integration of the I128 server
     (Robin Cutshaw).
 88. Avoid defining __USLC__ for MP/RAS in compiler.h (Kaleb Keithley).
 87. If the server can't find an XF86Config file, print out the files it
     tried to open (Joe Moss).
 86. Fix(?) display centering for the Cirrus 754x.
 85. Fix text mode clock problem in ET4000/W32 server (Koen Gadeyne).
 84. Remove the "-noscale" flag from the Xserver and xfs since it has
     been obsoleted by the ":unscaled" fontpath attribute.
 83. Remove the RepeatedMiddle mouse option because it doesn't work
     properly (Jon Tombs).
 82. Remove some casts in xf86MouseProtocol() to work around in the
     Metaware compiler/NCR assembler (Kaleb Keithley).
 81. When the X server exits due to an unrecognised command-line option,
     print out the offending option (Joe Moss).
 80. Remove '-lc_s' from ExtraLibraries for ISC (Michael Rohleder).
 79. Add code to SuperProbe and the Cirrus driver to recognise the
     CL-GD7542 (and a guess for the CL-GD7541).
 78. Fix RAMDAC probe problem introduced into the S3 server in 3.1.2e
     (Joe Moss).

XFree86 3.1.2A (19 November 1995)
 77. Added a Beta Report template form.
 76. Update xf86config for some of the new Ramdacs.
 75. Allow 'Ramdac "ibm_rgb526" to be recognised by the S3 server.  It
     then treats it as an RGB524.
 74. Modify the beta startup message usage so that it gets printed once
     for each different server started.
 73. Fix for AGX-010 clock probing (Henry Worth).

XFree86 3.1.2e (16 November 1995)
 72. Updates to the Cards database.
 71. S3 868 + AT&T 20C409 support (8/15/16/24bpp) without pixmux, and
     S3-868 + AT&T 20C499 support (untested) (8/15/16/24bpp, no pixmux).
     Pixmux support is enabled, but not functional (Dirk Hohndel).
 70. Update SuperProbe to recognise AT&T 20C409 and AT&T 20C499 RAMDACs
     (Dirk Hohndel).
 69. Allow attributes to be appended to elements of a font path.  The
     attributes are introduced by a ':' character, and multiple attributes
     are separated by a ':'.  Currently the attribute "unscaled" is
     supported for bitmap fonts, and this prevents them from being scaled.
 68. Trident driver cleanups, and fixes for interlacing (Alan Hourihane).
 67. LynxOS updates for using MetroLink Motif (Thomas Mueller).
 66. Preliminary AT&T 20C409 support for the S3 server (not functional
     yet) (Dirk Hohndel).
 65. W32 updates to Xserver and SuperProbe (Dirk Hohndel and Koen Gadeyne).

XFree86 3.1.2d (12 November 1995)
 64. Fix a typo in the iso8859-1 Compose file.
 63. Add a '-noscale' flag to the Xserver and xfs to allow scaling of
     bitmap fonts to be disabled.  The keyword DontScaleBitmapFonts
     in the ServerFlags section of the XF86Config file has the same affect.
 62. Fix problem that prevents bitmap fonts from being scaled after
     running something like 'xset fp rehash'.
 61. Add a Release Date to the X server startup messages.
 60. Add a "RELNOTES" document to describe changes in beta releases.
 59. Fix panning for ARK2000PV chips with 2MB of memory (Leon Bottou).
 58. Support for ICS5342 programmable clock in the ARK driver (Leon Bottou).
 57. Major updates to the Oak driver, including more accelerated functions
     for the OTI087 (Jorge Delgado).
 56. Option "program_clocks" added for the Mach64 server to allow
     arbitrary clocks to be programmed for most clock chips.  This
     currently doesn't work with the ATI18818/ICS2595 chips (Kevin Martin).
 55. Mach64 server support for the AT&T 20C408 (Kevin Martin).
 54. Fix problem of two undisplayed pixels with the CL-GD7543
     (Thomas Zerucha).
 53. Add support for three button operation with some dual protocol mice
     when they are in Microsoft-compatible mode.  The keyword to enable
     this is 'RepeatedMiddle' (Jon Tombs).
 52. Fix 3 button emulation problem introduced in item 48 (Thomas Mueller).
 51. Add support for '-crt /dev/ttyXX' command line option for the X
     servers for SCO.  This is for compatibility with the native SCO X
     servers (Didier Poirot).

XFree86 3.1.2c (5 November 1995)
 50. Add expiry date and startup message for beta versions.
 49. Fix problem using a LinkKit generated with BuildLBX set to YES.
 48. Allow a real middle button event to be passed when 3 button mouse
     emulation is enabled (Thomas Wu).
 47. Fix panning and some initial clock selection problems for TGUI9440
     cards (Alan Hourihane).
 46. Support for the Cirrus CL-GD7543 (Thomas Zerucha).
 45. Fix for instability problems with Cirrus programmable clock
     (Koen Gadeyne).
 44. Fix memory overwrite problem in xterm which could be a security
     problem.
 43. Merge in the X Consortium's public patch 13.
 42. Define X_LOCALE for LynxOS for compatibility with Metrolink's
     Motif package (Thomas Mueller).
 41. Update SuperProbe to recognise the Cirrus CL-GD7543.
 40. The Trident driver now automatically selects the "tgui" clockchip
     when it detects a TGUI9440 (Alan Hourihane).
 39. Remove the dependency on -lthread for UnixWare 2.x, while still
     allowing full MT support.  This is done by adding a threads stub
     library with weak symbols (David Wexelblat).

XFree86 3.1.2b (22 October 1995)
 38. Updated Japanese docs, including SGML versions suitable for formatting
     with jlinuxdoc-sgml.  These docs use EUC encoding (Kazuyuki Okamoto).
 37. Preliminary support for the Trident TGUI9440 (Alan Hourihane).
 36. Add an "AllowNullPasswd" resource to xdm to make it possible for xdm
     to login to accounts with a null password.  This is set to "False"
     by default (Joerg Wunsch).
 35. Use dynamically allocated strings in xrdb to avoid overruns that
     can occur otherwise (Joerg Wunsch).
 34. Add ELSA Winner 2000PRO/X-8 to the S3 ELSA probe code (Dirk Hohndel).
 33. Fix S3 probe of IBM RGB RAMDACs incorrectly identifying an RGB528
     or RGB528A as an RGB524 (Dirk Hohndel).
 32. Fix incorrect memory probe for S3 964/968 (Dirk Hohndel).
 31. Prelim pixmux support for ICS5341 RAMDAC in W32 server (Dirk Hohndel).
 30. Support for ICS5341 programmable clock in W32 server (Dirk Hohndel).
 29. Add RFC1700-conformant charset names for ISO-8859 locales to
     locale.alias.
 28. Fix LynxOS video mapping problem that shows up when the "fb_debug"
     option is set in the S3 server (Thomas Mueller).
 27. Fix reference to undeclared variable in os/xalloc.c for OSs which
     don't have MMAP_ANON or MMAP_DEV_ZERO defined (Thomas Mueller).
 26. Fix W32 server core dump on LynxOS when run with '-probeonly'
     and no Clocks line in the XF86Config file (Thomas Mueller).
 25. Fix reference to uninitialised string in Hercules mono driver
     (Paul Gortmaker).

XFree86 3.1.2a (23 September 1995)
 24. Fix HW cursor masks in Mach32 and Mach64 servers.
 23. Add detection of C&T 65548 to SuperProbe.
 22. Fix snow problems with WD90C24 when for clocks higher than MCLK
     (Brad Bosch).
 21. Add XNLS support for KOI8-R (Andrey Chernov).
 20. Fix problem with IBM ramdac and clockchip handling in xf86config.
 19. Change XF86Config parsing to ignore '_' characters in keywords, and
     to ignore '_', ' ', and '\t' characters when comparing strings with
     StrCaseCmp() (ie, all strings except paths, Device/Monitor identifiers
     and Mode names).
 18. Reduce nonMuxMaxClock to 80MHz (from 100MHz) for S3 864 with
     ATT498-compatible RAMDACs because it was too high for some cards.
 17. Fix problem installing xterm on SunOS 4.x introduced in 3.1.2.
 16. Set -fno-strength-reduce with -O2 for gcc2 to avoid a compiler bug.
 15. Fix xvidtune/XF86VidMode problem when the Monitor Vendor and/or Model
     are not specified in the XF86Config file.
 14. Colour support for xterm (David Wexelblat).
 13. Fix usage of $LINES and $COLUMNS by xterm on SVR4 (David Wexelblat).
 12. Fix xconsole for Unixware 2.0 (David Wexelblat).
 11. Fix optimisation problem with inline asm on Unixware 2.0
     (David Wexelblat).
 10. Improve subdir/lib dependence on systems using BSD 4.4. make
     (Matthieu Herrb)
  9. Allow the Xserver to accept InvertVCLK, EarlySC and BlankDelay.  It
     previously expected Invert_VCLK, Early_SC and Blank_Delay.
  8. Fix problem selecting a StaticGray visual with the VGA16 server
     (Olivier De Smet).
  7. Fix compile problem on FreeBSD 1.1.5 (David Bremner).
  6. Change index and rindex macros in Xos.h when X_NOT_STDC_ENV is not
     defined.
  5. Fix(?) alloca declaration in Xtos.h for Solaris 2.5.
  4. Fix dependencies for 'make includes' to ensure that auto-generated
     headers exist before linking them to xc/X11 (David McCullough).
  3. Change default InvertVCLK setting for the Hercules Terminator 64 Pro
     (Harald Koenig).
  2. Update for lynx.cf (Thomas Mueller).
  1. README updates.

XFree86 3.1.2 (24 July 1995)
235. Fix(?) scanpci compile problem with gcc on Solaris.
234. Documentation updates.

XFree86 3.1.1Z (22 July 1995)
233. Code Freeze for 3.1.2.
232. Fix an imake config problem on non-XFree86 platforms.
231. xman update for Solaris 2.5 (William Austin).
230. Cyrillic fonts with KOI8 encoding added (Cronyx Ltd, Serge Vakulenko,
     Andrey A. Chernov).
229. Allow ndbm to be used for the rgb database on NetBSD for those
     who want it (Matthieu Herrb).
228. Attempt to fix register corruption for Cirrus 5430/5434/5436 in
     SuperProbe.
227. Remove -DUNIXCONN from the default SVR3 ConnectionFlags.
226. Fix disappearing S3 hw cursor when switching modes with xvidtune
     (Harald Koenig).
225. Sync-on-green support for the ELSA Winner 2000Pro/X (Harald Koenig).
224. Add vendor options to S3 server (hercules, stb, genoa) (Harald Koenig).
223. Documentation updates (Joe Moss, Harald Koenig, Matthieu Herrb).

XFree86 3.1.1Dc (19 July 1995)
222. Fix(?) server crash when the Cirrus driver auto-detects the linear
     fb address for PCI cards.
221. Support for 964+IBM (Hercules Terminator 64) (Harald Koenig).
220. Disable >8bpp for S3 911 and 924 because it won't work.
219. Fix some auto-apply problems in xvidtune, and added a restore hot-key "R".

XFree86 3.1.1Db (17 July 1995)
218. Documentation updates.
217. xvidtune updates.
216. S3 parameter updates for STB 968 card, and update to the Trio64V
     probe (Harald Koenig).

XFree86 3.1.1Da (16 July 1995)
215. Replace xf86pci.c with the real scanpci.c (Robin Cutshaw).
214. Updates to the code for the additional S3 mode parameters, including
     better default settings (Harald Koenig).

XFree86 3.1.1D (15 July 1995)
213. xterm fix for crash when inputMethod is set to kinput2 (Manabe Keishi).
212. Code to detect the AT&T20C490, and Sierra 1148[234579] ramdacs
     (Joe Moss).
211. Update the VidMode extension to handle extra mode-specific parameters,
     and update xvidtune for extra S3 parameters.
210. Allow some S3 parameters to be set in the Display SubSection for
     individual modes.
209. xf86config Cards database updates.
208. Updates to README.WstDig for the 90C24 (Brad Bosch).
207. Updates to LynxOS support, including support for version 2.2.1, and
     a README.LynxOS (Thomas Mueller).
206. Support for the SC1148{2,3,4} ramdacs at 15bpp, and the SC1148{5,7,9}
     ramdacs at 15 and 16bpp in the S3 server (Joe Moss).
205. Fix for problems with some WD90C24 TFT systems (Brad Bosch).

XFree86 3.1.1Cd (12 July 1995)
204. Allow for three verbosity levels for Xserver messages: -quiet, default,
     and -verbose (Marc Aurele La France).
203. Make the LinkKit self-contained.  Apart from Xnest, it no longer
     depends on the config files, headers, and utility programs being
     installed (Marc Aurele La France).
202. Updates to xvidtune.  The Show button now also sets the primary
     selection, better usage/error messages and exit codes, man page
     updates (Joe Moss).
201. Updates for SCO -- mostly for lbx (David McCullough).
200. Fix a cause for some S3 lockups (Harald Koenig).
199. Updates/fixes and SVR4 support for new malloc code.

XFree86 3.1.1Cc (8 July 1995)
198. Merge in final form of XC fix-12.

XFree86 3.1.1Cb (7 July 1995)
197. Minor IBM RGB updates (Harald Koenig).
196. MCLK detection for STG1703 (Harald Koenig).
195. Add detection for new S3 Trio64V+ chip to the S3 server and
     SuperProbe (Harald Koenig).
194. Fix some clashing option numbers (Harald Koenig).
193. Preliminary STG1703 clock programming code.
192. A new malloc for use by the Xserver.  It is enabled by setting
     UseInternalMalloc to YES (Pascal Haible).
191. Fix for threads lib problem on Unixware 2.0
190. Support for the WD90C24 in the pvga1 driver (Bradley Bosch).

XFree86 3.1.1Ca (5 July 1995)
189. Don't enable HAS_MMAP for Xvfb on Linux (Marc Aurele La France).
188. Code to detect the STG1703 RAMDAC in SuperProbe and the S3 server
     (Harald Koenig).
187. A few AGX bug fixes (Henry Worth).
186. More pre-fix-12 fix-trackers.

XFree86 3.1.1C (3 July 1995)
185. Manual page updates.
184. Add extended power_saver support to the VGA and Mach64 servers.
     Suspend mode isn't currently supported by the VGA servers.
183. Add entries for the SunFA_ dead accents to the iso8859-1 Compose file
     (Jon Tombs).
182. Updates to IBM RGB52x in the S3 server, including fixing the
     8bpp problem.
181. Documentation updates (including a README.ark) (Harm Hanemaayer).
180. Change the Mach64 server to ignore the Clocks line in the XF86Config
     unless the "no_bios_clocks" option is used (Kevin Martin).
179. Fix font corruption with Mach64 server (seen when running Mosaic
     or Netscape) (Kevin Martin).
178. Fixes for constant-metric fonts in AGX server (Henry Worth).

XFree86 3.1.1Bi (2 July 1995)
177. Improved "power_saver" for the S3 server, and modified XFree86-VidMode
     extension to allow its parameters to be set from a client.
176. Fixes for AGX copyplane (Henry Worth).

XFree86 3.1.1Bh (1 July 1995)
175. Updates to AGX server.  Includes reversing previous copyplane change,
     restoring the setting of membase for AGX chips, cleanup setting
     of the default planemask, and fixes to the agxIm routines + some
     speedups (Henry Worth).
174. Some more pre-fix-12 fix-trackers.

XFree86 3.1.1Bg (29 June 1995)
173. Turn on "dac_8_bit" by default in the S3 server for RAMDACs that
     support it.  Add "dac_6_bit" option to allow 6-bit mode to be selected.
     Also, complain when "dac_8_bit" is used for a RAMDAC that can't do it.
172. Improve "power_saver" operation by adding a delay between turning off
     the video signal and the syncs (Bernhard Bender).
171. Workaround for the NumLock modifier interfering with the xterm
     ctrl+btn menus.
170. More pre-fix-12 fix-trackers.  Mostly some libX11 and libXt fixes.
     Includes a workaround for the NumLock modifier interfering with
     Xaw pull-down menus.
169. Preliminary support for the IBM RGB52x ramdacs in the S3 server
     (Harald Koenig).

XFree86 3.1.1Bf (27 June 1995)
168. Another stab at the ET4000/W32p mouse droppings fix (Glenn Lai).
167. Back out some LBX fixes that won't be in fix-12.

XFree86 3.1.1Be (25 June 1995)
166. Some documentation updates.
165. Fix a few LinkKit problems.
164. Fix LBXProxyOnly build.

XFree86 3.1.1Bd (24 June 1995)
163. Add a BuildLBXProxyOnly Imake config option to allow building lbxproxy
     from a self-contained cut-down source tree.
162. vtname was too short in Linux OS-dep code (similar change for LynxOS
     and SCO too) (Pascal Haible).
161. Change uses of malloc/free in Xserver to xalloc/xfree (Pascal Haible).
160. AGX documentation updates (Henry Worth).
159. Fixes for AGX font rendering, and copyplane (Henry Worth).
158. AGX font cache flushed by screensaver (Henry Worth).
157. AGX screensaver for >8bpp (Henry Worth).
156. pre-fix-12 fix-tracker: improvement to the Xt translation manager
     performance when high order modifiers are assigned.   Also, change
     the servers to use Mod3 for Mode_switch instead of Mod5 to further
     improve this.
155. Fix some UseGnuMalloc config stuff, and set this to YES by default
     for FreeBSD.
154. Fix some problems with the VGA2 server, including crashes in banked
     mode, and incorrectly switching banks when bitblting in non-banked
     mode.

XFree86 3.1.1Bc (21 June 1995)
153. Fix for ET4000/W32p cards -- don't change the PCI burst setting.
     This should fix mouse droppings and missing characters in text mode
     for some cards (Glenn Lai).
152. Fix AGX font corruption problem (Henry Worth).
151. Disable 32bpp in AGX server by default -- it is too unstable
     (Henry Worth).
150. XGA clock updates in AGX server (Henry Worth).
149. EISA XGA probing in AGX server (Henry Worth).
148. Better scratchpad and font cache support for XGAs in AGX server
     (Henry Worth).
147. Font glyph blting for non-cached fonts with AGX server (Henry Worth).
146. AGX font cache fixes (Henry Worth).
145. pre-fix-12 fix-trackers, including:
      - LBX fixes and additional functionality
      - some xtrans and fontlib fixes
      - smproxy and xsm fixes
144. Fix sessreg (WTMP, LASTLOG, but no UTMP) for *BSD.
143. Allow 'UseGnuMalloc' to work on all platforms.

XFree86 3.1.1Bb (17 June 1995)
142. Config updates to make LinkKit more self-contained
     (Marc Aurele La France).
141. Fix some problems with blocking stderr on BSD/OS 2.0 (Hans Nasten).
140. Add auto-apply mode to xvidtune, and flesh out the xvidtune man
     page (Joe Moss).
139. AGX font cache bug fixes, and fix font clipping problem (Henry Worth).
138. Some more pre-fix-12 fix-trackers, including:
      - Xaw - removal of undocumented/broken INTERNAL selection mechanism
      - Fix makestrs problem with -earlyR6bc.

XFree86 3.1.1Ba (14 June 1995)
137. Fix AGX problem with vertically overlapping fonts (Henry Worth).
136. Fix some mono (VGA2) problems that can lead to a server crash.
135. New "VGAbase" keyword for XF86Config -- currently used only by the
     AGX server (Henry Worth).
134. Fixes for XGA autoconfig code in the AGX server (Henry Worth).
133. Documentation updates (Dirk Hohndel).
132. Change default FreeBSD version in FreeBSD.cf to 2.0.5.
131. Add a LockModeSwitch function to the VidMode extension, and modify
     xvidtune to use it.
130. Force VTotal to be odd for interlaced modes.
129. Fix default Vsync/Hsync polarity setting (Marc Aurele La France).
128. Trap a failed 'cd' in 'make Makefiles'.  This prevents the Makefile
     in the . directory being removed (and other potential problems) when
     one of the SUBDIRS directories is missing.
127. Include some XC fix-trackers intended for fix-12.  Main changes include:
      - Using -Xa for SVR4 compiles, and changing '#if __STDC__' to
         '#ifdef __STDC__'
      - Overhall tty setup in xterm -- should work better for Solaris now.
      - Fix SVR4 ABI problems with libXt strings.
126. Recognise 'Ramdac "generic"' in W32 server (Glenn Lai).

XFree86 3.1.1B (10 June 1995)
125. Fix problem with dacspeed line in files generated by xf86config.

XFree86 3.1.1Ad (8 June 1995)
124. Rename the vgahelp client to xvidtune.
123. Rename "VGAHelp" extension to our registered name
     "XFree86-VidModeExtension", and update API to use the XF86VidMode
     prefix instead of the "XVGAHelp"/"VGAHelp" prefix.
122. Undef i386 in Imake.cf for i386Architecture systems.
121. Fix(?) WTMP problem with xterm on SYSV and Linux.
120. Mach64 documentation updates (Kevin Martin).
119. Power_saver support for the Mach64 server (Kevin Martin).
118. Autodetect when block write mode should be disabled for the Mach64
     server.  A "block_write" option has been added to override this
     (Kevin Martin).
117. Use "dead_*" keysyms instead of the DEC "D*" keysyms for the dead keys
     in the Linux keyboard code and Compose file.
116. Use our registered name for the ModeLock keysym.

XFree86 3.1.1Ac (6 June 1995)
115. Vgahelp client enhancements (Jon Tombs).
114. Fix core dump in fslsfonts when no fontserver is specified
     (Matthieu Herrb).
113. Fix W32 problem introduced with modified SaveScreen code.
112. Update "M" parameter calculation for Trio boards (Harald Koenig).

XFree86 3.1.1Ab (2 June 1995)
111. Preliminary support for the Cirrus 5436 (Harm Hanemaayer).
110. PCI base address detection for the Cirrus driver (Harm Hanemaayer).
109. Fix problem linking AGX server with the LinkKit (Stephen Kump).
108. Support for LynxOS (Thomas Mueller).
107. Update LinkKit to make it self-contained regarding X headers
     (Marc Aurele La France).
106. Realtek SVGA driver.  It works with the RTG3106, and possibly the
     RTG3103 and RTG3105 (Peter Trattler).
105. Enable the s3MCLK option for the S3 805i, and fix some bugs relating to
     s3MCLK (Harald Koenig).
104. Fix XF86Config problem when monitor and screen sections are interleaved.

XFree86 3.1.1Aa (1 June 1995)
103. Fix SiteIConfigFiles settings for the LinkKit (Marc Aurele La France).
102. Fix gccmakedep problem with .s files.
101. Updates to BSDI docs (Hans Nasten).
100. Updates to Linux ELF config/rules (Orest Zborowski).
 99. Check for 868 before 864 in S3 server (Harald Koenig).
 98. Add rule for compiling/installing scanpci.

XFree86 3.1.1A (28 May 1995)
 97. vgawonder driver updates (including fix for VGA2 driver with Mach64)
     (Marc Aurele La France).
 97. Small TVP3026 fix (Harald Koenig).
 95. Fix keyboard LEDs not being turned off now that the initial lock state
     is ignored.

XFree86 3.1.1h (26 May 1995)
 94. Support for parallel make (on SVR4) (Robin Cutshaw).
 93. Don't initialise the state of the lock keys based on their state
     prior to server startup.
 92. Untested changes in the AGX server for AGX-010 support (Henry Worth).
 91. Tested support in the AGX server for the XGA-2 at 8bpp and 16bpp
     (Henry Worth).
 90. 16bpp and 32bpp support for the AGX server (Henry Worth).
 89. Additional accelerations for the P9000 server (Henrik Harmsen and
     Chris Mason).
 88. Fix some gamma correction problems in the S3 server (Harald Koenig).
 87. More 968/868 fixes, including code to recognise the newer ELSA cards
     (Harald Koenig).
 86. Further VGA16 scrolling fix (Stuart Anderson).
 85. Fix problems with some 1MB P9000 cards (Erik Nygren).
 84. Swap the black and white pixel values in the SVGA server's default
     colour map.  This fixes a white line problem with some older
     VGA Wonder boards (Marc Aurele La France).
 83. Move sequencer resets into the driver's SaveScreen function
     (Marc Aurele La France).
 82. vgawonder and ati_test updates (Marc Aurele La France).
 81. Handle "crippled" Mach32 and Mach64 chips in SuperProbe and the
     vgawonder driver (Marc Aurele La France).
 80. Distinguish between different types of Mach64 chips in SuperProbe and
     the vgawonder driver (Marc Aurele La France).
 79. Add defines to xf86Version.h for each part of the XFree86
     version numbers (Marc Aurele La France).
 78. LinkKit updates to make it self-contained (Marc Aurele La France).
 77. Memleak support for NetBSD, and add UseMemLeak Imake config
     parameter to allow compiling Xserver/os with memleak (Matthieu Herrb).
 76. Update NetBSD aperture driver to support -current loadable kernel
     modules (Matthieu Herrb).
 75. Don't try to do clock doubling for 964 + Bt485 at 32bpp.

XFree86 3.1.1g (7 May 1995)
 74. i386 BSD support for the memleak utility (Jeffrey Hsu).
 73. Fix a scrolling corruption problem with multiple regions in the VGA16
     server (Stuart Anderson).
 72. Modify VGA16 server to provide 4 visuals which can be selected
     using the standard -cc flag (Stuart Anderson).
 71. Changes to allow XDMCP broadcasts on some transports when using
     STREAMSCONN (Stuart Anderson).
 70. Updates for building on NCR SVR4/MP-RAS 3.0 (Stuart Anderson).
 69. Some updates for ISC (Michael Rohleder).
 68. Fix FillRect problem that causes a server crash for most accel servers
     when running at 16/32bpp and X isn't on the active VC (Harald Koenig).
 67. Fix mach32 inline asm problem (outsw) that shows up with recent gcc
     versions.
 66. Modify xterm to find all ptys on recent FreeBSD (Satoshi Asami).
 65. Work around S3 Trio "white line" problem by swapping the default black
     and white pixel values.

XFree86 3.1.1f (24 April 1995)
 64. Remove ComplexProgramTargetNoMan rule, and use NormalProgramTarget
     instead.
 63. Fix cirrus MMIO problem introduced in 3.1.1e, and allow 135MHz clocks
     for a wider range of CL-GD5434 revisions (Harm Hanemaayer).
 62. Update to S3 HW cursor fix (Harald Koenig).
 61. Preliminary support for S3 866 and 868 boards (tested with the
     ELSA Winner 1000AVI) (Harald Koenig).
 60. Fix a problem with virtual resolution calculation in the Mach32 and
     Mach64 servers (when none is given in the XF86Config file)
     (David Holland).

XFree86 3.1.1e (10 April 1995)
 59. Fix problems that can lead to S3 crash/lockup when using HW cursor
     (Harald Koenig).
 58. S3 Trio updates (Harald Koenig).
 57. Fix return value of QueryBestSize() for HW cursors.
 56. Fix cirrus display error when scrolling without BitBLT engine
     (Harm Hanemaayer).
 55. Sanity check to prevent cirrus crash with negative size rectangle
     fill (Harm Hanemaayer).
 54. Cirrus MMIO improvements, including support for 5429 (Harm Hanemaayer).
 53. More balanced cirrus FIFO settings to resolve display refresh errors
     during drawing operations at high dot clocks (Harm Hanemaayer).
 52. Support for clocks up to 135MHz for CL-GD5434 revision E and later
     (Harm Hanemaayer).
 51. Fix memory leak in cirrus text drawing (Harm Hanemaayer).
 50. Updates for Linux ELF support (H.J. Lu).
 49. Fix mail directory path in xbiff.
 48. Fix S3 interlace mode problem for boards with programmable clocks
     (Harald Koenig).
 47. Fix core dump from vgahelp when started with no args (Christos Zoulas).
 46. Fix 968 detection in SuperProbe, and add Ti3026 detection (Harald Koenig).
 45. Preliminary S3 968 and Ti3026 support (Harald Koenig).
 44. Added similar code for SYSV regarding I/O permission, but not enabled
     (yet) by default.
 43. Modify Linux I/O permission code to use IOPL rather than TSS bitmap
     in all cases (Orest Zborowski and Harm Hanemaayer).
 42. Fix lack of keysyms for numerical keypad when ServerNumLock is enabled
     on Linux (Orest Zborowski).
 41. Update _SC_OPEN_MAX code.
 40. Fix ALLOCATE_LOCAL() not using alloca() with gcc.

XFree86 3.1.1d (21 March 1995)
 39. Preliminary mode checking for the VGAHelp extension.
 38. Add timeout for 3 button emulation (Mike Hench).
 37. Reorganise Ti302x code to remove S3-specifics from common_hw
     (Robin Cutshaw).
 36. General PCI probe code (Robin Cutshaw).
 35. FreeBSD 1.1.5 has _SC_OPEN_MAX defined, but no sysconf().

XFree86 3.1.1c (12 March 1995)
 34. Updates for #9 GXE64Pro required due to changes in 3.1.1b (Hans Nasten).
 33. Support for BSD/OS 2.0 (Hans Nasten).
 32. Updates for OS/2, including work on the X server support (Holger Veit).
 31. SVGA driver for the ARK 1000PV and 2000PV chipsets (Harm Hanemaayer).
 30. Add predefs to makedepend for FreeBSD and NetBSD.  This allows
     xf86_OSlib.h to be cleaned up a little.
 29. Fix config rules for Sentinel build (David Wexelblat).

XFree86 3.1.1b (8 March 1995)
 28. Fix for byte swapped extension problem in lbxproxy (Dave Lemke).
 27. Support for Unixware 2.0 (Robin Cutshaw and Kaleb Keithley).
 26. Fix FIFO detection problem and bug reading BIOS video max modes in
     Mach64 server (Kevin Martin).
 25. Support for Chrontel 8398 and STG1703 clock programming in the Mach64
     server (Kevin Martin).
 24. Add "no_block_write" option to turn of block write mode in the Mach64
     server (Kevin Martin).
 23. Add "override_bios" option to override the Mach64 server's BIOS mode
     checking (Kevin Martin).
 22. Allow Membase to be given in XF86Config for the Mach64 server
     (Kevin Martin).
 21. Fix bug in Mach64 ATI68860 RAMDAC code which causes noisy display
     (Kevin Martin).
 20. Add support for STG1702, STG1703, ATI68875, CH8398 RAMDACs to Mach64
     server (Kevin Martin).
 19. Post events for initial lock key state differently to avoid calling
     ProcessKeyboardEvents() before all the data it uses is initialised.
 18. Fix and extend ISO8859-1 Compose file (Peter Dalgaard).
 17. Update S3 SVGA driver so that it works with 3.1.1.
 16. Fix 90C33 problem with 2MB cards when memory is not auto-probed.
 15. Fix some ISC LOCALCONN problems (Michael Rohleder).
 14. Put back some #9 GXE64Pro specific bits in S3 server.
 13. Remove 1024 min virtual width restriction from Mach64 server
     (Kevin Martin).
 12. Fix dashed line server hang problem for Mach32.
 11. Add UseGnuMalloc to xf86site.def (only implemented for ISC so far).
 10. Fix POSIX_SAVED_IDS typo in xterm (Christos Zoulas).
  9. Fix problem of attempting to include the VGAHELP extension in Xnest.

XFree86 3.1.1a (12 February 1995)
  8. VGAHELP X server extension for tuning video modes (Kaleb Keithley).
  7. Fix libfont problem that can cause xfs to get into a loop (Jason Venner).
  6. Fix problem with TekHVC colours (Kaz Sasayama).
  5. Fix merge problems in hw/sun.
  4. Fix line clipping problem in Mach32 server (can affect font cache).
  3. Fix font cache problem on 2MB Mach32 cards.
  2. Add detection of Trident GUI9440 to SuperProbe (untested).
  1. Fix some ISC problems (Michael Rohleder).


XFree86 3.1.1 (30 January 1995)
265. --- Code freeze ---
264. Include final form of fix-11.

XFree86 3.1.0Zg (29 January 1995)
263. Include final form of fix-10.
262. Fix some merge problems.

XFree86 3.1.0Zf (28 January 1995)
261. Merge in prelim version of XC fix-11.

XFree86 3.1.0Ze (28 January 1995)
260. Merge in prelim version of XC fix-10.

XFree86 3.1.0Zd (28 January 1995)
259. Merge in XC fix-09.
258. Minor updates (mostly typographical) to smooth the fix-11 merge.
257. Define X_LOCALE for Linux.

XFree86 3.1.0Zc (27 January 1995)
256. Doc updates.
255. Minor hw/xfree86 updates for fix-11 (Kaleb Keithley).
254. Merge in XC fix-08.

XFree86 3.1.0Zb (26 January 1995)
253. Rename some files under hw/xfree86 to avoid clashes when truncated to
     8.3 type names as used on ISO9660 format CDROMs.

XFree86 3.1.0Za (25 January 1995)
252. Minor pixmux clock limit update for Trio64 (Harald Koenig).
251. Merge in XC fix-07.
250. Some documentation updates.

XFree86 3.1.0Z (23 January 1995)
249. Restore correct key maps for 84-key keyboard, but allow alternate (old)
     behaviour when "ServerNumLock" is set in the XF86Config.
248. xf86config updates (Harald Koenig).
247. Remove stripes when panning with Ti3025 (Harald Koenig).
246. Enable linear fb probing for VLB Trio64 cards with > 1MB DRAM
     (Harald Koenig).
245. Put blank delay values back to what they were for non-#9 Ti3025
     boards (Harald Koenig).
244. Fix AGX fill problems and hangs when exiting with an AGX-016 under
     SVR4 (Henry Worth).
243. Fix AGX font cache problem, and other updates/cleanups
     (Henry Worth).

XFree86 3.1.0Ce (22 January 1995)
242. Updates to vgawonder driver, including fix for 68800-6 memory probe,
     and a reworking of the clock matching code (Marc Aurele La France).
241. Remove most BIOS dependencies in vgawonder probe code
     (Marc Aurele La France).
240. Change ordering of Mach32 and Mach64 probing in SuperProbe, ati.test
     and the vgawonder driver to avoid hanging Mach32 boards.  Also use
     a timeout in all WaitIdle loops in the probes (Marc Aurele La France).
239. Minor #9 GXE64Pro updates (Hans Nasten).
238. Allow LASTLOG to be independent of SYSV_UTMP in xterm -- so it will
     work for Linux (Helmut Geyer).

XFree86 3.1.0Cd (21 January 1995)
237. Improve positioning of pixmap expansion and font cache areas with
     the S3 server.
236. Fix problem with Cirrus mono server crashing (Stephen Kump).
235. Allow the "sw_cursor" option to work for the S3 server.
234. Fix S3 HW cursor hot spot problem when no ViewPort entry is given in
     the XF86Config (Harald Koenig).
233. Fix some S3 Trio64 8bpp+pixmux display errors (Harald Koenig).
232. Fix #9 GXE64Pro problems introduced in 3.1.0Cc (Hans Nasten).
231. SPEA auto-detection for their Trio64 cards (Norbert Distler).
230. Possible fix for keymap problems with 84-key keyboards.
229. Internationalisation support for xterm (Martin Forssén).
228. Remove the need for a Virtual entry in the XF86Config for the Mach64
     server.

XFree86 3.1.0Cc (20 January 1995)
227. Add a check to the W32 server for invalid depths.
226. Fix bug in PaintWindow in Mach32 and AGX servers (Stuart Anderson).
225. Chrontel 8391 programmable clock support (Richard Burdick
     and Harald Koenig).
224. S3 programmable clock code updates (Harald Koenig).
223. Support for S3 Trio32 and Trio64 (Harald Koenig).
222. Updates to S3 Ti3025 code for the Miro 40SV (Harald Koenig).
221. Update xf86config to know about the latest clockchip changes
     (Harm Hanemaayer).
220. Minor cirrus HW cursor patch (Harm Hanemaayer).
219. Updates to OAK driver, including mapping the linear fb above 64MB
     (Jorge Delgado).

XFree86 3.1.0Cb (19 January 1995)
218. Fix XLOCAL parsing problem introduced in XC fix-06 (Steve Forsythe).
217. Added a DocIndex (to use as a starting point for the HTML docs).
216. README.Oak (Jorge Delgado).
215. SuperProbe/kbd_mode updates for compiling with PCVT_SUPPORT
     (Joerg Wunsch).
214. Fix for 90C31 acceleration problems.
213. Don't use '-ansi -pedantic' for Solaris versions earlier than 2.4.

XFree86 3.1.0Ca (18 January 1995)
212. S3 update for SPEA Mercury P64 (Norbert Distler).
211. Late LBX updates from the XC.
210. Add a "no_imageblt" option for the Cirrus driver (Harm Hanemaayer).
209. Support for 2:1 pixmux 8bpp RAMDACs on boards with fixed clock chips.
208. S3 changes for the ICS5342 ramdac/clock (Harald Koenig).
207. Fix problem in miZeroClipLine() which can cause a server hang
     (Harald Koenig).
206. Fix register unlocking problem in S3 server (for Stealth 64 VRAM)
     (Harald Koenig).

XFree86 3.1.0C (15 January 1995)
205. Preliminary programmable clock support for the Mach64 server
     (Kevin Martin).
204. Add accelerated line code for the P9000 server and fix/update some
     other accelerated code (Chris Mason).
203. Allow XF86Config Videoram to override autodetection with the P9000
     server, and allow the "vram_128" option force recognition of
     128kx8 VRAM (Erik Nygren).
202. Change P9000 programmable clock operation to be consistent with other
     servers (Erik Nygren).
201. Allow Cirrus MMIO for the 5429, and change on of the fixed clocks
     in the Cirrus programmable clock code (Harm Hanemaayer).

XFree86 3.1.0Bf (14 January 1995)
200. Preprocess Linux jump files, and allow libX11 to be built with XdmAuth
     (Orest Zborowski).
199. Fix VTSema-related problem in s3bstore.c (Henry Worth).
198. Merge in XC's pre-fix-07 LBX code.

XFree86 3.1.0Be (12 January 1995)
197. Include Japanese translations of some XFree86 3.1 docs (Kazuyuki Okamoto).
196. Updates to SPEA detection code (Norbert Distler).
195. Fix for ICS2595 initialisation problem (Norbert Distler).
194. Some vgawonder driver fixes (Marc Aurele La France).
193. Prevent xf86config from crashing when some fields are missing in
     the Cards database (Matthieu Herrb).
192. Fix S3 cursor X position when the display address is not changed to
     avoid display errors.
191. Set S3 M/N parameters depending on the MCLK value (which can be probed
     or set in XF86Config) (Harald Koenig).

XFree86 3.1.0Bd (12 January 1995)
190. Update cl64xx driver for modeRec changes.
189. Merge in XC public fix-06.

XFree86 3.1.0Bc (11 January 1995)
188. Added a DontZoom keyword for the XF86Config "ServerFlags" section
     to disable the mode switching key sequences.
187. Updates for ISC.  Includes imake config support for the SVR3 mmap
     driver, updates to install.svr3, and patches for building lbxproxy
     (Michael Rohleder).
186. Fix 864 + STG1700 8bpp pixmux for clocks between 67.5 and 95 MHz
     (Harald Koenig).
185. Change VRAM timings for Diamond Stealth 64 VRAM (Harald Koenig).
184. Set HSyncEnd overflow in S3 server when needed (Harald Koenig).
183. Prevent C&T driver from pretending to support the 82c45x chipsets.
182. Don't trap <ctrl><alt><bs> when DontZap is set.

XFree86 3.1.0Bb (10 January 1995)
181. Updates to linear fb code for OTI087, and allow the FIFO threshold
     to be set from XF86Config (Jorge Delgado).
180. Add hooks for server/driver mode validation.  This is currently used
     only by the NCR SVGA driver (Stuart Anderson).
179. Fix for ET4000/W32 bank switching code in the SVGA et4000 driver
     (David Etherton).
178. Similar hw cursor move fix for S3 server.
177. Fix for Cirrus crash when the hw cursor is moved while in another VT
     (Harm Hanemaayer).
176. Allow the "s3_964_bt485_vclk" to be used for the Diamond Stealth64 (VRAM).
     This requires the "diamond" option (Harald Koenig).
175. Rewrite xlfd_round_double() to speed it up on machines with no
     hw floating point.  This reduces server startup time on such machines
     (Harald Koenig).
174. Reduce amount of floating-point calculation in icd2061a and S3 gendac
     clock code (Harald Koenig).
173. Probe code to detect some SPEA boards and correctly set the clockchip
     (Norbert Distler).
172. Allow Xservers to be built with only PCVT support on *BSD, and
     clean up the console driver probing for *BSD (Joerg Wunsch).

XFree86 3.1.0Ba (8 January 1995)
171. Change "ct5??" chips&tech names to "ct655??".
170. Fix for Xnest (and Xvfb) not calling OsInitColors().
169. Add support for relinking the Xnest server with the LinkKit.
168. Modify vgawonder to probe clocks when -probeonly is used
     (Marc Aurele La France).
167. Fix some cirrus line drawing problems and fix non-interlaced modes
     with vertical timings > 1024 (Harm Hanemaayer).
166. Avoid use of the threads lib for SolX86 (David Holland).

XFree86 3.1.0B (4 January 1995)
165. Support for C&T 65540/45 added to the SVGA server (Régis Cridlig).
164. Change cirrus programmable clock code to use a tested set of clock
     parameters when there is one close to the requested clock frequency
     (Harm Hanemaayer).
163. Fix cirrus BitBLTs with height > 1024 for 543x (Harm Hanemaayer).
162. Clock-related updates to the vgawonder driver (reject invalid clocks
     where possible) (Marc Aurele La France).
161. Config updates (including installation of host.def and fix references
     to cl64xx driver in xf86site.def) (Marc Aurele La France).

XFree86 3.1.0Ae (2 January 1995)
160. Replace docs with the ascii versions generated from the sgml source.
159. Major updates to xf86config(1), including the addition of a Cards
     database (Harm Hanemaayer).
158. Check and reject invalid XF86Config depths for the VGA16 and Mono
     servers.
157. Add an "s3_964_bt485_vclk" option to fix a problem with 964+Bt485.
     Also added code to detect the MIRO 20SV board revision (Harald Koenig).
156. Add an S3Mclk entry to XF86Config to allow the MCLK value to be specified
     in order to aid the calculation of the optimal M parameter
     (Harald Koenig).
155. Fix S3 linear fb check and allow membase to work for 864/964 boards
     (Harald Koenig).
154. Move server lock code back into Xserver/os so that it gets used by
     Xnest and Xvfb.

XFree86 3.1.0Ad (26 December 1994)
153. Fix problems with DBLSCAN code introduced in 3.1.0Aa (Harm Hanemaayer).
152. Support for adding LBX via the LinkKit.
151. Fix some LinkKit config problems.
150. Fix LinkKit Imakefile bug introduced in 3.1.0A.
149. Support for SPEA Mercury P64 (Bt485 + 964) (Norbert Distler).
148. Enable ICD2061A/SC11412 clockchip by default for S3 server if the
     the "SPEA_Mercury" option is given and Bt485 + 964/928 is detected
     (doesn't happen if an XF86Config entry for either ramdac or clockchip
     is present) (Norbert Distler).
147. Fix for PCI Type 2 probe for I128 SuperProbe code (Robin Cutshaw).
146. Major Cirrus update.  Includes new acceleration using mmio (lines
     tilefill and rectangles), and more acceleration for 16/32bpp
     (Harm Hanemaayer).
145. Fixes for AGX dashed line code (Henry Worth).
144. Allow S3 server to put the cache in the area to the right of the screen
     when it is larger than the area below it (Leonard N. Zubkoff).

XFree86 3.1.0Ac (20 December 1994)
143. Imake template and rules for LinuxDoc-SGML formatting.
142. Documentation converted to LinuxDoc-SGML (Gertjan Akkerman,
     Jayadev Billa, Matthieu Herrb, Michael Klemme).
141. Re-enable SO_REUSEADDR code in Xtranssock.

XFree86 3.1.0Ab (18 December 1994)
140. Item 58. below (the patch didn't get included before).
139. Add some sanity checking for horizontal timing parameters (including
     HTotal overflow for 864 with 24bpp, pixmux and HTotal > 1024)
     (Harald Koenig).
138. Add check for 864 DCLK limit for 24bpp (Harald Koenig).
137. Clean up of SDAC/GENDAC detection and related messages (Harald Koenig).
136. Allow the following ramdac and clock chips to be specified by name:
     att21c498 (att20c498), ics5300 (s3_gendac), ics5342 (s3_sdac),
     ics9161a & dcs2824 (icd2061a).  (Harald Koenig)
135. OS/2 updates, including config updates, SuperProbe support and
     compile-time support for most of the Xserver (Holger Veit).
134. Updated cl64xx driver, including support for the CL6440.  Note, the
     driver name has changed from "cl6420" to "cl64xx" (Manfred Brands and
     Randy Hendry).
133. Fix VT switch problem with the SVGA MX driver (Frank Dikker).
132. Add PCI config type 1 support to I128 probe in SuperProbe (Robin Cutshaw).
131. Update support for STB Pegasus (928 + Bt485), including 16bpp and
     32bpp (Leonard N. Zubkoff).
130. Fix pixmux clock check in Mach32 server (Alan Hourihane).
129. Mods to allow XFree86 servers to compile with 'gcc -ansi -pedantic'
     on Solaris 2.x (David Holland).
128. Fix stipple problem in S3 server.
127. Fix for setuid-root xterm problem reading .Xauthority file on
     nfs-mounted filesystem (so far only for systems with POSIX_SAVED_IDS)
     (Christos Zoulas).
126. Move server lock code into hw/xfree86 (Kaleb Keithley).
125. Really fix Membase handling for S3 server and 805/928.
124. Fix Mach32 probe problem.
123. Fix SVR3 config problems (Michael Rohleder).

XFree86 3.1.0Aa (11 December 1994)
122. Fix default mapping for numpad keys.  ServerNumLock should now not
     be required (for clients using R6 Xlib).
121. DoubleScan modes are no longer specified with doubled vertical timings.
120. Add extra timings fields to the ModeRec which are the CRTC values
     used by the hardware.
119. Update oak driver to support linear mode for the oti-087 (Jorge Delgado).
118. Fix '-DSTATIC_COLOR' problems (Hans Nasten).
117. Fix typos which prevented Mach64 detection in SuperProbe from working
     (Marc Aurele La France).
116. Allow XF86Config settings to override ELSA probe (Harald Koenig).
115. Fix Membase handling for S3 server and 805/928.
114. Make BSD console driver support selectable from imake.
113. Fix some SVR4 config problems.

XFree86 3.1.0A (5 December 1994)
112. Mach64 pixmap cache fixes (Kevin Martin).
111. Improve cirrus programmable clock handling (Harm Hanemaayer).
110. Add code to SuperProbe to detect the #9 Imagine I128 (Robin Cutshaw).

XFree86 3.1.0g (2 December 1994)
109. Enable mmio for the Cirrus 543x (Harm Hanemaayer).
108. Updates to xf86config (Harm Hanemaayer).
107. Code for SuperProbe to successfully detect CL-GD543x (Harm Hanemaayer).
106. Eliminate all references to "SYSV386".  "-Di386" should be used instead,
     even in the BOOTSTRAPCFLAGS for SVR4 and SVR3 (Kaleb Keithley).
105. Some typo changes to bring our code closer to what the XC has.

XFree86 3.1.0f (1 December 1994)
104. Eliminate references to SYSV386.
103. Add check for usable linear fb for 864/964 boards.
102. Detect and reject Mach64 boards whose ROM or VGA capability has been
     disabled (Marc Aurele La France).
101. Experimental code in the vgawonder driver to reset Mach* boards.  This
     is enabled with the "noaccel" option (Marc Aurele La France).
100. Fix clashes with K_SCROLLLOCK and related symbols defined in newer
     Linux releases (Marc Aurele La France).
 99. Change SuperProbe to detect the Mach64, and deal with ATI DAC classes
     6 and 7, and recognise the ATI 28800-6 chip (Marc Aurele La France).
 98. ISC 3.x and 4.x support (Michael Rohleder).
 97. Add support for 640 and 800 line widths to AGX server (Henry Worth).
 96. Fix cursor/screen scrolling problem for doublescan modes (Henry Worth).
 95. Add missing XF86_Mach64.c file.

XFree86 3.1.0e (27 November 1994)
 94. Add missing install rule for gccmakedep.
 93. Define CSRG_BASED for *BSD (Kaleb Keithley).
 92. Code/prototype cleanup under hw/xfree86 (Kaleb Keithley).
 91. Mach64 accelerated server (Kevin Martin).

XFree86 3.1.0d (22 November 1994)
 90. Updates to NetBSD aperture driver (Matthieu Herrb).
 89. Bring back 'gccmakedep' from 2.x.  Currently only use it when
     UseInstalled is true.
 88. Support for additional keys on Microsoft ergonomic keyboard (may
     require support in the OS's console driver) (Kaleb Keithley).
 87. Updates for SCO (David McCullough).
 86. Don't require the Virtual size to be specified for the Mach32 server.
 85. Allow virtual widths < 1024 for Mach32 server (currently untested).
 84. Some preliminary support for ISC (SVR3) 4.x (Michael Rohleder).
 83. ET4000/W32 server updates.  Includes accelerated 32-bit opaque and
     transparent stipple, acceleration for cases where the planemask != 0xFF,
     and ramdac code changed to accommodate more ramdac types (Glenn Lai).
 82. NetBSD support in hw/sun (Dennis Ferguson, Matthew Green, Matthieu
     Herrb).
 81. Fix xterm hang-on-exit problem on SolX86 2.4 (David Holland).
 80. Speedups for AGX constant-metric and non-overlapping characters
     (Henry Worth).
 79. AGX accelerated dashed lines, and solid fills for arcs and polygons
     (Henry Worth).
 78. Doublescan support for the AGX server (Henry Worth).
 77. Update AGX server to delete unusable modes, and to allow the virtual
     width to be less than the display width (Henry Worth).
 76. Fix typo in oak driver (which broke 067/077 support) (Jorge Delgado).
 75. NetBSD updates, including SparcArchitecture support in imake config
     (Matthieu Herrb).
 74. 32bpp support for SPEA Mercury (928+Bt485) (Norbert Distler).
 73. Modify Linux kbd code to read the "high_keys" mapping (Takashi Manabe).
 72. Fix RGBPath in XF86Config being ignored.

XFree86 3.1.0c (6 November 1994)
 71. Fix xload for FreeBSD 1.1.5 (Joerg Wunsch).
 70. Modify S3 linear fb probe to handle the non-standard CR5A[6:7] address
     mapping used by some Diamond boards (including the Diamond Stealth Pro).
     Also, the 10 most significant bits of a specified MemBase value are
     now used (which leads to an incompatibility with previous usage)
     (Dick Streefland).
 69. Fix clock matching and some other problems in vgawonder driver
     (Marc Aurele La France).
 68. Reduce RAS to 6 MCLKs for SPEA Mercury (Norbert Distler).
 67. Fix setting of CR65 for the SPEA Mercury -- fixes 1600 width at 8bpp
     and 1152 width at 16bpp (Norbert Dislter).
 66. Change MCLK from 46MHz to 49MHz in the SC11412 clock code (Norbert
     Distler).
 65. S3 code to detect 866/868/968/Trio32/Trio64 and treat them as
     an 864 (Harald Koenig).
 64. Update SuperProbe to detect  STG1700, S3 GENDAC and SDAC, ATT22C498,
     S3 Vision866, 868, 968, Trio32 and Trio64 (Harald Koenig).
 63. Enforce 95MHz limit for 864 when no pixmux (eg, 16bpp) (Harald Koenig).
 62. Increase pixmux cut-in point for ATT20C498 to 95MHz (Harald Koenig).
 61. ATT22C498 detection and (untested) support (Harald Koenig).
 60. New code for S3 SDAC/GENDAC detection, and enable the programmable
     clock when one of these is detected (Harald Koenig).
 59. Fixes for S3 RAMDAC detection (STG1700 and SDAC) (Harald Koenig).
 58. Fix ICD2061A code for clocks between 110MHz and 120MHz (Harald Koenig).
 57. Chips & Technology SVGA driver (Jon Block, Mike Hollick, Régis Cridlig).
 56. 16/32bpp support for #9 boards with Ti3020 ramdac (Robin Cutshaw).
 55. Fix bsdi.cf problems with gcc options (Hans Nasten).

XFree86 3.1.0b (30 October 1994)
 54. 16/32bpp support for Elsa Winner2000Pro (964+Ti3020) (Dirk Hohndel).
 53. Update to cirrus programmable clock code (Harm Hanemaayer).
 52. Accelerated 16/32bpp bitblt for the Cirrus driver (Harm Hanemaayer).
 51. The vgawonder driver will now attempt to determine what the board uses to
     generate clocks (Marc Aurele La France).
 50. Allow mode flags to specify composite sync polarity (Marc Aurele
     La France).
 49. ati.test and vgawonder driver updates (Marc Aurele La France).
 48. Vgawonder driver will now attempt to use a default video mode (derived
     from the existing CRTC settings) when no modes are specified in the
     XF86Config (Marc Aurele La France).
 47. Fix problem where clock probe could report high values as zero (Marc
     Aurele La France).
 46. SVGA driver for Avance Logic Inc. ali2301, ali2302, ali2308 and
     ali2401 (Ching-Tai Chiu).
 45. Enable linear aperture access for BSD/386 (Hans Nasten).
 44. Some Linux xterm fixes (Orest Zborowski).
 43. Fix Linux xdm groups setting problem (Orest Zborowski).
 42. Allow Mach8 server to delete unsuitable modes (Hans Nasten).
 41. Attempt at fixing FatalError() re-entrancy problems when aborting.
 40. Add X server lock file code.
 39. Modify PTS code in xtrans to remove an existing node at server startup
     (as happens with UNIXCONN).
 38. Set debug level to 1 in xtrans (this should allow error messages to
     finally be seen).
 37. Modify xtrans to use ErrorF() for debug/error messages within the
     X server.
 36. Updates to the S3MNAdjust option -- including no longer using global
     variables (Harald Koenig).
 35. Fix horizontal stripes when panning with an S3 805i (Harald Koenig).
 34. Fix SDAC + pixmux patch (Harald Koenig).
 33. Fix line-related crash problem when using linear addressing with
     the SVGA server (Harm Hanemaayer).
 32. Fix Cirrus 5434 linear addressing text blt bug (Harm Hanemaayer).
 31. Fix Cirrus 14-pixel font bug (Harm Hanemaayer).
 30. Improve Cirrus probing (Harm Hanemaayer).

XFree86 3.1.0a (21 October 1994)
 29. Fix some missing globals in Linux libX11 (Orest Zborowski).
 28. Fix for TCPCONN code's checking for an existing server.
 27. Support for building ELF dynamic libs on Linux (Michael Riepe).
 26. Fix gcc local label usage in vgaFasm.h (Adam Richter).
 25. OS/2 client support (Holger Veit).
 24. Fix some data initialisation problems in libX11 and libXt
     (Christos Zoulas).
 23. Use '-ansi -pedantic' with GCC when building the core tree.
 22. Changes to vgaFasm.h to allow compilation with 'gcc -ansi -pedantic'.
 21. Revised OAK driver which includes OTI-087 support (Jorge Delgado).
